<?php

namespace App\Livewire\Admin;

use App\Models\DemandeConge;
use App\Models\DemandeCongeNote;
use Illuminate\Support\Facades\Auth;
use Livewire\Attributes\On;
use Livewire\Attributes\Url;
use Livewire\Component;

class DemandeCongeComponent extends Component
{
    #[Url()]
    public $search = '',$sortField = 'name',$sortDirection = 'asc';

    public $showForm=false,$showModalApprobation,$valueApprobation, $showFormConsulter=false, $editMode = false, $itemToEdit, $current_item, $notes;
    #[On('close-form')] 
    public function closeForm()
    {
        $this->showForm = false;
        $this->showFormConsulter = false;
        $this->editMode = false;
        $this->itemToEdit = User::class;
    }
    protected array $rules = [
        'current_item.type_conge'       => 'required|integer',
        'current_item.duree'            => 'required|integer',
        'current_item.depart'           => 'required|date|after:tomorrow',
    ];
    public function sortBy($field) {
        
        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection === 'asc' ? 'desc' : 'asc'   
            : 'asc';

        //dd($this->sortField );
        $this->sortField = $field;
    }
    public function mount() {
        $this->current_item = new DemandeConge(['duree'=>1, 'depart'=>date('Y-m-d')]);
    }
    public function consulter(DemandeConge $demandeConge) {
        $this->current_item = $demandeConge;
        $this->showFormConsulter = true;
    }

    public function approbation($value){
        $this->valueApprobation = $value;
        $this->showModalApprobation = true;
    }
    
    public function save_item(){
        

        $this->validate();
        $this->current_item->user_id = Auth::user()->id;
        $this->current_item->save();
        if(!empty($this->notes)){
            DemandeCongeNote::create([
                'user_id' => Auth::user()->id,
                'demande_conge_id' =>$this->current_item->id,
                'notes' =>$this->notes
            ]);
        }
        setupFlash('Demande envoyé', 'success');
        return redirect(request()->header('Referer'));
        
    }
    public function updatedCurrentItem() {
        //dd('dododod');
        if($this->current_item->type_conge == 2){
            $this->current_item->duree = 70;
        }elseif($this->current_item->duree == 70){
            $this->current_item->duree = 1;
        }
    }

    public function save_approbation() {
        if($this->current_item->etat == 0){
            $this->current_item->etat = $this->valueApprobation == 1 ? 1 : 3; 
        }else{
            $this->current_item->etat = $this->valueApprobation == 1 ? 2 : 4; 
        }
        $this->current_item->save();
        if(!empty($this->notes)){
            DemandeCongeNote::create([
                'user_id' => Auth::user()->id,
                'demande_conge_id' =>$this->current_item->id,
                'notes' =>$this->notes
            ]);
        }
        setupFlash('Demande '.$this->valueApprobation == 1 ? 'approuvée' : 'désapprouvée', 'success');
        return redirect(request()->header('Referer'));
    }
    public function render()
    {
        $query = DemandeConge::with(['user','notes']);
        if(Auth::user()->role == 'user'){
            $query->where('user_id', Auth::user()->id);
        }
        return view('livewire.admin.demande-conge-component',[
            'items' => $query->paginate(10)
        ]);
    }
}
