<?php

namespace App\Livewire\Admin\Users;

use App\Models\Department;
use App\Models\User;
use Livewire\Component;

class FormComponent extends Component
{
    public $edit_mode,$current_item;
    public $name, $email, $phone, $password, $department_id;
    public $departments;
    protected array $rules = [
        'current_item.name'             => 'required|string',
        'current_item.email'            => 'required|email',
        'password'                      => 'required|string',
        'current_item.department_id'    => 'required|integer',
    ];
    public function mount($editMode, $itemToEdit){
        $this->edit_mode = $editMode;
       //$this->item_to_edit = $itemToEdit;
        $this->departments = Department::all();
        $this->current_item = new User();
        //dd($this->item->name);
        if(!empty($itemToEdit)){
            $this->current_item = $itemToEdit;
        }

    }
    

    public function save_item(){
       
        $this->validate();
        $this->current_item->password         = bcrypt($this->password);

        $this->current_item->save();
        $this->dispatch('close-form');
        setupFlash('Utilisateur ajouté avec succès', 'success');
        return redirect(request()->header('Referer'));
    }

    public function render()
    {

        return view('livewire.admin.users.form-component');
    }
}
