<?php

namespace App\Livewire\Admin\Users;

use App\Models\User;
use Livewire\Attributes\On;
use Livewire\Attributes\Url;
use Livewire\Component;
use Livewire\WithPagination;

class IndexComponent extends Component
{
    use WithPagination;
    #[Url()]
    public $search = '',$sortField = 'name',$sortDirection = 'asc';
    public $showForm=false, $editMode = false, $itemToEdit, $testUser;
    
    #[On('close-form')] 
    public function closeForm()
    {
        $this->showForm = false;
        $this->editMode = false;
        $this->itemToEdit = User::class;
    }
    public function editItem(User $item){
        $this->showForm = true;
        $this->editMode = true;
        $this->itemToEdit = $item;
    }
    public function sortBy($field) {
        

        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection === 'asc' ? 'desc' : 'asc'   
            : 'asc';

        //dd($this->sortField );
        $this->sortField = $field;
    }
    public function render()
    {
        //sleep(1);
        return view('livewire.admin.users.index-component',[
            'items' => User::search('name', $this->search)->orderBy($this->sortField, $this->sortDirection)->paginate(10)
        ]);
    }
}
