<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class DemandeConge extends Model
{
    use HasFactory;
    protected $guarded = [];

    protected $appends = ['depart_fr', 'retour_fr', 'statut_text', 'statut_badge','created_at_fr'];

    public function user() {
        return $this->belongsTo(User::class);
    }
    public function getCreatedAtFrAttribute(  ) {
        return $this->created_at ? (new Carbon($this->created_at))->format('d/m/y à h:i') : null  ;
    }
    public function notes() {
        return $this->hasMany(DemandeCongeNote::class);
    }
    public function getDepartFrAttribute(  ) {
        return $this->depart ? (new Carbon($this->depart))->format('d/m/y ') : null  ;
    }
    public function getRetourFrAttribute(  ) {
        return $this->depart ? (new Carbon($this->depart))->format('d/m/y ') : null  ;
    }
    public function getStatutTextAttribute(  ) {
        $statut_text = ['En attente N+1', 'En attente DRH', 'Validé par la DRH','Desapprouvé par N+1','Desapprouvé par la DRH'];
        return $statut_text[(int)$this->etat];
    }
    public function getStatutBadgeAttribute(  ) {
        $badge_text = ['warning', 'primary', 'success', 'danger', 'danger'];
        return $badge_text[(int)$this->etat];
    }
    public function getTypeCongeTextAttribute(  ) {
        return $this->type_conge == 1 ? 'Congé annuel' : 'Congé de maternité';
    }
}
