<?php

use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('demande_conges', function (Blueprint $table) {
            $table->id();
            $table->integer('type_conge')->comment('1=> Congé anuuel, 2=Congé de maternité');
            $table->integer('duree');
            $table->date('depart');
            $table->date('retour')->nullable();
            $table->integer('etat')->default(0)->comment('0=nouveau, 1=validé par n+1, 2=validé par DRH');
            $table->foreignIdFor(User::class);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('demande_conges');
    }
};
