<?php

namespace Database\Seeders;

use App\Models\Department;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DepartmentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $depts = [
            ["name"=>"Direction des Ressources Humaines", "code"=>"DRH"],
            ["name"=>"Direction Financière et Comptable", "code"=>"DFC"],
            ["name"=>"Direction des Marketing et Communication", "code"=>"DMC"],
        ];

        foreach ($depts as $key => $row) {
            $item = Department::where('code', $row["code"])->first();
            if(empty($item)){
                $item = new Department();
            }
            $item->name = $row["name"];
            $item->code = $row["code"];
            $item->save();
        }
    }
}
