/**
 * Creates a new HTMLElement from icon node
 * @param {string} tag
 * @param {object} attrs
 * @param {array} children
 * @returns {HTMLElement}
 */
var createElement = function createElement(tag, attrs, children) {
  if (children === void 0) {
    children = [];
  }

  var element = document.createElementNS('http://www.w3.org/2000/svg', tag);
  Object.keys(attrs).forEach(function (name) {
    element.setAttribute(name, attrs[name]);
  });

  if (children.length) {
    children = children.forEach(function (child) {
      var childElement = createElement.apply(void 0, child);
      element.appendChild(childElement);
    });
  }

  return element;
};
/**
 * Creates a new HTMLElement from icon node
 * @param {[tag: string, attrs: object, children: array]} iconNode
 * @returns {HTMLElement}
 */


export default (function (_ref) {
  var tag = _ref[0],
      attrs = _ref[1],
      children = _ref[2];
  return createElement(tag, attrs, children);
});