<!-- BEGIN: Top Bar -->
<div class="top-bar">
    <!-- BEGIN: Breadcrumb -->
    <nav aria-label="breadcrumb" class="hidden -intro-x xl:flex">
        <ol class="breadcrumb breadcrumb-light">
            <li class="breadcrumb-item"><a href="#">App</a></li>
            <li class="breadcrumb-item"><a href="#">Administrator</a></li>
            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
        </ol>
    </nav>
    <!-- END: Breadcrumb -->
    <!-- BEGIN: Mobile Menu -->
    <div class="mr-3 -intro-x xl:hidden sm:mr-6">
        <div class="cursor-pointer mobile-menu-toggler">
            <i data-lucide="bar-chart-2" class="transform rotate-90 mobile-menu-toggler__icon dark:text-slate-500"></i>
        </div>
    </div>
    <!-- END: Mobile Menu -->
    <!-- BEGIN: Search -->
    <div class="relative ml-auto intro-x sm:mx-auto">
        <div class="hidden search sm:block">
            <input type="text" class="search__input form-control" placeholder="Quick Search... (Ctrl+k)">
            <i data-lucide="search" class="search__icon"></i>
        </div>
        <a class="notification sm:hidden" href="">
            <i data-lucide="search" class="mr-5 notification__icon dark:text-slate-500"></i>
        </a>
    </div>
    <!-- END: Search -->
    <!-- BEGIN: Search Result -->
    <div id="search-result-modal" class="flex items-center justify-center modal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="p-0 modal-body">
                    <div class="relative border-b border-slate-200/60">
                        <i data-lucide="search" class="absolute inset-y-0 w-5 h-5 my-auto ml-4 text-slate-500"></i>
                        <input type="text" class="px-12 py-5 border-0 shadow-none form-control focus:ring-0" placeholder="Quick Search...">
                        <div class="absolute inset-y-0 right-0 flex items-center h-6 px-2 my-auto mr-4 text-xs rounded-md bg-slate-200 text-slate-500">ESC</div>
                    </div>
                    <div class="p-5">
                        <div class="mb-3 font-medium">Applications</div>
                        <div class="mb-5">
                            <a href="" class="flex items-center mt-3 first:mt-0">
                                <div class="flex items-center justify-center rounded-full w-7 h-7 bg-success/20 dark:bg-success/10 text-success">
                                    <i class="w-3.5 h-3.5" data-lucide="inbox"></i>
                                </div>
                                <div class="ml-3 truncate">Compose New Mail</div>
                                <div class="flex items-center justify-end w-48 ml-auto text-xs truncate text-slate-500">
                                    <i class="w-3.5 h-3.5 mr-2" data-lucide="link"></i> Quick Access
                                </div>
                            </a>
                            <a href="" class="flex items-center mt-3 first:mt-0">
                                <div class="flex items-center justify-center rounded-full w-7 h-7 bg-pending/10 text-pending">
                                    <i class="w-3.5 h-3.5" data-lucide="users"></i>
                                </div>
                                <div class="ml-3 truncate">Contacts</div>
                                <div class="flex items-center justify-end w-48 ml-auto text-xs truncate text-slate-500">
                                    <i class="w-3.5 h-3.5 mr-2" data-lucide="link"></i> Quick Access
                                </div>
                            </a>
                            <a href="" class="flex items-center mt-3 first:mt-0">
                                <div class="flex items-center justify-center rounded-full w-7 h-7 bg-primary/10 dark:bg-primary/20 text-primary/80">
                                    <i class="w-3.5 h-3.5" data-lucide="credit-card"></i>
                                </div>
                                <div class="ml-3 truncate">Product Reports</div>
                                <div class="flex items-center justify-end w-48 ml-auto text-xs truncate text-slate-500">
                                    <i class="w-3.5 h-3.5 mr-2" data-lucide="link"></i> Quick Access
                                </div>
                            </a>
                        </div>
                        <div class="mb-3 font-medium">Contacts</div>
                        <div class="mb-5">
                            @foreach (array_slice($fakers, 0, 4) as $faker)
                                <a href="" class="flex items-center mt-3 first:mt-0">
                                    <div class="w-7 h-7 image-fit">
                                        <img alt="Rocketman - HTML Admin Template" class="rounded-full" src="{{ asset('build/assets/images/' . $faker['photos'][0]) }}">
                                    </div>
                                    <div class="ml-3 truncate w-36">{{ $faker['users'][0]['name'] }}</div>
                                    <div class="ml-auto text-xs text-right truncate w-36 text-slate-500">{{ $faker['users'][0]['email'] }}</div>
                                </a>
                            @endforeach
                        </div>
                        <div class="mb-3 font-medium">Products</div>
                        <div>
                            @foreach (array_slice($fakers, 0, 4) as $faker)
                                <a href="" class="flex items-center mt-3 first:mt-0">
                                    <div class="w-7 h-7 image-fit">
                                        <img alt="Rocketman - HTML Admin Template" class="rounded-full" src="{{ asset('build/assets/images/' . $faker['images'][0]) }}">
                                    </div>
                                    <div class="ml-3 truncate w-36">{{ $faker['products'][0]['name'] }}</div>
                                    <div class="ml-auto text-xs text-right truncate w-36 text-slate-500">{{ $faker['products'][0]['category'] }}</div>
                                </a>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END: Search Result -->
    <!-- BEGIN: Notifications -->
    {{-- <div class="mr-5 intro-x dropdown sm:mr-6">
        <div class="cursor-pointer dropdown-toggle notification notification--bullet" role="button" aria-expanded="false" data-tw-toggle="dropdown">
            <i data-lucide="bell" class="notification__icon dark:text-slate-500"></i>
        </div>
        <div class="pt-2 notification-content dropdown-menu">
            <div class="notification-content__box dropdown-content">
                <div class="notification-content__title">Notifications</div>
                @foreach (array_slice($fakers, 0, 3) as $key => $faker)
                    <div class="cursor-pointer relative flex {{ $key ? 'mt-5' : '' }}">
                        <div class="flex-none w-10 h-10 mr-1 image-fit">
                            <img alt="Rocketman - HTML Admin Template" class="rounded-full" src="{{ asset('build/assets/images/' . $faker['photos'][0]) }}">
                            <div class="absolute bottom-0 right-0 w-3 h-3 border-2 border-white rounded-full bg-success dark:border-darkmode-600"></div>
                        </div>
                        <div class="ml-2">
                            <a href="javascript:;" class="mr-1 font-medium">{{ $faker['users'][0]['name'] }}</a>
                            <span class="text-slate-500">{{ $faker['news'][0]['short_content'] }}</span>
                            <div class="mt-1 text-xs text-slate-400">{{ $faker['times'][0] }}</div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div> --}}
    <!-- END: Notifications -->
    <!-- BEGIN: Notifications -->
    {{-- <div class="mr-auto intro-x sm:mr-6">
        <div class="cursor-pointer notification">
            <i data-lucide="inbox" class="notification__icon dark:text-slate-500"></i>
        </div>
    </div> --}}
    <!-- END: Notifications -->
    <!-- BEGIN: Account Menu -->
    <div class="h-10 intro-x dropdown text-slate-200">
        <div class="flex items-center h-full dropdown-toggle" role="button" aria-expanded="false" data-tw-toggle="dropdown">
            <div class="w-10 h-10 image-fit">
                <img alt="Rocketman - HTML Admin Template" class="border-2 border-white rounded-full shadow-lg border-opacity-10" src="https://cdn-icons-png.flaticon.com/512/9131/9131529.png">
            </div>
            <div class="hidden ml-3 md:block">
                <div class="max-w-[7rem] truncate font-medium">{{ Auth::user()->name }}</div>
                <div class="text-xs text-slate-400">{{ Auth::user()->role }}</div>
            </div>
        </div>
        <div class="w-56 dropdown-menu">
            <ul class="dropdown-content">
                {{-- <li>
                    <a href="" class="dropdown-item">
                        <i data-lucide="user" class="w-4 h-4 mr-2"></i> Profile
                    </a>
                </li>
                <li>
                    <a href="" class="dropdown-item">
                        <i data-lucide="edit" class="w-4 h-4 mr-2"></i> Add Account
                    </a>
                </li>
                <li>
                    <a href="" class="dropdown-item">
                        <i data-lucide="lock" class="w-4 h-4 mr-2"></i> Reset Password
                    </a>
                </li>
                <li>
                    <a href="" class="dropdown-item">
                        <i data-lucide="help-circle" class="w-4 h-4 mr-2"></i> Help
                    </a>
                </li> --}}
                <li><hr class="dropdown-divider"></li>
                <li>
                    <a href="{{ route('logout') }}" class="dropdown-item">
                        <i data-lucide="toggle-right" class="w-4 h-4 mr-2"></i> Se déconnecter
                    </a>
                </li>
            </ul>
        </div>
    </div>
    <!-- END: Account Menu -->
</div>
<!-- END: Top Bar -->
