<div>
    
    <div class="grid grid-cols-1 gap-6 mt-5 intro-y">
        <div class="p-5 mt-5 intro-y box">
            
        
            <div class="grid items-center justify-between w-full grid-cols-3 p-4 rounded-md bg-slate-100">
                <div>
                    <h2 class="mr-auto text-lg font-medium">Gestion des demande de congé</h2>
                </div>
                <div>
                    <div class="relative w-full ">
                        <input wire:model.live="search" type="text" class="pl-10 form-control"
                            placeholder="Rechercher...">
                        <x-lucide-search
                            class="absolute inset-y-0 left-0 w-5 h-5 my-auto ml-3 lucide lucide-search text-slate-400" />
                    </div>
                </div>
                <div class="flex justify-end">
                    @if (Auth::user()->role != 'drh')
                    <button class="px-6 mr-2 rounded-md btn btn-primary tooltip" wire:click="$set('showForm', true)"
                        title="Nouvelle demande de congé">
                        <x-lucide-user-plus class="w-4 h-4 mr-2 text-slate-100" /> Ajouter
                    </button>
                    @endif
                    <button class="px-6 rounded-md btn box tooltip" title="Exporter au format Excel">
                        <x-lucide-file-up class="w-4 h-4 text-green-700" />
                    </button>
                </div>
            </div>
            <div class="flex-col mt-2 space-y-4">
                <x-table>
                    <x-slot name="head">
                        <x-table.heading sortable wire:click="sortBy('id')" :direction="$sortField == 'id' ? $sortDirection : null">##</x-table.heading>
                        @if (in_array(Auth::user()->role, ['n+1', 'drh']))  
                            <x-table.heading sortable wire:click="sortBy('type_conge')" :direction="$sortField == 'type_conge' ? $sortDirection : null" >Agent</x-table.heading>
                        @endif
                        <x-table.heading sortable wire:click="sortBy('type_conge')" :direction="$sortField == 'type_conge' ? $sortDirection : null" >Type de Congé</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('duree')" :direction="$sortField == 'duree' ? $sortDirection : null">Durée</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('depart')" :direction="$sortField == 'depart' ? $sortDirection : null">Date de départ</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('statut')" :direction="$sortField == 'statut' ? $sortDirection : null">Statut</x-table.heading>
                        @if (in_array(Auth::user()->role, ['n+1', 'drh']))  
                            <x-table.heading >Action</x-table.heading>
                            @endif
                            <x-table.heading >Imprimer</x-table.heading>
                    </x-slot>
                    <x-slot name="body">
                        @forelse ($items as $item)
                            <x-table.row wire:loading.class.delay="opacity-50">
                                <x-table.cell>{{ $item->id }} </x-table.cell>
                                @if (in_array(Auth::user()->role, ['n+1', 'drh']))  
                                    <x-table.cell>{{ $item->user->name }} </x-table.cell>
                                @endif
                                <x-table.cell>{{ $item->type_conge_text }} </x-table.cell>
                                <x-table.cell>{{ $item->duree }} jours </x-table.cell>
                                <x-table.cell>{{ $item->depart_fr }} </x-table.cell>
                                <x-table.cell>
                                    <span class="p-1 mr-1  text-xs text-white bg-{{ $item->statut_badge}}">{{ $item->statut_text}}</span>
                                </x-table.cell>
                                @if (in_array(Auth::user()->role, ['n+1', 'drh']))  
                                <x-table.cell>
                                    <button class="text-white bg-primary btn btn-sm" wire:click='consulter({{$item}})'>
                                        <x-lucide-eye class="w-4 h-4 mr-2 text-slate-100" /> 
                                        Consulter
                                    </button>
                                </x-table.cell>
                                @endif                               
                                @if ( $item->etat == 2)  
                                <x-table.cell>
                                    <a class="text-white btn-dark btn btn-sm" href="{{route('decision-conge', ['demande_id'=>$item->id])}}">
                                        <x-lucide-printer class="w-4 h-4 mr-2 text-slate-100" /> 
                                        Décision congé
                                    </a>
                                </x-table.cell>
                                @else
                                <x-table.cell>
                                    -
                                </x-table.cell>
                                @endif
                                
                            </x-table.row>
                        @empty
                            <x-table.row wire:loading.class.delay="opacity-50">
                                <x-table.cell colspan="8">
                                    <div class="flex items-center justify-center space-x-2">
                                        <x-lucide-inbox class="w-8 h-8 text-gray-300" />

                                        <span class="py-8 text-xl font-medium text-gray-400">Aucune demande de congé
                                            n'a été trouvée...</span>
                                    </div>
                                </x-table.cell>
                            </x-table.row>
                        @endforelse
                    </x-slot>
                </x-table>
                <div>
                    {{ $items->links() }}
                </div>
            </div>
        </div>

    </div>
    @if ($showForm)
    <div>
        <x-modal :width="'lg'">
            <x-slot name='modalHeader'>
                Demande de congé
            </x-slot>
    
            <x-slot name='modalBody'>
                <div>
                    <form wire:submit.prevent='save_item()'>
                        <div class="mt-3"> 
                            <label for="department" class="mb-0 form-label">Type de congé</label> 
                            <x-tom-select id="type_conge" :value="'id'" :title="'name'" :subtitle="'name'" wire:model.live="current_item.type_conge"
                            :options="[
                                ['name' => 'Congé Annuel', 'id'=>1],
                                ['name' => 'Congé de maternité', 'id'=>2],
                                ]" 
                            :selectedItems='current_item.type_conge'
                            placeholder="Sélectionner un type de congé" autocomplete="off" />
                            @error('current_item.type_conge')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="duree" class="mb-0 form-label">Durée en jours <strong>{{$current_item->type_conge==2 ? '(6 semaines avant l\'accouchement, 8 semaines après)' : ''}}</strong>  </label> 
                            <input id="duree" wire:model="current_item.duree" type="number" class="form-control" placeholder="Ex: 12" autocomplete="off" {{$current_item->type_conge==2 ? 'disabled' : ''}} > 
                            @error('current_item.duree')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="depart" class="mb-0 form-label">Date de départ (1er jours non travaillé) </label> 
                            <input id="depart" wire:model="current_item.depart" type="date" class="form-control" placeholder="example@gmail.com" autocomplete="off" > 
                             @error('current_item.depart')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="retour" class="mb-0 form-label">Date de départ (1er jours non travaillé) </label> 
                            <input id="retour" wire:model="current_item.retour" type="date" class="form-control" placeholder="example@gmail.com" {{in_array(Auth::user()->role, ['drh']) ? '' : 'disabled'}} autocomplete="off" > 
                             @error('current_item.retour')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div class="mt-3"> 
                            <label for="notes" class="mb-0 form-label">Notes</label> 
                            <textarea id="notes" wire:model="notes"  class="form-control" placeholder="Notes" autocomplete="off" > </textarea>
                        </div>
                       
                        <button class="mt-5 btn btn-primary">Ajouter</button>
                    </form>
                    
    
                </div>
            </x-slot>
        </x-modal>
    </div>
    
    @endif
    @if ($showFormConsulter)
    <div>
        <x-modal :width="'lg'">
            <x-slot name='modalHeader'>
                Demande de congé
            </x-slot>
    
            <x-slot name='modalBody'>
                <div>
                    <form wire:submit.prevent='save_item()'>
                        <div class="mt-3"> 
                            <div class="mb-2">
                                Demande créée le <span class="font-bold">{{$current_item->created_at_fr}}</span>
                            </div>
                            <label for="department" class="mb-0 form-label">Type de congé</label> 
                            <x-tom-select :disabled="Auth::user()->role == 'n+1' " id="type_conge" :value="'id'" :title="'name'" :subtitle="'name'" wire:model.live="current_item.type_conge"
                            :options="[
                                ['name' => 'Congé Annuel', 'id'=>1],
                                ['name' => 'Congé de maternité', 'id'=>2],
                                ]" 
                            :selectedItems='$current_item->type_conge'

                            placeholder="Sélectionner un type de congé" autocomplete="off" />
                            @error('current_item.type_conge')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="duree" class="mb-0 form-label">Durée en jours <strong>{{($current_item->type_conge==2) ? '(6 semaines avant l\'accouchement, 8 semaines après)' : ''}}</strong>  </label> 
                            <input id="duree" wire:model="current_item.duree" type="number" class="form-control" placeholder="Ex: 12" autocomplete="off" {{($current_item->type_conge==2 || Auth::user()->role == 'n+1') ? 'disabled' : ''}} > 
                            @error('current_item.duree')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="depart" class="mb-0 form-label">Date de départ (1er jours non travaillé) </label> 
                            <input id="depart" wire:model="current_item.depart" {{Auth::user()->role == 'n+1' ? 'disabled' : ''}} type="date" class="form-control" placeholder="example@gmail.com" autocomplete="off" > 
                             @error('current_item.depart')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div  class="mt-3"> 
                            <label for="retour" class="mb-0 form-label">Date de départ (1er jours non travaillé) </label> 
                            <input id="retour" wire:model="current_item.retour" type="date" class="form-control" placeholder="example@gmail.com" {{in_array(Auth::user()->role, ['drh']) ? '' : 'disabled'}} autocomplete="off" > 
                             @error('current_item.retour')
                            <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                            @enderror
                        </div>
                        <div class="mt-3"> 
                            <label for="notes" class="mb-0 form-label">Notes</label> 
                            <textarea id="notes" wire:model="notes"  class="form-control" placeholder="Notes" autocomplete="off" > </textarea>
                        </div>
                       
                        <div class="flex justify-center">
                            @if (($current_item->etat == 0 && Auth::user()->role == 'n+1') || ($current_item->etat == 1 && Auth::user()->role == 'drh'))
                                <button type="button" wire:click='approbation(1)' class="inline-block mb-2 mr-1 whitespace-nowrap btn btn-outline-success">Approuver</button> 
                                <button type="button" wire:click='approbation(-1)' class="inline-block mb-2 ml-1 whitespace-nowrap btn btn-outline-danger">Ne pas Approuver</button> 
                            @else
                            <span class="p-1 mt-4 text-lg text-white bg-{{ $current_item->statut_badge}}">{{ $current_item->statut_text}}</span>

                            @endif
                        </div>
                        <div>
                            <h3 class="font-bold text-md">Notes</h3>
                            @forelse ($current_item->notes as $note)
                                <div class="mb-2 alert alert-secondary show" role="alert">
                                    <div class="flex items-center">
                                        <div class="text-lg font-medium">{{$note->user->name}}</div>
                                        <div class="px-1 ml-auto text-xs text-white rounded-md bg-slate-500">{{$note->created_at_fr}}</div>
                                    </div>
                                    <div class="mt-3">
                                        {{$note->notes}}
                                    </div>
                                </div>
                            @empty
                            <div class="flex items-center mb-2 alert alert-secodary-soft show" role="alert"> 
                                <x-lucide-alert-circle class="w-6 h-6 mr-2 lucide lucide-alert-circle"/>
                                Aucune note n'a été ajouté
                            </div>
                            @endforelse
                        </div>

                    </form>
                    
    
                </div>
            </x-slot>
        </x-modal>
    </div>
    
    @endif
    @if ($showModalApprobation)
    <div id="delete-modal-preview" class="overflow-y-auto modal show" tabindex="-1" aria-hidden="false" style="margin-top: 0px; margin-left: 0px; padding-left: 0px; z-index: 10000;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="p-0 modal-body">
                    <div class="p-5 text-center">
                        @if ($valueApprobation == 1)
                            <x-lucide-check class="w-16 h-16 mx-auto mt-3 lucide lucide-x-circle text-success"/>
                        @else
                            <x-lucide-x-circle class="w-16 h-16 mx-auto mt-3 lucide lucide-x-circle text-danger"/>
                        @endif
                        <div class="mt-5 text-3xl">Êtes-vous sûr?</div>
                        <div class="mt-2 text-slate-700">
                            Vous êtes sur le point <span class="font-bold"> {{$valueApprobation == 1 ? ' d\'approuver '  : 'de désapprouver'}}</span> la demande de congé de <span class="font-bold">{{$current_item->user->name}}</span>.
                            <br>
                            
                        </div>
                        <p>
                            <span class="font-bold"> <u>NB</u>: Ce processus est irréversible</span>
                        </p>
                    </div>
                    <div class="px-5 pb-8 text-center">
                        <button type="button" data-tw-dismiss="modal" class="w-24 mr-1 btn btn-outline-secondary" wire:click="$set('showModalApprobation', false)">Fermer</button>
                        @if ($valueApprobation == 1)
                            <button type="button" wire:click='save_approbation()' class="text-white btn btn-success">Oui! Approuver</button>

                        @else
                            <button type="button" wire:click='save_approbation()' class="btn btn-danger">Oui! Désapprouver</button>

                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>

    @endif
<div>
