<div>
    <x-modal :width="'lg'">
        <x-slot name='modalHeader'>
            {{ $edit_mode == false ? 'Ajout' : 'Modification' }} d'un utilisateur
        </x-slot>

        <x-slot name='modalBody'>
            <div>
                <form wire:submit.prevent='save_item()'>
                    <div  class="mt-3"> 
                        {{$current_item->name}}
                        <label for="name" class="mb-0 form-label">Nom</label> 
                        <input id="name" wire:model="current_item.name" type="text" class="form-control" placeholder="Ex: Moussa Faye" autocomplete="off" > 
                        @error('current_item.name')
                        <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                        @enderror
                    </div>
                    <div  class="mt-3"> 
                        <label for="email" class="mb-0 form-label">Email</label> 
                        <input id="email" wire:model="current_item.email" type="text" class="form-control" placeholder="example@gmail.com" autocomplete="off" > 
                         @error('current_item.email')
                        <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                        @enderror
                    </div>
                    <div class="mt-3"> 
                        <label for="password" class="mb-0 form-label">Mot de passe</label> 
                        <input id="password" wire:model="password" type="text" class="form-control" placeholder="secret" autocomplete="off" > 
                         @error('current_item.password')
                        <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                        @enderror
                    </div>
                   
                    <div class="mt-3"> 
                        <label for="department" class="mb-0 form-label">Departement</label> 
                        <x-tom-select id="department" :value="'id'" :title="'name'" :subtitle="'code'" wire:model="current_item.department_id"
                        :options="$departments->toArray()" placeholder="Sélectionner un utilisateur" autocomplete="off" />
                        @error('current_item.department_id')
                        <div class="mt-2 pristine-error text-danger">{{$message}}</div>
                        @enderror
                    </div>
                   
                    <button class="mt-5 btn btn-primary">Ajouter</button>
                </form>
                

            </div>
        </x-slot>
    </x-modal>
</div>
