<div>
    <div class="grid grid-cols-1 gap-6 mt-5 intro-y">
        <div class="p-5 mt-5 intro-y box">
            {{--  <div class="overflow-x-auto">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th class="whitespace-nowrap">#</th>
                        <th class="whitespace-nowrap text-slate-900">
                            <button class="flex" wire:click="sort_by('name')">
                                First Name
                                <x-lucide-arrow-down class="w-4 h-4 ml-4 " />
                            </button>
                        </th>
                        <th class="whitespace-nowrap">Last Name</th>
                        <th class="whitespace-nowrap">Username</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>1</td>
                        <td>Angelina</td>
                        <td>Jolie</td>
                        <td>@angelinajolie</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Brad</td>
                        <td>Pitt</td>
                        <td>@bradpitt</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>Charlie</td>
                        <td>Hunnam</td>
                        <td>@charliehunnam</td>
                    </tr>
                </tbody>
            </table>
        </div> --}}
            <div class="grid items-center justify-between w-full grid-cols-3 p-4 rounded-md bg-slate-100">
                <div>
                    <h2 class="mr-auto text-lg font-medium">Gestion des utilisateur</h2>
                </div>
                <div>
                    <div class="relative w-full ">
                        <input wire:model.live="search" type="text" class="pl-10 form-control"
                            placeholder="Rechercher...">
                        <x-lucide-search
                            class="absolute inset-y-0 left-0 w-5 h-5 my-auto ml-3 lucide lucide-search text-slate-400" />
                    </div>
                </div>
                <div class="flex justify-end">
                    <button class="px-6 mr-2 rounded-md btn btn-primary tooltip" wire:click="$set('showForm', true)"
                        title="Nouvel utilisateur">
                        <x-lucide-user-plus class="w-4 h-4 mr-2 text-slate-100" /> Ajouter
                    </button>
                    <button class="px-6 rounded-md btn box tooltip" title="Exporter au format Excel">
                        <x-lucide-file-up class="w-4 h-4 text-green-700" />
                    </button>
                </div>
            </div>
            <div class="flex-col mt-2 space-y-4">
                <x-table>
                    <x-slot name="head">
                        <x-table.heading sortable wire:click="sortBy('id')" :direction="$sortField == 'id' ? $sortDirection : null">##</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('name')" :direction="$sortField == 'name' ? $sortDirection : null" class="w-full">Name</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('email')" :direction="$sortField == 'email' ? $sortDirection : null">Email</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('gender')" :direction="$sortField == 'gender' ? $sortDirection : null">Genre</x-table.heading>
                        <x-table.heading sortable wire:click="sortBy('created_at')" :direction="$sortField == 'created_at' ? $sortDirection : null">Date</x-table.heading>
                        <x-table.heading>Action</x-table.heading>
                    </x-slot>
                    <x-slot name="body">
                        @forelse ($items as $item)
                            <x-table.row wire:loading.class.delay="opacity-50">
                                <x-table.cell>{{ $item->id }} </x-table.cell>
                                <x-table.cell>{{ $item->name }} </x-table.cell>
                                <x-table.cell>{{ $item->email }} </x-table.cell>
                                <x-table.cell>{{ $item->gender }} </x-table.cell>
                                <x-table.cell>{{ $item->created_at->format('d M Y') }} </x-table.cell>
                                <x-table.cell>
                                    <button class="bg-orange-400 btn btn-sm" wire:click='editItem({{$item}})'>Modifier</button>
                                </x-table.cell>
                            </x-table.row>
                        @empty
                            <x-table.row wire:loading.class.delay="opacity-50">
                                <x-table.cell colspan="4">
                                    <div class="flex items-center justify-center space-x-2">
                                        <x-lucide-inbox class="w-8 h-8 text-gray-300" />

                                        <span class="py-8 text-xl font-medium text-gray-400">Aucun utilisateur
                                            n'a été trouvé...</span>
                                    </div>
                                </x-table.cell>
                            </x-table.row>
                        @endforelse
                    </x-slot>
                </x-table>
                <div>
                    {{ $items->links() }}
                </div>
            </div>
        </div>

    </div>
    @if ($showForm)
        <livewire:admin.users.form-component :editMode="$editMode" :itemToEdit="$itemToEdit">
    @endif

    <div>
