import {
  __export
} from "./chunk-BHN6OJC3.js";

// node_modules/lucide/dist/esm/createElement.js
var createElement = function createElement2(tag, attrs, children) {
  if (children === void 0) {
    children = [];
  }
  var element = document.createElementNS("http://www.w3.org/2000/svg", tag);
  Object.keys(attrs).forEach(function(name) {
    element.setAttribute(name, attrs[name]);
  });
  if (children.length) {
    children = children.forEach(function(child) {
      var childElement = createElement2.apply(void 0, child);
      element.appendChild(childElement);
    });
  }
  return element;
};
var createElement_default = function(_ref) {
  var tag = _ref[0], attrs = _ref[1], children = _ref[2];
  return createElement(tag, attrs, children);
};

// node_modules/lucide/dist/esm/replaceElement.js
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
var getAttrs = function getAttrs2(element) {
  return Array.from(element.attributes).reduce(function(attrs, attr) {
    attrs[attr.name] = attr.value;
    return attrs;
  }, {});
};
var getClassNames = function getClassNames2(attrs) {
  if (typeof attrs === "string")
    return attrs;
  if (!attrs || !attrs["class"])
    return "";
  if (attrs["class"] && typeof attrs["class"] === "string") {
    return attrs["class"].split(" ");
  }
  if (attrs["class"] && Array.isArray(attrs["class"])) {
    return attrs["class"];
  }
  return "";
};
var combineClassNames = function combineClassNames2(arrayOfClassnames) {
  var classNameArray = arrayOfClassnames.flatMap(getClassNames);
  return classNameArray.map(function(classItem) {
    return classItem.trim();
  }).filter(Boolean).filter(function(value, index, self) {
    return self.indexOf(value) === index;
  }).join(" ");
};
var toPascalCase = function toPascalCase2(string) {
  return string.replace(/(\w)(\w*)(_|-|\s*)/g, function(g0, g1, g2) {
    return g1.toUpperCase() + g2.toLowerCase();
  });
};
var replaceElement_default = function(element, _ref) {
  var nameAttr = _ref.nameAttr, icons = _ref.icons, attrs = _ref.attrs;
  var iconName = element.getAttribute(nameAttr);
  var ComponentName = toPascalCase(iconName);
  var iconNode = icons[ComponentName];
  if (!iconNode) {
    return console.warn(element.outerHTML + " icon name was not found in the provided icons object.");
  }
  var elementAttrs = getAttrs(element);
  var tag = iconNode[0], iconAttributes = iconNode[1], children = iconNode[2];
  var iconAttrs = _extends({}, iconAttributes, {
    "icon-name": iconName
  }, attrs, elementAttrs);
  var classNames = combineClassNames(["lucide", "lucide-" + iconName, elementAttrs, attrs]);
  if (classNames) {
    iconAttrs["class"] = classNames;
  }
  var svgElement = createElement_default([tag, iconAttrs, children]);
  return element.parentNode.replaceChild(svgElement, element);
};

// node_modules/lucide/dist/esm/icons/index.js
var icons_exports = {};
__export(icons_exports, {
  Activity: () => activity_default,
  Airplay: () => airplay_default,
  AlarmCheck: () => alarm_check_default,
  AlarmClock: () => alarm_clock_default,
  AlarmClockOff: () => alarm_clock_off_default,
  AlarmMinus: () => alarm_minus_default,
  AlarmPlus: () => alarm_plus_default,
  Album: () => album_default,
  AlertCircle: () => alert_circle_default,
  AlertOctagon: () => alert_octagon_default,
  AlertTriangle: () => alert_triangle_default,
  AlignCenter: () => align_center_default,
  AlignCenterHorizontal: () => align_center_horizontal_default,
  AlignCenterVertical: () => align_center_vertical_default,
  AlignEndHorizontal: () => align_end_horizontal_default,
  AlignEndVertical: () => align_end_vertical_default,
  AlignHorizontalDistributeCenter: () => align_horizontal_distribute_center_default,
  AlignHorizontalDistributeEnd: () => align_horizontal_distribute_end_default,
  AlignHorizontalDistributeStart: () => align_horizontal_distribute_start_default,
  AlignHorizontalJustifyCenter: () => align_horizontal_justify_center_default,
  AlignHorizontalJustifyEnd: () => align_horizontal_justify_end_default,
  AlignHorizontalJustifyStart: () => align_horizontal_justify_start_default,
  AlignHorizontalSpaceAround: () => align_horizontal_space_around_default,
  AlignHorizontalSpaceBetween: () => align_horizontal_space_between_default,
  AlignJustify: () => align_justify_default,
  AlignLeft: () => align_left_default,
  AlignRight: () => align_right_default,
  AlignStartHorizontal: () => align_start_horizontal_default,
  AlignStartVertical: () => align_start_vertical_default,
  AlignVerticalDistributeCenter: () => align_vertical_distribute_center_default,
  AlignVerticalDistributeEnd: () => align_vertical_distribute_end_default,
  AlignVerticalDistributeStart: () => align_vertical_distribute_start_default,
  AlignVerticalJustifyCenter: () => align_vertical_justify_center_default,
  AlignVerticalJustifyEnd: () => align_vertical_justify_end_default,
  AlignVerticalJustifyStart: () => align_vertical_justify_start_default,
  AlignVerticalSpaceAround: () => align_vertical_space_around_default,
  AlignVerticalSpaceBetween: () => align_vertical_space_between_default,
  Anchor: () => anchor_default,
  Aperture: () => aperture_default,
  Archive: () => archive_default,
  ArrowBigDown: () => arrow_big_down_default,
  ArrowBigLeft: () => arrow_big_left_default,
  ArrowBigRight: () => arrow_big_right_default,
  ArrowBigUp: () => arrow_big_up_default,
  ArrowDown: () => arrow_down_default,
  ArrowDownCircle: () => arrow_down_circle_default,
  ArrowDownLeft: () => arrow_down_left_default,
  ArrowDownRight: () => arrow_down_right_default,
  ArrowLeft: () => arrow_left_default,
  ArrowLeftCircle: () => arrow_left_circle_default,
  ArrowLeftRight: () => arrow_left_right_default,
  ArrowRight: () => arrow_right_default,
  ArrowRightCircle: () => arrow_right_circle_default,
  ArrowUp: () => arrow_up_default,
  ArrowUpCircle: () => arrow_up_circle_default,
  ArrowUpLeft: () => arrow_up_left_default,
  ArrowUpRight: () => arrow_up_right_default,
  Asterisk: () => asterisk_default,
  AtSign: () => at_sign_default,
  Award: () => award_default,
  Axe: () => axe_default,
  Banknote: () => banknote_default,
  BarChart: () => bar_chart_default,
  BarChart2: () => bar_chart_2_default,
  Baseline: () => baseline_default,
  Battery: () => battery_default,
  BatteryCharging: () => battery_charging_default,
  BatteryFull: () => battery_full_default,
  BatteryLow: () => battery_low_default,
  BatteryMedium: () => battery_medium_default,
  Beaker: () => beaker_default,
  Bell: () => bell_default,
  BellMinus: () => bell_minus_default,
  BellOff: () => bell_off_default,
  BellPlus: () => bell_plus_default,
  BellRing: () => bell_ring_default,
  Bike: () => bike_default,
  Binary: () => binary_default,
  Bitcoin: () => bitcoin_default,
  Bluetooth: () => bluetooth_default,
  BluetoothConnected: () => bluetooth_connected_default,
  BluetoothOff: () => bluetooth_off_default,
  BluetoothSearching: () => bluetooth_searching_default,
  Bold: () => bold_default,
  Book: () => book_default,
  BookOpen: () => book_open_default,
  Bookmark: () => bookmark_default,
  BookmarkMinus: () => bookmark_minus_default,
  BookmarkPlus: () => bookmark_plus_default,
  Bot: () => bot_default,
  Box: () => box_default,
  BoxSelect: () => box_select_default,
  Briefcase: () => briefcase_default,
  Brush: () => brush_default,
  Bug: () => bug_default,
  Building: () => building_default,
  Bus: () => bus_default,
  Calculator: () => calculator_default,
  Calendar: () => calendar_default,
  Camera: () => camera_default,
  CameraOff: () => camera_off_default,
  Car: () => car_default,
  Carrot: () => carrot_default,
  Cast: () => cast_default,
  Check: () => check_default,
  CheckCircle: () => check_circle_default,
  CheckCircle2: () => check_circle_2_default,
  CheckSquare: () => check_square_default,
  ChevronDown: () => chevron_down_default,
  ChevronFirst: () => chevron_first_default,
  ChevronLast: () => chevron_last_default,
  ChevronLeft: () => chevron_left_default,
  ChevronRight: () => chevron_right_default,
  ChevronUp: () => chevron_up_default,
  ChevronsDown: () => chevrons_down_default,
  ChevronsDownUp: () => chevrons_down_up_default,
  ChevronsLeft: () => chevrons_left_default,
  ChevronsRight: () => chevrons_right_default,
  ChevronsUp: () => chevrons_up_default,
  ChevronsUpDown: () => chevrons_up_down_default,
  Chrome: () => chrome_default,
  Circle: () => circle_default,
  CircleSlashed: () => circle_slashed_default,
  Clipboard: () => clipboard_default,
  ClipboardCheck: () => clipboard_check_default,
  ClipboardCopy: () => clipboard_copy_default,
  ClipboardList: () => clipboard_list_default,
  ClipboardX: () => clipboard_x_default,
  Clock: () => clock_default,
  Clock1: () => clock_1_default,
  Clock10: () => clock_10_default,
  Clock11: () => clock_11_default,
  Clock12: () => clock_12_default,
  Clock2: () => clock_2_default,
  Clock3: () => clock_3_default,
  Clock4: () => clock_4_default,
  Clock5: () => clock_5_default,
  Clock6: () => clock_6_default,
  Clock7: () => clock_7_default,
  Clock8: () => clock_8_default,
  Clock9: () => clock_9_default,
  Cloud: () => cloud_default,
  CloudDrizzle: () => cloud_drizzle_default,
  CloudFog: () => cloud_fog_default,
  CloudHail: () => cloud_hail_default,
  CloudLightning: () => cloud_lightning_default,
  CloudMoon: () => cloud_moon_default,
  CloudOff: () => cloud_off_default,
  CloudRain: () => cloud_rain_default,
  CloudRainWind: () => cloud_rain_wind_default,
  CloudSnow: () => cloud_snow_default,
  CloudSun: () => cloud_sun_default,
  Cloudy: () => cloudy_default,
  Clover: () => clover_default,
  Code: () => code_default,
  Code2: () => code_2_default,
  Codepen: () => codepen_default,
  Codesandbox: () => codesandbox_default,
  Coffee: () => coffee_default,
  Coins: () => coins_default,
  Columns: () => columns_default,
  Command: () => command_default,
  Compass: () => compass_default,
  Contact: () => contact_default,
  Contrast: () => contrast_default,
  Cookie: () => cookie_default,
  Copy: () => copy_default,
  Copyleft: () => copyleft_default,
  Copyright: () => copyright_default,
  CornerDownLeft: () => corner_down_left_default,
  CornerDownRight: () => corner_down_right_default,
  CornerLeftDown: () => corner_left_down_default,
  CornerLeftUp: () => corner_left_up_default,
  CornerRightDown: () => corner_right_down_default,
  CornerRightUp: () => corner_right_up_default,
  CornerUpLeft: () => corner_up_left_default,
  CornerUpRight: () => corner_up_right_default,
  Cpu: () => cpu_default,
  CreditCard: () => credit_card_default,
  Crop: () => crop_default,
  Cross: () => cross_default,
  Crosshair: () => crosshair_default,
  Crown: () => crown_default,
  Currency: () => currency_default,
  Database: () => database_default,
  Delete: () => delete_default,
  Dice1: () => dice_1_default,
  Dice2: () => dice_2_default,
  Dice3: () => dice_3_default,
  Dice4: () => dice_4_default,
  Dice5: () => dice_5_default,
  Dice6: () => dice_6_default,
  Disc: () => disc_default,
  Divide: () => divide_default,
  DivideCircle: () => divide_circle_default,
  DivideSquare: () => divide_square_default,
  DollarSign: () => dollar_sign_default,
  Download: () => download_default,
  DownloadCloud: () => download_cloud_default,
  Dribbble: () => dribbble_default,
  Droplet: () => droplet_default,
  Droplets: () => droplets_default,
  Drumstick: () => drumstick_default,
  Edit: () => edit_default,
  Edit2: () => edit_2_default,
  Edit3: () => edit_3_default,
  Egg: () => egg_default,
  Equal: () => equal_default,
  EqualNot: () => equal_not_default,
  Euro: () => euro_default,
  Expand: () => expand_default,
  ExternalLink: () => external_link_default,
  Eye: () => eye_default,
  EyeOff: () => eye_off_default,
  Facebook: () => facebook_default,
  FastForward: () => fast_forward_default,
  Feather: () => feather_default,
  Figma: () => figma_default,
  File: () => file_default,
  FileCheck: () => file_check_default,
  FileCheck2: () => file_check_2_default,
  FileCode: () => file_code_default,
  FileDigit: () => file_digit_default,
  FileInput: () => file_input_default,
  FileMinus: () => file_minus_default,
  FileMinus2: () => file_minus_2_default,
  FileOutput: () => file_output_default,
  FilePlus: () => file_plus_default,
  FilePlus2: () => file_plus_2_default,
  FileSearch: () => file_search_default,
  FileText: () => file_text_default,
  FileX: () => file_x_default,
  FileX2: () => file_x_2_default,
  Files: () => files_default,
  Film: () => film_default,
  Filter: () => filter_default,
  Flag: () => flag_default,
  FlagTriangleLeft: () => flag_triangle_left_default,
  FlagTriangleRight: () => flag_triangle_right_default,
  Flame: () => flame_default,
  Flashlight: () => flashlight_default,
  FlashlightOff: () => flashlight_off_default,
  FlaskConical: () => flask_conical_default,
  FlaskRound: () => flask_round_default,
  Folder: () => folder_default,
  FolderMinus: () => folder_minus_default,
  FolderOpen: () => folder_open_default,
  FolderPlus: () => folder_plus_default,
  FormInput: () => form_input_default,
  Forward: () => forward_default,
  Framer: () => framer_default,
  Frown: () => frown_default,
  FunctionSquare: () => function_square_default,
  Gamepad: () => gamepad_default,
  Gamepad2: () => gamepad_2_default,
  Gauge: () => gauge_default,
  Gavel: () => gavel_default,
  Gem: () => gem_default,
  Ghost: () => ghost_default,
  Gift: () => gift_default,
  GitBranch: () => git_branch_default,
  GitBranchPlus: () => git_branch_plus_default,
  GitCommit: () => git_commit_default,
  GitFork: () => git_fork_default,
  GitMerge: () => git_merge_default,
  GitPullRequest: () => git_pull_request_default,
  Github: () => github_default,
  Gitlab: () => gitlab_default,
  Glasses: () => glasses_default,
  Globe: () => globe_default,
  Globe2: () => globe_2_default,
  Grab: () => grab_default,
  GraduationCap: () => graduation_cap_default,
  Grid: () => grid_default,
  GripHorizontal: () => grip_horizontal_default,
  GripVertical: () => grip_vertical_default,
  Hammer: () => hammer_default,
  Hand: () => hand_default,
  HandMetal: () => hand_metal_default,
  HardDrive: () => hard_drive_default,
  HardHat: () => hard_hat_default,
  Hash: () => hash_default,
  Haze: () => haze_default,
  Headphones: () => headphones_default,
  Heart: () => heart_default,
  HelpCircle: () => help_circle_default,
  Hexagon: () => hexagon_default,
  Highlighter: () => highlighter_default,
  History: () => history_default,
  Home: () => home_default,
  Image: () => image_default,
  ImageMinus: () => image_minus_default,
  ImageOff: () => image_off_default,
  ImagePlus: () => image_plus_default,
  Import: () => import_default,
  Inbox: () => inbox_default,
  Indent: () => indent_default,
  IndianRupee: () => indian_rupee_default,
  Infinity: () => infinity_default,
  Info: () => info_default,
  Inspect: () => inspect_default,
  Instagram: () => instagram_default,
  Italic: () => italic_default,
  JapaneseYen: () => japanese_yen_default,
  Key: () => key_default,
  Keyboard: () => keyboard_default,
  Landmark: () => landmark_default,
  Languages: () => languages_default,
  Laptop: () => laptop_default,
  Laptop2: () => laptop_2_default,
  Lasso: () => lasso_default,
  LassoSelect: () => lasso_select_default,
  Layers: () => layers_default,
  Layout: () => layout_default,
  LayoutDashboard: () => layout_dashboard_default,
  LayoutGrid: () => layout_grid_default,
  LayoutList: () => layout_list_default,
  LayoutTemplate: () => layout_template_default,
  Library: () => library_default,
  LifeBuoy: () => life_buoy_default,
  Lightbulb: () => lightbulb_default,
  LightbulbOff: () => lightbulb_off_default,
  Link: () => link_default,
  Link2: () => link_2_default,
  Link2Off: () => link_2_off_default,
  Linkedin: () => linkedin_default,
  List: () => list_default,
  ListChecks: () => list_checks_default,
  ListMinus: () => list_minus_default,
  ListOrdered: () => list_ordered_default,
  ListPlus: () => list_plus_default,
  ListX: () => list_x_default,
  Loader: () => loader_default,
  Loader2: () => loader_2_default,
  Locate: () => locate_default,
  LocateFixed: () => locate_fixed_default,
  LocateOff: () => locate_off_default,
  Lock: () => lock_default,
  LogIn: () => log_in_default,
  LogOut: () => log_out_default,
  Mail: () => mail_default,
  Map: () => map_default,
  MapPin: () => map_pin_default,
  Maximize: () => maximize_default,
  Maximize2: () => maximize_2_default,
  Megaphone: () => megaphone_default,
  Meh: () => meh_default,
  Menu: () => menu_default,
  MessageCircle: () => message_circle_default,
  MessageSquare: () => message_square_default,
  Mic: () => mic_default,
  MicOff: () => mic_off_default,
  Minimize: () => minimize_default,
  Minimize2: () => minimize_2_default,
  Minus: () => minus_default,
  MinusCircle: () => minus_circle_default,
  MinusSquare: () => minus_square_default,
  Monitor: () => monitor_default,
  MonitorOff: () => monitor_off_default,
  MonitorSpeaker: () => monitor_speaker_default,
  Moon: () => moon_default,
  MoreHorizontal: () => more_horizontal_default,
  MoreVertical: () => more_vertical_default,
  Mountain: () => mountain_default,
  MountainSnow: () => mountain_snow_default,
  MousePointer: () => mouse_pointer_default,
  MousePointer2: () => mouse_pointer_2_default,
  MousePointerClick: () => mouse_pointer_click_default,
  Move: () => move_default,
  MoveDiagonal: () => move_diagonal_default,
  MoveDiagonal2: () => move_diagonal_2_default,
  MoveHorizontal: () => move_horizontal_default,
  MoveVertical: () => move_vertical_default,
  Music: () => music_default,
  Navigation: () => navigation_default,
  Navigation2: () => navigation_2_default,
  Network: () => network_default,
  Octagon: () => octagon_default,
  Option: () => option_default,
  Outdent: () => outdent_default,
  Package: () => package_default,
  PackageCheck: () => package_check_default,
  PackageMinus: () => package_minus_default,
  PackagePlus: () => package_plus_default,
  PackageSearch: () => package_search_default,
  PackageX: () => package_x_default,
  Palette: () => palette_default,
  Palmtree: () => palmtree_default,
  Paperclip: () => paperclip_default,
  Pause: () => pause_default,
  PauseCircle: () => pause_circle_default,
  PauseOctagon: () => pause_octagon_default,
  PenTool: () => pen_tool_default,
  Pencil: () => pencil_default,
  Percent: () => percent_default,
  PersonStanding: () => person_standing_default,
  Phone: () => phone_default,
  PhoneCall: () => phone_call_default,
  PhoneForwarded: () => phone_forwarded_default,
  PhoneIncoming: () => phone_incoming_default,
  PhoneMissed: () => phone_missed_default,
  PhoneOff: () => phone_off_default,
  PhoneOutgoing: () => phone_outgoing_default,
  PieChart: () => pie_chart_default,
  PiggyBank: () => piggy_bank_default,
  Pin: () => pin_default,
  Pipette: () => pipette_default,
  Plane: () => plane_default,
  Play: () => play_default,
  PlayCircle: () => play_circle_default,
  PlugZap: () => plug_zap_default,
  Plus: () => plus_default,
  PlusCircle: () => plus_circle_default,
  PlusSquare: () => plus_square_default,
  Pocket: () => pocket_default,
  Podcast: () => podcast_default,
  Pointer: () => pointer_default,
  PoundSterling: () => pound_sterling_default,
  Power: () => power_default,
  PowerOff: () => power_off_default,
  Printer: () => printer_default,
  QrCode: () => qr_code_default,
  Quote: () => quote_default,
  Radio: () => radio_default,
  RadioReceiver: () => radio_receiver_default,
  Redo: () => redo_default,
  RefreshCcw: () => refresh_ccw_default,
  RefreshCw: () => refresh_cw_default,
  Regex: () => regex_default,
  Repeat: () => repeat_default,
  Repeat1: () => repeat_1_default,
  Reply: () => reply_default,
  ReplyAll: () => reply_all_default,
  Rewind: () => rewind_default,
  Rocket: () => rocket_default,
  RockingChair: () => rocking_chair_default,
  RotateCcw: () => rotate_ccw_default,
  RotateCw: () => rotate_cw_default,
  Rss: () => rss_default,
  Ruler: () => ruler_default,
  RussianRuble: () => russian_ruble_default,
  Save: () => save_default,
  Scale: () => scale_default,
  Scan: () => scan_default,
  ScanLine: () => scan_line_default,
  Scissors: () => scissors_default,
  ScreenShare: () => screen_share_default,
  ScreenShareOff: () => screen_share_off_default,
  Search: () => search_default,
  Send: () => send_default,
  SeparatorHorizontal: () => separator_horizontal_default,
  SeparatorVertical: () => separator_vertical_default,
  Server: () => server_default,
  ServerCrash: () => server_crash_default,
  ServerOff: () => server_off_default,
  Settings: () => settings_default,
  Settings2: () => settings_2_default,
  Share: () => share_default,
  Share2: () => share_2_default,
  Sheet: () => sheet_default,
  Shield: () => shield_default,
  ShieldAlert: () => shield_alert_default,
  ShieldCheck: () => shield_check_default,
  ShieldClose: () => shield_close_default,
  ShieldOff: () => shield_off_default,
  Shirt: () => shirt_default,
  ShoppingBag: () => shopping_bag_default,
  ShoppingCart: () => shopping_cart_default,
  Shovel: () => shovel_default,
  Shrink: () => shrink_default,
  Shuffle: () => shuffle_default,
  Sidebar: () => sidebar_default,
  SidebarClose: () => sidebar_close_default,
  SidebarOpen: () => sidebar_open_default,
  Sigma: () => sigma_default,
  Signal: () => signal_default,
  SignalHigh: () => signal_high_default,
  SignalLow: () => signal_low_default,
  SignalMedium: () => signal_medium_default,
  SignalZero: () => signal_zero_default,
  SkipBack: () => skip_back_default,
  SkipForward: () => skip_forward_default,
  Skull: () => skull_default,
  Slack: () => slack_default,
  Slash: () => slash_default,
  Sliders: () => sliders_default,
  Smartphone: () => smartphone_default,
  SmartphoneCharging: () => smartphone_charging_default,
  Smile: () => smile_default,
  Snowflake: () => snowflake_default,
  SortAsc: () => sort_asc_default,
  SortDesc: () => sort_desc_default,
  Speaker: () => speaker_default,
  Sprout: () => sprout_default,
  Square: () => square_default,
  Star: () => star_default,
  StarHalf: () => star_half_default,
  StopCircle: () => stop_circle_default,
  StretchHorizontal: () => stretch_horizontal_default,
  StretchVertical: () => stretch_vertical_default,
  Strikethrough: () => strikethrough_default,
  Subscript: () => subscript_default,
  Sun: () => sun_default,
  Sunrise: () => sunrise_default,
  Sunset: () => sunset_default,
  Superscript: () => superscript_default,
  SwissFranc: () => swiss_franc_default,
  SwitchCamera: () => switch_camera_default,
  Table: () => table_default,
  Tablet: () => tablet_default,
  Tag: () => tag_default,
  Target: () => target_default,
  Tent: () => tent_default,
  Terminal: () => terminal_default,
  TerminalSquare: () => terminal_square_default,
  TextCursor: () => text_cursor_default,
  TextCursorInput: () => text_cursor_input_default,
  Thermometer: () => thermometer_default,
  ThermometerSnowflake: () => thermometer_snowflake_default,
  ThermometerSun: () => thermometer_sun_default,
  ThumbsDown: () => thumbs_down_default,
  ThumbsUp: () => thumbs_up_default,
  Ticket: () => ticket_default,
  Timer: () => timer_default,
  TimerOff: () => timer_off_default,
  TimerReset: () => timer_reset_default,
  ToggleLeft: () => toggle_left_default,
  ToggleRight: () => toggle_right_default,
  Tornado: () => tornado_default,
  Trash: () => trash_default,
  Trash2: () => trash_2_default,
  Trello: () => trello_default,
  TrendingDown: () => trending_down_default,
  TrendingUp: () => trending_up_default,
  Triangle: () => triangle_default,
  Truck: () => truck_default,
  Tv: () => tv_default,
  Tv2: () => tv_2_default,
  Twitch: () => twitch_default,
  Twitter: () => twitter_default,
  Type: () => type_default,
  Umbrella: () => umbrella_default,
  Underline: () => underline_default,
  Undo: () => undo_default,
  Unlink: () => unlink_default,
  Unlink2: () => unlink_2_default,
  Unlock: () => unlock_default,
  Upload: () => upload_default,
  UploadCloud: () => upload_cloud_default,
  User: () => user_default,
  UserCheck: () => user_check_default,
  UserMinus: () => user_minus_default,
  UserPlus: () => user_plus_default,
  UserX: () => user_x_default,
  Users: () => users_default,
  Verified: () => verified_default,
  Vibrate: () => vibrate_default,
  Video: () => video_default,
  VideoOff: () => video_off_default,
  View: () => view_default,
  Voicemail: () => voicemail_default,
  Volume: () => volume_default,
  Volume1: () => volume_1_default,
  Volume2: () => volume_2_default,
  VolumeX: () => volume_x_default,
  Wallet: () => wallet_default,
  Wand: () => wand_default,
  Watch: () => watch_default,
  Waves: () => waves_default,
  Webcam: () => webcam_default,
  Wifi: () => wifi_default,
  WifiOff: () => wifi_off_default,
  Wind: () => wind_default,
  WrapText: () => wrap_text_default,
  Wrench: () => wrench_default,
  X: () => x_default,
  XCircle: () => x_circle_default,
  XOctagon: () => x_octagon_default,
  XSquare: () => x_square_default,
  Youtube: () => youtube_default,
  Zap: () => zap_default,
  ZapOff: () => zap_off_default,
  ZoomIn: () => zoom_in_default,
  ZoomOut: () => zoom_out_default
});

// node_modules/lucide/dist/esm/defaultAttributes.js
var defaultAttributes_default = {
  xmlns: "http://www.w3.org/2000/svg",
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  "stroke-width": 2,
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
};

// node_modules/lucide/dist/esm/icons/activity.js
var Activity = ["svg", defaultAttributes_default, [["polyline", {
  points: "22 12 18 12 15 21 9 3 6 12 2 12"
}]]];
var activity_default = Activity;

// node_modules/lucide/dist/esm/icons/airplay.js
var Airplay = ["svg", defaultAttributes_default, [["path", {
  d: "M5 17H4a2 2 0 01-2-2V5a2 2 0 012-2h16a2 2 0 012 2v10a2 2 0 01-2 2h-1"
}], ["polygon", {
  points: "12 15 17 21 7 21 12 15"
}]]];
var airplay_default = Airplay;

// node_modules/lucide/dist/esm/icons/alarm-check.js
var AlarmCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M12 21a8 8 0 100-16 8 8 0 000 16z"
}], ["path", {
  d: "M5 3L2 6"
}], ["path", {
  d: "M22 6l-3-3"
}], ["path", {
  d: "M6 19l-2 2"
}], ["path", {
  d: "M18 19l2 2"
}], ["path", {
  d: "M9 13l2 2 4-4"
}]]];
var alarm_check_default = AlarmCheck;

// node_modules/lucide/dist/esm/icons/alarm-clock-off.js
var AlarmClockOff = ["svg", defaultAttributes_default, [["path", {
  d: "M19.94 14A8 8 0 0010 5.25m8.13 12.89A8 8 0 116.87 6.86"
}], ["path", {
  d: "M22 6l-3-3"
}], ["path", {
  d: "M6 19l-2 2"
}], ["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M4 4L2 6"
}]]];
var alarm_clock_off_default = AlarmClockOff;

// node_modules/lucide/dist/esm/icons/alarm-clock.js
var AlarmClock = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "13",
  r: "8"
}], ["path", {
  d: "M12 9v4l2 2"
}], ["path", {
  d: "M5 3L2 6"
}], ["path", {
  d: "M22 6l-3-3"
}], ["path", {
  d: "M6 19l-2 2"
}], ["path", {
  d: "M18 19l2 2"
}]]];
var alarm_clock_default = AlarmClock;

// node_modules/lucide/dist/esm/icons/alarm-minus.js
var AlarmMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M12 21a8 8 0 100-16 8 8 0 000 16z"
}], ["path", {
  d: "M5 3L2 6"
}], ["path", {
  d: "M22 6l-3-3"
}], ["path", {
  d: "M6 19l-2 2"
}], ["path", {
  d: "M18 19l2 2"
}], ["path", {
  d: "M9 13h6"
}]]];
var alarm_minus_default = AlarmMinus;

// node_modules/lucide/dist/esm/icons/alarm-plus.js
var AlarmPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M12 21a8 8 0 100-16 8 8 0 000 16z"
}], ["path", {
  d: "M5 3L2 6"
}], ["path", {
  d: "M22 6l-3-3"
}], ["path", {
  d: "M6 19l-2 2"
}], ["path", {
  d: "M18 19l2 2"
}], ["path", {
  d: "M12 10v6"
}], ["path", {
  d: "M9 13h6"
}]]];
var alarm_plus_default = AlarmPlus;

// node_modules/lucide/dist/esm/icons/album.js
var Album = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["polyline", {
  points: "11 3 11 11 14 8 17 11 17 3"
}]]];
var album_default = Album;

// node_modules/lucide/dist/esm/icons/alert-circle.js
var AlertCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12.01",
  y2: "16"
}]]];
var alert_circle_default = AlertCircle;

// node_modules/lucide/dist/esm/icons/alert-octagon.js
var AlertOctagon = ["svg", defaultAttributes_default, [["polygon", {
  points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12.01",
  y2: "16"
}]]];
var alert_octagon_default = AlertOctagon;

// node_modules/lucide/dist/esm/icons/alert-triangle.js
var AlertTriangle = ["svg", defaultAttributes_default, [["path", {
  d: "M10.29 3.86L1.82 18a2 2 0 001.71 3h16.94a2 2 0 001.71-3L13.71 3.86a2 2 0 00-3.42 0z"
}], ["line", {
  x1: "12",
  y1: "9",
  x2: "12",
  y2: "13"
}], ["line", {
  x1: "12",
  y1: "17",
  x2: "12.01",
  y2: "17"
}]]];
var alert_triangle_default = AlertTriangle;

// node_modules/lucide/dist/esm/icons/align-center-horizontal.js
var AlignCenterHorizontal = ["svg", defaultAttributes_default, [["path", {
  d: "M2 12h20"
}], ["path", {
  d: "M10 16v4a2 2 0 01-2 2H6a2 2 0 01-2-2v-4"
}], ["path", {
  d: "M10 8V4a2 2 0 00-2-2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M20 16v1a2 2 0 01-2 2h-2a2 2 0 01-2-2v-1"
}], ["path", {
  d: "M14 8V7c0-1.1.9-2 2-2h2a2 2 0 012 2v1"
}]]];
var align_center_horizontal_default = AlignCenterHorizontal;

// node_modules/lucide/dist/esm/icons/align-center-vertical.js
var AlignCenterVertical = ["svg", defaultAttributes_default, [["path", {
  d: "M12 2v20"
}], ["path", {
  d: "M8 10H4a2 2 0 01-2-2V6c0-1.1.9-2 2-2h4"
}], ["path", {
  d: "M16 10h4a2 2 0 002-2V6a2 2 0 00-2-2h-4"
}], ["path", {
  d: "M8 20H7a2 2 0 01-2-2v-2c0-1.1.9-2 2-2h1"
}], ["path", {
  d: "M16 14h1a2 2 0 012 2v2a2 2 0 01-2 2h-1"
}]]];
var align_center_vertical_default = AlignCenterVertical;

// node_modules/lucide/dist/esm/icons/align-center.js
var AlignCenter = ["svg", defaultAttributes_default, [["line", {
  x1: "21",
  y1: "6",
  x2: "3",
  y2: "6"
}], ["line", {
  x1: "17",
  y1: "12",
  x2: "7",
  y2: "12"
}], ["line", {
  x1: "19",
  y1: "18",
  x2: "5",
  y2: "18"
}]]];
var align_center_default = AlignCenter;

// node_modules/lucide/dist/esm/icons/align-end-horizontal.js
var AlignEndHorizontal = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "6",
  height: "16",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "9",
  width: "6",
  height: "9",
  rx: "2"
}], ["path", {
  d: "M22 22H2"
}]]];
var align_end_horizontal_default = AlignEndHorizontal;

// node_modules/lucide/dist/esm/icons/align-end-vertical.js
var AlignEndVertical = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "4",
  width: "16",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "9",
  y: "14",
  width: "9",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M22 22V2"
}]]];
var align_end_vertical_default = AlignEndVertical;

// node_modules/lucide/dist/esm/icons/align-horizontal-distribute-center.js
var AlignHorizontalDistributeCenter = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M17 22v-5"
}], ["path", {
  d: "M17 7V2"
}], ["path", {
  d: "M7 22v-3"
}], ["path", {
  d: "M7 5V2"
}]]];
var align_horizontal_distribute_center_default = AlignHorizontalDistributeCenter;

// node_modules/lucide/dist/esm/icons/align-horizontal-distribute-end.js
var AlignHorizontalDistributeEnd = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M10 2v20"
}], ["path", {
  d: "M20 2v20"
}]]];
var align_horizontal_distribute_end_default = AlignHorizontalDistributeEnd;

// node_modules/lucide/dist/esm/icons/align-horizontal-distribute-start.js
var AlignHorizontalDistributeStart = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M4 2v20"
}], ["path", {
  d: "M14 2v20"
}]]];
var align_horizontal_distribute_start_default = AlignHorizontalDistributeStart;

// node_modules/lucide/dist/esm/icons/align-horizontal-justify-center.js
var AlignHorizontalJustifyCenter = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "16",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M12 2v20"
}]]];
var align_horizontal_justify_center_default = AlignHorizontalJustifyCenter;

// node_modules/lucide/dist/esm/icons/align-horizontal-justify-end.js
var AlignHorizontalJustifyEnd = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "12",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M22 2v20"
}]]];
var align_horizontal_justify_end_default = AlignHorizontalJustifyEnd;

// node_modules/lucide/dist/esm/icons/align-horizontal-justify-start.js
var AlignHorizontalJustifyStart = ["svg", defaultAttributes_default, [["rect", {
  x: "6",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "16",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M2 2v20"
}]]];
var align_horizontal_justify_start_default = AlignHorizontalJustifyStart;

// node_modules/lucide/dist/esm/icons/align-horizontal-space-around.js
var AlignHorizontalSpaceAround = ["svg", defaultAttributes_default, [["rect", {
  x: "9",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M4 22V2"
}], ["path", {
  d: "M20 22V2"
}]]];
var align_horizontal_space_around_default = AlignHorizontalSpaceAround;

// node_modules/lucide/dist/esm/icons/align-horizontal-space-between.js
var AlignHorizontalSpaceBetween = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "5",
  width: "6",
  height: "14",
  rx: "2"
}], ["rect", {
  x: "15",
  y: "7",
  width: "6",
  height: "10",
  rx: "2"
}], ["path", {
  d: "M3 2v20"
}], ["path", {
  d: "M21 2v20"
}]]];
var align_horizontal_space_between_default = AlignHorizontalSpaceBetween;

// node_modules/lucide/dist/esm/icons/align-justify.js
var AlignJustify = ["svg", defaultAttributes_default, [["line", {
  x1: "3",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["line", {
  x1: "3",
  y1: "12",
  x2: "21",
  y2: "12"
}], ["line", {
  x1: "3",
  y1: "18",
  x2: "21",
  y2: "18"
}]]];
var align_justify_default = AlignJustify;

// node_modules/lucide/dist/esm/icons/align-left.js
var AlignLeft = ["svg", defaultAttributes_default, [["line", {
  x1: "21",
  y1: "6",
  x2: "3",
  y2: "6"
}], ["line", {
  x1: "15",
  y1: "12",
  x2: "3",
  y2: "12"
}], ["line", {
  x1: "17",
  y1: "18",
  x2: "3",
  y2: "18"
}]]];
var align_left_default = AlignLeft;

// node_modules/lucide/dist/esm/icons/align-right.js
var AlignRight = ["svg", defaultAttributes_default, [["line", {
  x1: "21",
  y1: "6",
  x2: "3",
  y2: "6"
}], ["line", {
  x1: "21",
  y1: "12",
  x2: "9",
  y2: "12"
}], ["line", {
  x1: "21",
  y1: "18",
  x2: "7",
  y2: "18"
}]]];
var align_right_default = AlignRight;

// node_modules/lucide/dist/esm/icons/align-start-horizontal.js
var AlignStartHorizontal = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "6",
  width: "6",
  height: "16",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "6",
  width: "6",
  height: "9",
  rx: "2"
}], ["path", {
  d: "M22 2H2"
}]]];
var align_start_horizontal_default = AlignStartHorizontal;

// node_modules/lucide/dist/esm/icons/align-start-vertical.js
var AlignStartVertical = ["svg", defaultAttributes_default, [["rect", {
  x: "6",
  y: "14",
  width: "9",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "6",
  y: "4",
  width: "16",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 2v20"
}]]];
var align_start_vertical_default = AlignStartVertical;

// node_modules/lucide/dist/esm/icons/align-vertical-distribute-center.js
var AlignVerticalDistributeCenter = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "14",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "4",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M22 7h-5"
}], ["path", {
  d: "M7 7H1"
}], ["path", {
  d: "M22 17h-3"
}], ["path", {
  d: "M5 17H2"
}]]];
var align_vertical_distribute_center_default = AlignVerticalDistributeCenter;

// node_modules/lucide/dist/esm/icons/align-vertical-distribute-end.js
var AlignVerticalDistributeEnd = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "14",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "4",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 20h20"
}], ["path", {
  d: "M2 10h20"
}]]];
var align_vertical_distribute_end_default = AlignVerticalDistributeEnd;

// node_modules/lucide/dist/esm/icons/align-vertical-distribute-start.js
var AlignVerticalDistributeStart = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "14",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "4",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 14h20"
}], ["path", {
  d: "M2 4h20"
}]]];
var align_vertical_distribute_start_default = AlignVerticalDistributeStart;

// node_modules/lucide/dist/esm/icons/align-vertical-justify-center.js
var AlignVerticalJustifyCenter = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "16",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "2",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 12h20"
}]]];
var align_vertical_justify_center_default = AlignVerticalJustifyCenter;

// node_modules/lucide/dist/esm/icons/align-vertical-justify-end.js
var AlignVerticalJustifyEnd = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "12",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "2",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 22h20"
}]]];
var align_vertical_justify_end_default = AlignVerticalJustifyEnd;

// node_modules/lucide/dist/esm/icons/align-vertical-justify-start.js
var AlignVerticalJustifyStart = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "16",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "6",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 2h20"
}]]];
var align_vertical_justify_start_default = AlignVerticalJustifyStart;

// node_modules/lucide/dist/esm/icons/align-vertical-space-around.js
var AlignVerticalSpaceAround = ["svg", defaultAttributes_default, [["rect", {
  x: "7",
  y: "9",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M22 20H2"
}], ["path", {
  d: "M22 4H2"
}]]];
var align_vertical_space_around_default = AlignVerticalSpaceAround;

// node_modules/lucide/dist/esm/icons/align-vertical-space-between.js
var AlignVerticalSpaceBetween = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "15",
  width: "14",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "7",
  y: "3",
  width: "10",
  height: "6",
  rx: "2"
}], ["path", {
  d: "M2 21h20"
}], ["path", {
  d: "M2 3h20"
}]]];
var align_vertical_space_between_default = AlignVerticalSpaceBetween;

// node_modules/lucide/dist/esm/icons/anchor.js
var Anchor = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "5",
  r: "3"
}], ["line", {
  x1: "12",
  y1: "22",
  x2: "12",
  y2: "8"
}], ["path", {
  d: "M5 12H2a10 10 0 0020 0h-3"
}]]];
var anchor_default = Anchor;

// node_modules/lucide/dist/esm/icons/aperture.js
var Aperture = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "14.31",
  y1: "8",
  x2: "20.05",
  y2: "17.94"
}], ["line", {
  x1: "9.69",
  y1: "8",
  x2: "21.17",
  y2: "8"
}], ["line", {
  x1: "7.38",
  y1: "12",
  x2: "13.12",
  y2: "2.06"
}], ["line", {
  x1: "9.69",
  y1: "16",
  x2: "3.95",
  y2: "6.06"
}], ["line", {
  x1: "14.31",
  y1: "16",
  x2: "2.83",
  y2: "16"
}], ["line", {
  x1: "16.62",
  y1: "12",
  x2: "10.88",
  y2: "21.94"
}]]];
var aperture_default = Aperture;

// node_modules/lucide/dist/esm/icons/archive.js
var Archive = ["svg", defaultAttributes_default, [["path", {
  d: "M20 9v9a2 2 0 01-2 2H6a2 2 0 01-2-2V9m16-5H4a2 2 0 00-2 2v1a2 2 0 002 2h16a2 2 0 002-2V6a2 2 0 00-2-2zm-10 9h4"
}]]];
var archive_default = Archive;

// node_modules/lucide/dist/esm/icons/arrow-big-down.js
var ArrowBigDown = ["svg", defaultAttributes_default, [["path", {
  d: "M9 3h6v11h4l-7 7-7-7h4z"
}]]];
var arrow_big_down_default = ArrowBigDown;

// node_modules/lucide/dist/esm/icons/arrow-big-left.js
var ArrowBigLeft = ["svg", defaultAttributes_default, [["path", {
  d: "M3 12l7-7v4h11v6H10v4z"
}]]];
var arrow_big_left_default = ArrowBigLeft;

// node_modules/lucide/dist/esm/icons/arrow-big-right.js
var ArrowBigRight = ["svg", defaultAttributes_default, [["path", {
  d: "M21 12l-7-7v4H3v6h11v4z"
}]]];
var arrow_big_right_default = ArrowBigRight;

// node_modules/lucide/dist/esm/icons/arrow-big-up.js
var ArrowBigUp = ["svg", defaultAttributes_default, [["path", {
  d: "M9 21V10H5l7-7 7 7h-4v11z"
}]]];
var arrow_big_up_default = ArrowBigUp;

// node_modules/lucide/dist/esm/icons/arrow-down-circle.js
var ArrowDownCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "8 12 12 16 16 12"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "16"
}]]];
var arrow_down_circle_default = ArrowDownCircle;

// node_modules/lucide/dist/esm/icons/arrow-down-left.js
var ArrowDownLeft = ["svg", defaultAttributes_default, [["line", {
  x1: "17",
  y1: "7",
  x2: "7",
  y2: "17"
}], ["polyline", {
  points: "17 17 7 17 7 7"
}]]];
var arrow_down_left_default = ArrowDownLeft;

// node_modules/lucide/dist/esm/icons/arrow-down-right.js
var ArrowDownRight = ["svg", defaultAttributes_default, [["line", {
  x1: "7",
  y1: "7",
  x2: "17",
  y2: "17"
}], ["polyline", {
  points: "17 7 17 17 7 17"
}]]];
var arrow_down_right_default = ArrowDownRight;

// node_modules/lucide/dist/esm/icons/arrow-down.js
var ArrowDown = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "5",
  x2: "12",
  y2: "19"
}], ["polyline", {
  points: "19 12 12 19 5 12"
}]]];
var arrow_down_default = ArrowDown;

// node_modules/lucide/dist/esm/icons/arrow-left-circle.js
var ArrowLeftCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 8 8 12 12 16"
}], ["line", {
  x1: "16",
  y1: "12",
  x2: "8",
  y2: "12"
}]]];
var arrow_left_circle_default = ArrowLeftCircle;

// node_modules/lucide/dist/esm/icons/arrow-left-right.js
var ArrowLeftRight = ["svg", defaultAttributes_default, [["polyline", {
  points: "17 11 21 7 17 3"
}], ["line", {
  x1: "21",
  y1: "7",
  x2: "9",
  y2: "7"
}], ["polyline", {
  points: "7 21 3 17 7 13"
}], ["line", {
  x1: "15",
  y1: "17",
  x2: "3",
  y2: "17"
}]]];
var arrow_left_right_default = ArrowLeftRight;

// node_modules/lucide/dist/esm/icons/arrow-left.js
var ArrowLeft = ["svg", defaultAttributes_default, [["line", {
  x1: "19",
  y1: "12",
  x2: "5",
  y2: "12"
}], ["polyline", {
  points: "12 19 5 12 12 5"
}]]];
var arrow_left_default = ArrowLeft;

// node_modules/lucide/dist/esm/icons/arrow-right-circle.js
var ArrowRightCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 16 16 12 12 8"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var arrow_right_circle_default = ArrowRightCircle;

// node_modules/lucide/dist/esm/icons/arrow-right.js
var ArrowRight = ["svg", defaultAttributes_default, [["line", {
  x1: "5",
  y1: "12",
  x2: "19",
  y2: "12"
}], ["polyline", {
  points: "12 5 19 12 12 19"
}]]];
var arrow_right_default = ArrowRight;

// node_modules/lucide/dist/esm/icons/arrow-up-circle.js
var ArrowUpCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "16 12 12 8 8 12"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12",
  y2: "8"
}]]];
var arrow_up_circle_default = ArrowUpCircle;

// node_modules/lucide/dist/esm/icons/arrow-up-left.js
var ArrowUpLeft = ["svg", defaultAttributes_default, [["line", {
  x1: "17",
  y1: "17",
  x2: "7",
  y2: "7"
}], ["polyline", {
  points: "7 17 7 7 17 7"
}]]];
var arrow_up_left_default = ArrowUpLeft;

// node_modules/lucide/dist/esm/icons/arrow-up-right.js
var ArrowUpRight = ["svg", defaultAttributes_default, [["line", {
  x1: "7",
  y1: "17",
  x2: "17",
  y2: "7"
}], ["polyline", {
  points: "7 7 17 7 17 17"
}]]];
var arrow_up_right_default = ArrowUpRight;

// node_modules/lucide/dist/esm/icons/arrow-up.js
var ArrowUp = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "19",
  x2: "12",
  y2: "5"
}], ["polyline", {
  points: "5 12 12 5 19 12"
}]]];
var arrow_up_default = ArrowUp;

// node_modules/lucide/dist/esm/icons/asterisk.js
var Asterisk = ["svg", defaultAttributes_default, [["path", {
  d: "M12 6v12"
}], ["path", {
  d: "M17.196 9L6.804 15"
}], ["path", {
  d: "M6.804 9l10.392 6"
}]]];
var asterisk_default = Asterisk;

// node_modules/lucide/dist/esm/icons/at-sign.js
var AtSign = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "4"
}], ["path", {
  d: "M16 8v5a3 3 0 006 0v-1a10 10 0 10-3.92 7.94"
}]]];
var at_sign_default = AtSign;

// node_modules/lucide/dist/esm/icons/award.js
var Award = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "8",
  r: "7"
}], ["polyline", {
  points: "8.21 13.89 7 23 12 20 17 23 15.79 13.88"
}]]];
var award_default = Award;

// node_modules/lucide/dist/esm/icons/axe.js
var Axe = ["svg", defaultAttributes_default, [["path", {
  d: "M14 12l-8.501 8.501a2.12 2.12 0 01-2.998 0h-.002a2.12 2.12 0 010-2.998L11 9.002"
}], ["path", {
  d: "M9 7l4-4 6 6h3l-.13.648a7.648 7.648 0 01-5.081 5.756L15 16v-3z"
}]]];
var axe_default = Axe;

// node_modules/lucide/dist/esm/icons/banknote.js
var Banknote = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "6",
  width: "20",
  height: "12",
  rx: "2"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "2"
}], ["path", {
  d: "M6 12h.01M18 12h.01"
}]]];
var banknote_default = Banknote;

// node_modules/lucide/dist/esm/icons/bar-chart-2.js
var BarChart2 = ["svg", defaultAttributes_default, [["line", {
  x1: "18",
  y1: "20",
  x2: "18",
  y2: "10"
}], ["line", {
  x1: "12",
  y1: "20",
  x2: "12",
  y2: "4"
}], ["line", {
  x1: "6",
  y1: "20",
  x2: "6",
  y2: "14"
}]]];
var bar_chart_2_default = BarChart2;

// node_modules/lucide/dist/esm/icons/bar-chart.js
var BarChart = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "20",
  x2: "12",
  y2: "10"
}], ["line", {
  x1: "18",
  y1: "20",
  x2: "18",
  y2: "4"
}], ["line", {
  x1: "6",
  y1: "20",
  x2: "6",
  y2: "16"
}]]];
var bar_chart_default = BarChart;

// node_modules/lucide/dist/esm/icons/baseline.js
var Baseline = ["svg", defaultAttributes_default, [["path", {
  d: "M4 20h16"
}], ["path", {
  d: "M6 16l6-12 6 12"
}], ["path", {
  d: "M8 12h8"
}]]];
var baseline_default = Baseline;

// node_modules/lucide/dist/esm/icons/battery-charging.js
var BatteryCharging = ["svg", defaultAttributes_default, [["path", {
  d: "M14 7h2a2 2 0 012 2v6a2 2 0 01-2 2h-3"
}], ["path", {
  d: "M7 7H4a2 2 0 00-2 2v6a2 2 0 002 2h2"
}], ["polyline", {
  points: "11 7 8 12 12 12 9 17"
}], ["line", {
  x1: "22",
  x2: "22",
  y1: "11",
  y2: "13"
}]]];
var battery_charging_default = BatteryCharging;

// node_modules/lucide/dist/esm/icons/battery-full.js
var BatteryFull = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "16",
  height: "10",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "22",
  x2: "22",
  y1: "11",
  y2: "13"
}], ["line", {
  x1: "6",
  x2: "6",
  y1: "10",
  y2: "14"
}], ["line", {
  x1: "10",
  x2: "10",
  y1: "10",
  y2: "14"
}], ["line", {
  x1: "14",
  x2: "14",
  y1: "10",
  y2: "14"
}]]];
var battery_full_default = BatteryFull;

// node_modules/lucide/dist/esm/icons/battery-low.js
var BatteryLow = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "16",
  height: "10",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "22",
  x2: "22",
  y1: "11",
  y2: "13"
}], ["line", {
  x1: "6",
  x2: "6",
  y1: "10",
  y2: "14"
}]]];
var battery_low_default = BatteryLow;

// node_modules/lucide/dist/esm/icons/battery-medium.js
var BatteryMedium = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "16",
  height: "10",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "22",
  x2: "22",
  y1: "11",
  y2: "13"
}], ["line", {
  x1: "6",
  x2: "6",
  y1: "10",
  y2: "14"
}], ["line", {
  x1: "10",
  x2: "10",
  y1: "10",
  y2: "14"
}]]];
var battery_medium_default = BatteryMedium;

// node_modules/lucide/dist/esm/icons/battery.js
var Battery = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "16",
  height: "10",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "22",
  x2: "22",
  y1: "11",
  y2: "13"
}]]];
var battery_default = Battery;

// node_modules/lucide/dist/esm/icons/beaker.js
var Beaker = ["svg", defaultAttributes_default, [["path", {
  d: "M4.5 3h15"
}], ["path", {
  d: "M6 3v16a2 2 0 002 2h8a2 2 0 002-2V3"
}], ["path", {
  d: "M6 14h12"
}]]];
var beaker_default = Beaker;

// node_modules/lucide/dist/esm/icons/bell-minus.js
var BellMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M13.73 21a2 2 0 01-3.46 0"
}], ["path", {
  d: "M21 5h-6"
}], ["path", {
  d: "M18.021 9C18.29 15.193 21 17 21 17H3s3-2 3-9a6 6 0 017-5.916"
}]]];
var bell_minus_default = BellMinus;

// node_modules/lucide/dist/esm/icons/bell-off.js
var BellOff = ["svg", defaultAttributes_default, [["path", {
  d: "M13.73 21a2 2 0 01-3.46 0"
}], ["path", {
  d: "M18.63 13A17.888 17.888 0 0118 8"
}], ["path", {
  d: "M6.26 6.26A5.86 5.86 0 006 8c0 7-3 9-3 9h14"
}], ["path", {
  d: "M18 8a6 6 0 00-9.33-5"
}], ["path", {
  d: "M2 2l20 20"
}]]];
var bell_off_default = BellOff;

// node_modules/lucide/dist/esm/icons/bell-plus.js
var BellPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M18.387 12C19.198 15.799 21 17 21 17H3s3-2 3-9a6 6 0 017-5.916"
}], ["path", {
  d: "M13.73 21a2 2 0 01-3.46 0"
}], ["path", {
  d: "M18 2v6"
}], ["path", {
  d: "M21 5h-6"
}]]];
var bell_plus_default = BellPlus;

// node_modules/lucide/dist/esm/icons/bell-ring.js
var BellRing = ["svg", defaultAttributes_default, [["path", {
  d: "M18 8A6 6 0 006 8c0 7-3 9-3 9h18s-3-2-3-9"
}], ["path", {
  d: "M13.73 21a2 2 0 01-3.46 0"
}], ["path", {
  d: "M2 8c0-2.2.7-4.3 2-6"
}], ["path", {
  d: "M22 8a10 10 0 00-2-6"
}]]];
var bell_ring_default = BellRing;

// node_modules/lucide/dist/esm/icons/bell.js
var Bell = ["svg", defaultAttributes_default, [["path", {
  d: "M18 8A6 6 0 006 8c0 7-3 9-3 9h18s-3-2-3-9"
}], ["path", {
  d: "M13.73 21a2 2 0 01-3.46 0"
}]]];
var bell_default = Bell;

// node_modules/lucide/dist/esm/icons/bike.js
var Bike = ["svg", defaultAttributes_default, [["circle", {
  cx: "5.5",
  cy: "17.5",
  r: "3.5"
}], ["circle", {
  cx: "18.5",
  cy: "17.5",
  r: "3.5"
}], ["path", {
  d: "M15 6a1 1 0 100-2 1 1 0 000 2zm-3 11.5V14l-3-3 4-3 2 3h2"
}]]];
var bike_default = Bike;

// node_modules/lucide/dist/esm/icons/binary.js
var Binary = ["svg", defaultAttributes_default, [["path", {
  d: "M10 4H6v6h4V4z"
}], ["path", {
  d: "M18 14h-4v6h4v-6z"
}], ["path", {
  d: "M14 4h2v6m-2 0h4"
}], ["path", {
  d: "M6 14h2v6m-2 0h4"
}]]];
var binary_default = Binary;

// node_modules/lucide/dist/esm/icons/bitcoin.js
var Bitcoin = ["svg", defaultAttributes_default, [["path", {
  d: "M11.767 19.089c4.924.868 6.14-6.025 1.216-6.894m-1.216 6.894L5.86 18.047m5.908 1.042l-.347 1.97m1.563-8.864c4.924.869 6.14-6.025 1.215-6.893m-1.215 6.893l-3.94-.694m5.155-6.2L8.29 4.26m5.908 1.042l.348-1.97M7.48 20.364l3.126-17.727"
}]]];
var bitcoin_default = Bitcoin;

// node_modules/lucide/dist/esm/icons/bluetooth-connected.js
var BluetoothConnected = ["svg", defaultAttributes_default, [["path", {
  d: "M7 7l10 10-5 5V2l5 5L7 17"
}], ["line", {
  x1: "18",
  y1: "12",
  y2: "12",
  x2: "21"
}], ["line", {
  x1: "3",
  y1: "12",
  y2: "12",
  x2: "6"
}]]];
var bluetooth_connected_default = BluetoothConnected;

// node_modules/lucide/dist/esm/icons/bluetooth-off.js
var BluetoothOff = ["svg", defaultAttributes_default, [["path", {
  d: "M17 17l-5 5V12l-5 5"
}], ["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M14.5 9.5L17 7l-5-5v4.5"
}]]];
var bluetooth_off_default = BluetoothOff;

// node_modules/lucide/dist/esm/icons/bluetooth-searching.js
var BluetoothSearching = ["svg", defaultAttributes_default, [["path", {
  d: "M7 7l10 10-5 5V2l5 5L7 17"
}], ["path", {
  d: "M20.83 14.83a4 4 0 000-5.66"
}], ["path", {
  d: "M18 12h.01"
}]]];
var bluetooth_searching_default = BluetoothSearching;

// node_modules/lucide/dist/esm/icons/bluetooth.js
var Bluetooth = ["svg", defaultAttributes_default, [["path", {
  d: "M7 7l10 10-5 5V2l5 5L7 17"
}]]];
var bluetooth_default = Bluetooth;

// node_modules/lucide/dist/esm/icons/bold.js
var Bold = ["svg", defaultAttributes_default, [["path", {
  d: "M6 4h8a4 4 0 014 4 4 4 0 01-4 4H6z"
}], ["path", {
  d: "M6 12h9a4 4 0 014 4 4 4 0 01-4 4H6z"
}]]];
var bold_default = Bold;

// node_modules/lucide/dist/esm/icons/book-open.js
var BookOpen = ["svg", defaultAttributes_default, [["path", {
  d: "M2 3h6a4 4 0 014 4v14a3 3 0 00-3-3H2z"
}], ["path", {
  d: "M22 3h-6a4 4 0 00-4 4v14a3 3 0 013-3h7z"
}]]];
var book_open_default = BookOpen;

// node_modules/lucide/dist/esm/icons/book.js
var Book = ["svg", defaultAttributes_default, [["path", {
  d: "M4 19.5A2.5 2.5 0 016.5 17H20"
}], ["path", {
  d: "M6.5 2H20v20H6.5A2.5 2.5 0 014 19.5v-15A2.5 2.5 0 016.5 2z"
}]]];
var book_default = Book;

// node_modules/lucide/dist/esm/icons/bookmark-minus.js
var BookmarkMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M19 21l-7-4-7 4V5a2 2 0 012-2h10a2 2 0 012 2v16z"
}], ["line", {
  x1: "15",
  x2: "9",
  y1: "10",
  y2: "10"
}]]];
var bookmark_minus_default = BookmarkMinus;

// node_modules/lucide/dist/esm/icons/bookmark-plus.js
var BookmarkPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M19 21l-7-4-7 4V5a2 2 0 012-2h10a2 2 0 012 2v16z"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "7",
  y2: "13"
}], ["line", {
  x1: "15",
  x2: "9",
  y1: "10",
  y2: "10"
}]]];
var bookmark_plus_default = BookmarkPlus;

// node_modules/lucide/dist/esm/icons/bookmark.js
var Bookmark = ["svg", defaultAttributes_default, [["path", {
  d: "M19 21l-7-4-7 4V5a2 2 0 012-2h10a2 2 0 012 2v16z"
}]]];
var bookmark_default = Bookmark;

// node_modules/lucide/dist/esm/icons/bot.js
var Bot = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "11",
  width: "18",
  height: "10",
  rx: "2"
}], ["circle", {
  cx: "12",
  cy: "5",
  r: "2"
}], ["path", {
  d: "M12 7v4"
}], ["line", {
  x1: "8",
  y1: "16",
  x2: "8",
  y2: "16"
}], ["line", {
  x1: "16",
  y1: "16",
  x2: "16",
  y2: "16"
}]]];
var bot_default = Bot;

// node_modules/lucide/dist/esm/icons/box-select.js
var BoxSelect = ["svg", defaultAttributes_default, [["path", {
  d: "M4 2a2 2 0 00-2 2"
}], ["line", {
  x1: "8",
  y1: "2",
  x2: "10",
  y2: "2"
}], ["line", {
  x1: "14",
  y1: "2",
  x2: "16",
  y2: "2"
}], ["path", {
  d: "M4 22a2 2 0 01-2-2"
}], ["line", {
  x1: "22",
  y1: "8",
  x2: "22",
  y2: "10"
}], ["line", {
  x1: "22",
  y1: "14",
  x2: "22",
  y2: "16"
}], ["path", {
  d: "M22 20a2 2 0 01-2 2"
}], ["line", {
  x1: "14",
  y1: "22",
  x2: "16",
  y2: "22"
}], ["line", {
  x1: "8",
  y1: "22",
  x2: "10",
  y2: "22"
}], ["path", {
  d: "M20 2a2 2 0 012 2"
}], ["line", {
  x1: "2",
  y1: "14",
  x2: "2",
  y2: "16"
}], ["line", {
  x1: "2",
  y1: "8",
  x2: "2",
  y2: "10"
}]]];
var box_select_default = BoxSelect;

// node_modules/lucide/dist/esm/icons/box.js
var Box = ["svg", defaultAttributes_default, [["path", {
  d: "M21 16V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l7-4A2 2 0 0021 16z"
}], ["polyline", {
  points: "3.27 6.96 12 12.01 20.73 6.96"
}], ["line", {
  x1: "12",
  y1: "22.08",
  x2: "12",
  y2: "12"
}]]];
var box_default = Box;

// node_modules/lucide/dist/esm/icons/briefcase.js
var Briefcase = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "20",
  height: "14",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M16 21V5a2 2 0 00-2-2h-4a2 2 0 00-2 2v16"
}]]];
var briefcase_default = Briefcase;

// node_modules/lucide/dist/esm/icons/brush.js
var Brush = ["svg", defaultAttributes_default, [["path", {
  d: "M9.06 11.9l8.07-8.06a2.85 2.85 0 114.03 4.03l-8.06 8.08"
}], ["path", {
  d: "M7.07 14.94c-1.66 0-3 1.35-3 3.02 0 1.33-2.5 1.52-2 2.02 1.08 1.1 2.49 2.02 4 2.02 2.2 0 4-1.8 4-4.04a3.01 3.01 0 00-3-3.02z"
}]]];
var brush_default = Brush;

// node_modules/lucide/dist/esm/icons/bug.js
var Bug = ["svg", defaultAttributes_default, [["rect", {
  width: "8",
  height: "14",
  x: "8",
  y: "6",
  rx: "4"
}], ["path", {
  d: "M19 7l-3 2"
}], ["path", {
  d: "M5 7l3 2"
}], ["path", {
  d: "M19 19l-3-2"
}], ["path", {
  d: "M5 19l3-2"
}], ["path", {
  d: "M20 13h-4"
}], ["path", {
  d: "M4 13h4"
}], ["path", {
  d: "M10 4l1 2"
}], ["path", {
  d: "M14 4l-1 2"
}]]];
var bug_default = Bug;

// node_modules/lucide/dist/esm/icons/building.js
var Building = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "16",
  height: "20",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M9 22v-4h6v4"
}], ["path", {
  d: "M8 6h.01"
}], ["path", {
  d: "M16 6h.01"
}], ["path", {
  d: "M12 6h.01"
}], ["path", {
  d: "M12 10h.01"
}], ["path", {
  d: "M12 14h.01"
}], ["path", {
  d: "M16 10h.01"
}], ["path", {
  d: "M16 14h.01"
}], ["path", {
  d: "M8 10h.01"
}], ["path", {
  d: "M8 14h.01"
}]]];
var building_default = Building;

// node_modules/lucide/dist/esm/icons/bus.js
var Bus = ["svg", defaultAttributes_default, [["path", {
  d: "M19 17h2l.64-2.54a6 6 0 000-2.92l-1.07-4.27A3 3 0 0017.66 5H4a2 2 0 00-2 2v10h2m10 0h-4"
}], ["circle", {
  cx: "6.5",
  cy: "17.5",
  r: "2.5"
}], ["circle", {
  cx: "16.5",
  cy: "17.5",
  r: "2.5"
}]]];
var bus_default = Bus;

// node_modules/lucide/dist/esm/icons/calculator.js
var Calculator = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "16",
  height: "20",
  rx: "2"
}], ["line", {
  x1: "8",
  x2: "16",
  y1: "6",
  y2: "6"
}], ["line", {
  x1: "16",
  x2: "16",
  y1: "14",
  y2: "18"
}], ["path", {
  d: "M16 10h.01"
}], ["path", {
  d: "M12 10h.01"
}], ["path", {
  d: "M8 10h.01"
}], ["path", {
  d: "M12 14h.01"
}], ["path", {
  d: "M8 14h.01"
}], ["path", {
  d: "M12 18h.01"
}], ["path", {
  d: "M8 18h.01"
}]]];
var calculator_default = Calculator;

// node_modules/lucide/dist/esm/icons/calendar.js
var Calendar = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "4",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "16",
  y1: "2",
  x2: "16",
  y2: "6"
}], ["line", {
  x1: "8",
  y1: "2",
  x2: "8",
  y2: "6"
}], ["line", {
  x1: "3",
  y1: "10",
  x2: "21",
  y2: "10"
}]]];
var calendar_default = Calendar;

// node_modules/lucide/dist/esm/icons/camera-off.js
var CameraOff = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  y1: "2",
  x2: "22",
  y2: "22"
}], ["path", {
  d: "M9.5 4h5L17 7h3a2 2 0 012 2v7.5M7 7H4a2 2 0 00-2 2v9a2 2 0 002 2h16"
}], ["path", {
  d: "M14.121 15.121A3 3 0 119.88 10.88"
}]]];
var camera_off_default = CameraOff;

// node_modules/lucide/dist/esm/icons/camera.js
var Camera = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 4h-5L7 7H4a2 2 0 00-2 2v9a2 2 0 002 2h16a2 2 0 002-2V9a2 2 0 00-2-2h-3l-2.5-3z"
}], ["circle", {
  cx: "12",
  cy: "13",
  r: "3"
}]]];
var camera_default = Camera;

// node_modules/lucide/dist/esm/icons/car.js
var Car = ["svg", defaultAttributes_default, [["path", {
  d: "M14 16H9m10 0h3v-3.15a1 1 0 00-.84-.99L16 11l-2.7-3.6a1 1 0 00-.8-.4H5.24a2 2 0 00-1.8 1.1l-.8 1.63A6 6 0 002 12.42V16h2"
}], ["circle", {
  cx: "6.5",
  cy: "16.5",
  r: "2.5"
}], ["circle", {
  cx: "16.5",
  cy: "16.5",
  r: "2.5"
}]]];
var car_default = Car;

// node_modules/lucide/dist/esm/icons/carrot.js
var Carrot = ["svg", defaultAttributes_default, [["path", {
  d: "M2.27 21.7s9.87-3.5 12.73-6.36a4.5 4.5 0 00-6.36-6.37C5.77 11.84 2.27 21.7 2.27 21.7zM8.64 14l-2.05-2.04M15.34 15l-2.46-2.46"
}], ["path", {
  d: "M22 9s-1.33-2-3.5-2C16.86 7 15 9 15 9s1.33 2 3.5 2S22 9 22 9z"
}], ["path", {
  d: "M15 2s-2 1.33-2 3.5S15 9 15 9s2-1.84 2-3.5C17 3.33 15 2 15 2z"
}]]];
var carrot_default = Carrot;

// node_modules/lucide/dist/esm/icons/cast.js
var Cast = ["svg", defaultAttributes_default, [["path", {
  d: "M2 16.1A5 5 0 015.9 20M2 12.05A9 9 0 019.95 20M2 8V6a2 2 0 012-2h16a2 2 0 012 2v12a2 2 0 01-2 2h-6"
}], ["line", {
  x1: "2",
  y1: "20",
  x2: "2.01",
  y2: "20"
}]]];
var cast_default = Cast;

// node_modules/lucide/dist/esm/icons/check-circle-2.js
var CheckCircle2 = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22c5.523 0 10-4.477 10-10S17.523 2 12 2 2 6.477 2 12s4.477 10 10 10z"
}], ["path", {
  d: "M9 12l2 2 4-4"
}]]];
var check_circle_2_default = CheckCircle2;

// node_modules/lucide/dist/esm/icons/check-circle.js
var CheckCircle = ["svg", defaultAttributes_default, [["path", {
  d: "M22 11.08V12a10 10 0 11-5.93-9.14"
}], ["polyline", {
  points: "22 4 12 14.01 9 11.01"
}]]];
var check_circle_default = CheckCircle;

// node_modules/lucide/dist/esm/icons/check-square.js
var CheckSquare = ["svg", defaultAttributes_default, [["polyline", {
  points: "9 11 12 14 22 4"
}], ["path", {
  d: "M21 12v7a2 2 0 01-2 2H5a2 2 0 01-2-2V5a2 2 0 012-2h11"
}]]];
var check_square_default = CheckSquare;

// node_modules/lucide/dist/esm/icons/check.js
var Check = ["svg", defaultAttributes_default, [["polyline", {
  points: "20 6 9 17 4 12"
}]]];
var check_default = Check;

// node_modules/lucide/dist/esm/icons/chevron-down.js
var ChevronDown = ["svg", defaultAttributes_default, [["polyline", {
  points: "6 9 12 15 18 9"
}]]];
var chevron_down_default = ChevronDown;

// node_modules/lucide/dist/esm/icons/chevron-first.js
var ChevronFirst = ["svg", defaultAttributes_default, [["polyline", {
  points: "17 18 11 12 17 6"
}], ["path", {
  d: "M7 6v12"
}]]];
var chevron_first_default = ChevronFirst;

// node_modules/lucide/dist/esm/icons/chevron-last.js
var ChevronLast = ["svg", defaultAttributes_default, [["polyline", {
  points: "7 18 13 12 7 6"
}], ["path", {
  d: "M17 6v12"
}]]];
var chevron_last_default = ChevronLast;

// node_modules/lucide/dist/esm/icons/chevron-left.js
var ChevronLeft = ["svg", defaultAttributes_default, [["polyline", {
  points: "15 18 9 12 15 6"
}]]];
var chevron_left_default = ChevronLeft;

// node_modules/lucide/dist/esm/icons/chevron-right.js
var ChevronRight = ["svg", defaultAttributes_default, [["polyline", {
  points: "9 18 15 12 9 6"
}]]];
var chevron_right_default = ChevronRight;

// node_modules/lucide/dist/esm/icons/chevron-up.js
var ChevronUp = ["svg", defaultAttributes_default, [["polyline", {
  points: "18 15 12 9 6 15"
}]]];
var chevron_up_default = ChevronUp;

// node_modules/lucide/dist/esm/icons/chevrons-down-up.js
var ChevronsDownUp = ["svg", defaultAttributes_default, [["path", {
  d: "M7 20l5-5 5 5"
}], ["path", {
  d: "M7 4l5 5 5-5"
}]]];
var chevrons_down_up_default = ChevronsDownUp;

// node_modules/lucide/dist/esm/icons/chevrons-down.js
var ChevronsDown = ["svg", defaultAttributes_default, [["polyline", {
  points: "7 13 12 18 17 13"
}], ["polyline", {
  points: "7 6 12 11 17 6"
}]]];
var chevrons_down_default = ChevronsDown;

// node_modules/lucide/dist/esm/icons/chevrons-left.js
var ChevronsLeft = ["svg", defaultAttributes_default, [["polyline", {
  points: "11 17 6 12 11 7"
}], ["polyline", {
  points: "18 17 13 12 18 7"
}]]];
var chevrons_left_default = ChevronsLeft;

// node_modules/lucide/dist/esm/icons/chevrons-right.js
var ChevronsRight = ["svg", defaultAttributes_default, [["polyline", {
  points: "13 17 18 12 13 7"
}], ["polyline", {
  points: "6 17 11 12 6 7"
}]]];
var chevrons_right_default = ChevronsRight;

// node_modules/lucide/dist/esm/icons/chevrons-up-down.js
var ChevronsUpDown = ["svg", defaultAttributes_default, [["path", {
  d: "M7 15l5 5 5-5"
}], ["path", {
  d: "M7 9l5-5 5 5"
}]]];
var chevrons_up_down_default = ChevronsUpDown;

// node_modules/lucide/dist/esm/icons/chevrons-up.js
var ChevronsUp = ["svg", defaultAttributes_default, [["polyline", {
  points: "17 11 12 6 7 11"
}], ["polyline", {
  points: "17 18 12 13 7 18"
}]]];
var chevrons_up_default = ChevronsUp;

// node_modules/lucide/dist/esm/icons/chrome.js
var Chrome = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "4"
}], ["line", {
  x1: "21.17",
  y1: "8",
  x2: "12",
  y2: "8"
}], ["line", {
  x1: "3.95",
  y1: "6.06",
  x2: "8.54",
  y2: "14"
}], ["line", {
  x1: "10.88",
  y1: "21.94",
  x2: "15.46",
  y2: "14"
}]]];
var chrome_default = Chrome;

// node_modules/lucide/dist/esm/icons/circle-slashed.js
var CircleSlashed = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M22 2L2 22"
}]]];
var circle_slashed_default = CircleSlashed;

// node_modules/lucide/dist/esm/icons/circle.js
var Circle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}]]];
var circle_default = Circle;

// node_modules/lucide/dist/esm/icons/clipboard-check.js
var ClipboardCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4h2a2 2 0 012 2v14a2 2 0 01-2 2H6a2 2 0 01-2-2V6a2 2 0 012-2h2"
}], ["path", {
  d: "M15 2H9a1 1 0 00-1 1v2a1 1 0 001 1h6a1 1 0 001-1V3a1 1 0 00-1-1z"
}], ["path", {
  d: "M9 13l2 2 4-4"
}]]];
var clipboard_check_default = ClipboardCheck;

// node_modules/lucide/dist/esm/icons/clipboard-copy.js
var ClipboardCopy = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4h2a2 2 0 012 2v4M8 4H6a2 2 0 00-2 2v14a2 2 0 002 2h12a2 2 0 002-2v-2"
}], ["rect", {
  x: "8",
  y: "2",
  width: "8",
  height: "4",
  rx: "1",
  ry: "1"
}], ["path", {
  d: "M21 14H11"
}], ["path", {
  d: "M15 10l-4 4 4 4"
}]]];
var clipboard_copy_default = ClipboardCopy;

// node_modules/lucide/dist/esm/icons/clipboard-list.js
var ClipboardList = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4h2a2 2 0 012 2v14a2 2 0 01-2 2H6a2 2 0 01-2-2V6a2 2 0 012-2h2"
}], ["path", {
  d: "M15 2H9a1 1 0 00-1 1v2a1 1 0 001 1h6a1 1 0 001-1V3a1 1 0 00-1-1z"
}], ["path", {
  d: "M12 11h4"
}], ["path", {
  d: "M12 16h4"
}], ["path", {
  d: "M8 11h.01"
}], ["path", {
  d: "M8 16h.01"
}]]];
var clipboard_list_default = ClipboardList;

// node_modules/lucide/dist/esm/icons/clipboard-x.js
var ClipboardX = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4h2a2 2 0 012 2v14a2 2 0 01-2 2H6a2 2 0 01-2-2V6a2 2 0 012-2h2"
}], ["path", {
  d: "M15 2H9a1 1 0 00-1 1v2a1 1 0 001 1h6a1 1 0 001-1V3a1 1 0 00-1-1z"
}], ["path", {
  d: "M15 11l-6 6"
}], ["path", {
  d: "M9 11l6 6"
}]]];
var clipboard_x_default = ClipboardX;

// node_modules/lucide/dist/esm/icons/clipboard.js
var Clipboard = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4h2a2 2 0 012 2v14a2 2 0 01-2 2H6a2 2 0 01-2-2V6a2 2 0 012-2h2"
}], ["rect", {
  x: "8",
  y: "2",
  width: "8",
  height: "4",
  rx: "1",
  ry: "1"
}]]];
var clipboard_default = Clipboard;

// node_modules/lucide/dist/esm/icons/clock-1.js
var Clock1 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 14.5 8"
}]]];
var clock_1_default = Clock1;

// node_modules/lucide/dist/esm/icons/clock-10.js
var Clock10 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 8 10"
}]]];
var clock_10_default = Clock10;

// node_modules/lucide/dist/esm/icons/clock-11.js
var Clock11 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 9.5 8"
}]]];
var clock_11_default = Clock11;

// node_modules/lucide/dist/esm/icons/clock-12.js
var Clock12 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12"
}]]];
var clock_12_default = Clock12;

// node_modules/lucide/dist/esm/icons/clock-2.js
var Clock2 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 16 10"
}]]];
var clock_2_default = Clock2;

// node_modules/lucide/dist/esm/icons/clock-3.js
var Clock3 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 16.5 12"
}]]];
var clock_3_default = Clock3;

// node_modules/lucide/dist/esm/icons/clock-4.js
var Clock4 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 16 14"
}]]];
var clock_4_default = Clock4;

// node_modules/lucide/dist/esm/icons/clock-5.js
var Clock5 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 14.5 16"
}]]];
var clock_5_default = Clock5;

// node_modules/lucide/dist/esm/icons/clock-6.js
var Clock6 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 12 16.5"
}]]];
var clock_6_default = Clock6;

// node_modules/lucide/dist/esm/icons/clock-7.js
var Clock7 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 9.5 16"
}]]];
var clock_7_default = Clock7;

// node_modules/lucide/dist/esm/icons/clock-8.js
var Clock8 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 8 14"
}]]];
var clock_8_default = Clock8;

// node_modules/lucide/dist/esm/icons/clock-9.js
var Clock9 = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 7.5 12"
}]]];
var clock_9_default = Clock9;

// node_modules/lucide/dist/esm/icons/clock.js
var Clock = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polyline", {
  points: "12 6 12 12 16 14"
}]]];
var clock_default = Clock;

// node_modules/lucide/dist/esm/icons/cloud-drizzle.js
var CloudDrizzle = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M8 19v1"
}], ["path", {
  d: "M8 14v1"
}], ["path", {
  d: "M16 19v1"
}], ["path", {
  d: "M16 14v1"
}], ["path", {
  d: "M12 21v1"
}], ["path", {
  d: "M12 16v1"
}]]];
var cloud_drizzle_default = CloudDrizzle;

// node_modules/lucide/dist/esm/icons/cloud-fog.js
var CloudFog = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M16 17H7"
}], ["path", {
  d: "M17 21H9"
}]]];
var cloud_fog_default = CloudFog;

// node_modules/lucide/dist/esm/icons/cloud-hail.js
var CloudHail = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M16 14v2"
}], ["path", {
  d: "M8 14v2"
}], ["path", {
  d: "M16 20h0"
}], ["path", {
  d: "M8 20h0"
}], ["path", {
  d: "M12 16v2"
}], ["path", {
  d: "M12 22h0"
}]]];
var cloud_hail_default = CloudHail;

// node_modules/lucide/dist/esm/icons/cloud-lightning.js
var CloudLightning = ["svg", defaultAttributes_default, [["path", {
  d: "M17.5 17a4.5 4.5 0 100-9h-1.8a7 7 0 10-10.3 8"
}], ["path", {
  d: "M12 12l-3 5h5l-3 5"
}]]];
var cloud_lightning_default = CloudLightning;

// node_modules/lucide/dist/esm/icons/cloud-moon.js
var CloudMoon = ["svg", defaultAttributes_default, [["path", {
  d: "M13.63 22A3.3 3.3 0 0017 18.79a3.3 3.3 0 00-3.38-3.22h-1.34A5.23 5.23 0 007.25 12 5.13 5.13 0 002 17c0 2.76 2.35 5 5.25 5h6.38z"
}], ["path", {
  d: "M9.95 9a6.13 6.13 0 015.5-5.18 4.77 4.77 0 006.67 6.67A6.13 6.13 0 0119.46 15"
}]]];
var cloud_moon_default = CloudMoon;

// node_modules/lucide/dist/esm/icons/cloud-off.js
var CloudOff = ["svg", defaultAttributes_default, [["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M10 5a7 7 0 015.7 5h1.8a4.5 4.5 0 014 6.5"
}], ["path", {
  d: "M18.8 18.8c-.4.2-.8.2-1.3.2H9A7 7 0 015.8 5.8"
}]]];
var cloud_off_default = CloudOff;

// node_modules/lucide/dist/esm/icons/cloud-rain-wind.js
var CloudRainWind = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M9.2 22l3-7"
}], ["path", {
  d: "M9 13l-3 7"
}], ["path", {
  d: "M17 13l-3 7"
}]]];
var cloud_rain_wind_default = CloudRainWind;

// node_modules/lucide/dist/esm/icons/cloud-rain.js
var CloudRain = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M16 14v6"
}], ["path", {
  d: "M8 14v6"
}], ["path", {
  d: "M12 16v6"
}]]];
var cloud_rain_default = CloudRain;

// node_modules/lucide/dist/esm/icons/cloud-snow.js
var CloudSnow = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M8 15h0"
}], ["path", {
  d: "M8 19h0"
}], ["path", {
  d: "M12 17h0"
}], ["path", {
  d: "M12 21h0"
}], ["path", {
  d: "M16 15h0"
}], ["path", {
  d: "M16 19h0"
}]]];
var cloud_snow_default = CloudSnow;

// node_modules/lucide/dist/esm/icons/cloud-sun.js
var CloudSun = ["svg", defaultAttributes_default, [["path", {
  d: "M12 2v2"
}], ["path", {
  d: "M5.22 5.22l1.42 1.42"
}], ["path", {
  d: "M20 12h2"
}], ["path", {
  d: "M15.97 12.5A4 4 0 009.5 8.88"
}], ["path", {
  d: "M13.63 22A3.3 3.3 0 0017 18.79a3.3 3.3 0 00-3.38-3.22h-1.34A5.23 5.23 0 007.25 12 5.13 5.13 0 002 17c0 2.76 2.35 5 5.25 5h6.38z"
}], ["path", {
  d: "M17.36 6.64l1.42-1.42"
}]]];
var cloud_sun_default = CloudSun;

// node_modules/lucide/dist/esm/icons/cloud.js
var Cloud = ["svg", defaultAttributes_default, [["path", {
  d: "M17.5 19a4.5 4.5 0 100-9h-1.8A7 7 0 109 19h8.5z"
}]]];
var cloud_default = Cloud;

// node_modules/lucide/dist/esm/icons/cloudy.js
var Cloudy = ["svg", defaultAttributes_default, [["path", {
  d: "M17.5 21a4.5 4.5 0 100-9h-1.8A7 7 0 109 21h8.5z"
}], ["path", {
  d: "M22 10c0-1.5-1.5-3-3.5-3H17c-.7-2.3-2.9-4-5.4-4-2.7 0-5 2-5.5 4.5"
}]]];
var cloudy_default = Cloudy;

// node_modules/lucide/dist/esm/icons/clover.js
var Clover = ["svg", defaultAttributes_default, [["path", {
  d: "M16.2 3.8a2.7 2.7 0 00-3.81 0l-.4.38-.4-.4a2.7 2.7 0 00-3.82 0C6.73 4.85 6.67 6.64 8 8l4 4 4-4c1.33-1.36 1.27-3.15.2-4.2z"
}], ["path", {
  d: "M8 8c-1.36-1.33-3.15-1.27-4.2-.2a2.7 2.7 0 000 3.81l.38.4-.4.4a2.7 2.7 0 000 3.82C4.85 17.27 6.64 17.33 8 16"
}], ["path", {
  d: "M16 16c1.36 1.33 3.15 1.27 4.2.2a2.7 2.7 0 000-3.81l-.38-.4.4-.4a2.7 2.7 0 000-3.82C19.15 6.73 17.36 6.67 16 8"
}], ["path", {
  d: "M7.8 20.2a2.7 2.7 0 003.81 0l.4-.38.4.4a2.7 2.7 0 003.82 0c1.06-1.06 1.12-2.85-.21-4.21l-4-4-4 4c-1.33 1.36-1.27 3.15-.2 4.2z"
}], ["path", {
  d: "M7 17l-5 5"
}]]];
var clover_default = Clover;

// node_modules/lucide/dist/esm/icons/code-2.js
var Code2 = ["svg", defaultAttributes_default, [["path", {
  d: "M18 16l4-4-4-4"
}], ["path", {
  d: "M6 8l-4 4 4 4"
}], ["path", {
  d: "M14.5 4l-5 16"
}]]];
var code_2_default = Code2;

// node_modules/lucide/dist/esm/icons/code.js
var Code = ["svg", defaultAttributes_default, [["polyline", {
  points: "16 18 22 12 16 6"
}], ["polyline", {
  points: "8 6 2 12 8 18"
}]]];
var code_default = Code;

// node_modules/lucide/dist/esm/icons/codepen.js
var Codepen = ["svg", defaultAttributes_default, [["polygon", {
  points: "12 2 22 8.5 22 15.5 12 22 2 15.5 2 8.5 12 2"
}], ["line", {
  x1: "12",
  y1: "22",
  x2: "12",
  y2: "15.5"
}], ["polyline", {
  points: "22 8.5 12 15.5 2 8.5"
}], ["polyline", {
  points: "2 15.5 12 8.5 22 15.5"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "8.5"
}]]];
var codepen_default = Codepen;

// node_modules/lucide/dist/esm/icons/codesandbox.js
var Codesandbox = ["svg", defaultAttributes_default, [["path", {
  d: "M21 16V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l7-4A2 2 0 0021 16z"
}], ["polyline", {
  points: "7.5 4.21 12 6.81 16.5 4.21"
}], ["polyline", {
  points: "7.5 19.79 7.5 14.6 3 12"
}], ["polyline", {
  points: "21 12 16.5 14.6 16.5 19.79"
}], ["polyline", {
  points: "3.27 6.96 12 12.01 20.73 6.96"
}], ["line", {
  x1: "12",
  y1: "22.08",
  x2: "12",
  y2: "12"
}]]];
var codesandbox_default = Codesandbox;

// node_modules/lucide/dist/esm/icons/coffee.js
var Coffee = ["svg", defaultAttributes_default, [["path", {
  d: "M18 8h1a4 4 0 010 8h-1"
}], ["path", {
  d: "M2 8h16v9a4 4 0 01-4 4H6a4 4 0 01-4-4V8z"
}], ["line", {
  x1: "6",
  y1: "1",
  x2: "6",
  y2: "4"
}], ["line", {
  x1: "10",
  y1: "1",
  x2: "10",
  y2: "4"
}], ["line", {
  x1: "14",
  y1: "1",
  x2: "14",
  y2: "4"
}]]];
var coffee_default = Coffee;

// node_modules/lucide/dist/esm/icons/coins.js
var Coins = ["svg", defaultAttributes_default, [["circle", {
  cx: "8",
  cy: "8",
  r: "7"
}], ["path", {
  d: "M19.5 9.94a7 7 0 11-9.56 9.56"
}], ["path", {
  d: "M7 6h1v4"
}], ["path", {
  d: "M17.3 14.3l.7.7-2.8 2.8"
}]]];
var coins_default = Coins;

// node_modules/lucide/dist/esm/icons/columns.js
var Columns = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "12",
  y1: "3",
  x2: "12",
  y2: "21"
}]]];
var columns_default = Columns;

// node_modules/lucide/dist/esm/icons/command.js
var Command = ["svg", defaultAttributes_default, [["path", {
  d: "M18 3a3 3 0 00-3 3v12a3 3 0 003 3 3 3 0 003-3 3 3 0 00-3-3H6a3 3 0 00-3 3 3 3 0 003 3 3 3 0 003-3V6a3 3 0 00-3-3 3 3 0 00-3 3 3 3 0 003 3h12a3 3 0 003-3 3 3 0 00-3-3z"
}]]];
var command_default = Command;

// node_modules/lucide/dist/esm/icons/compass.js
var Compass = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polygon", {
  points: "16.24 7.76 14.12 14.12 7.76 16.24 9.88 9.88 16.24 7.76"
}]]];
var compass_default = Compass;

// node_modules/lucide/dist/esm/icons/contact.js
var Contact = ["svg", defaultAttributes_default, [["path", {
  d: "M19 22H5c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2h14c1.1 0 2 .9 2 2v14c0 1.1-.9 2-2 2z"
}], ["line", {
  x1: "16",
  y1: "2",
  x2: "16",
  y2: "4"
}], ["line", {
  x1: "8",
  y1: "2",
  x2: "8",
  y2: "4"
}], ["circle", {
  cx: "12",
  cy: "11",
  r: "3"
}], ["path", {
  d: "M17 18.5c-1.4-1-3.1-1.5-5-1.5s-3.6.6-5 1.5"
}]]];
var contact_default = Contact;

// node_modules/lucide/dist/esm/icons/contrast.js
var Contrast = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M12 18a6 6 0 000-12v12z"
}]]];
var contrast_default = Contrast;

// node_modules/lucide/dist/esm/icons/cookie.js
var Cookie = ["svg", defaultAttributes_default, [["path", {
  d: "M12 2a10 10 0 1010 10 4 4 0 01-5-5 4 4 0 01-5-5"
}], ["path", {
  d: "M8.5 8.5v.01"
}], ["path", {
  d: "M16 15.5v.01"
}], ["path", {
  d: "M12 12v.01"
}], ["path", {
  d: "M11 17v.01"
}], ["path", {
  d: "M7 14v.01"
}]]];
var cookie_default = Cookie;

// node_modules/lucide/dist/esm/icons/copy.js
var Copy = ["svg", defaultAttributes_default, [["rect", {
  x: "9",
  y: "9",
  width: "13",
  height: "13",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M5 15H4a2 2 0 01-2-2V4a2 2 0 012-2h9a2 2 0 012 2v1"
}]]];
var copy_default = Copy;

// node_modules/lucide/dist/esm/icons/copyleft.js
var Copyleft = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M9 9.35a4 4 0 110 5.3"
}]]];
var copyleft_default = Copyleft;

// node_modules/lucide/dist/esm/icons/copyright.js
var Copyright = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M15 9.354a4 4 0 100 5.292"
}]]];
var copyright_default = Copyright;

// node_modules/lucide/dist/esm/icons/corner-down-left.js
var CornerDownLeft = ["svg", defaultAttributes_default, [["polyline", {
  points: "9 10 4 15 9 20"
}], ["path", {
  d: "M20 4v7a4 4 0 01-4 4H4"
}]]];
var corner_down_left_default = CornerDownLeft;

// node_modules/lucide/dist/esm/icons/corner-down-right.js
var CornerDownRight = ["svg", defaultAttributes_default, [["polyline", {
  points: "15 10 20 15 15 20"
}], ["path", {
  d: "M4 4v7a4 4 0 004 4h12"
}]]];
var corner_down_right_default = CornerDownRight;

// node_modules/lucide/dist/esm/icons/corner-left-down.js
var CornerLeftDown = ["svg", defaultAttributes_default, [["polyline", {
  points: "14 15 9 20 4 15"
}], ["path", {
  d: "M20 4h-7a4 4 0 00-4 4v12"
}]]];
var corner_left_down_default = CornerLeftDown;

// node_modules/lucide/dist/esm/icons/corner-left-up.js
var CornerLeftUp = ["svg", defaultAttributes_default, [["polyline", {
  points: "14 9 9 4 4 9"
}], ["path", {
  d: "M20 20h-7a4 4 0 01-4-4V4"
}]]];
var corner_left_up_default = CornerLeftUp;

// node_modules/lucide/dist/esm/icons/corner-right-down.js
var CornerRightDown = ["svg", defaultAttributes_default, [["polyline", {
  points: "10 15 15 20 20 15"
}], ["path", {
  d: "M4 4h7a4 4 0 014 4v12"
}]]];
var corner_right_down_default = CornerRightDown;

// node_modules/lucide/dist/esm/icons/corner-right-up.js
var CornerRightUp = ["svg", defaultAttributes_default, [["polyline", {
  points: "10 9 15 4 20 9"
}], ["path", {
  d: "M4 20h7a4 4 0 004-4V4"
}]]];
var corner_right_up_default = CornerRightUp;

// node_modules/lucide/dist/esm/icons/corner-up-left.js
var CornerUpLeft = ["svg", defaultAttributes_default, [["polyline", {
  points: "9 14 4 9 9 4"
}], ["path", {
  d: "M20 20v-7a4 4 0 00-4-4H4"
}]]];
var corner_up_left_default = CornerUpLeft;

// node_modules/lucide/dist/esm/icons/corner-up-right.js
var CornerUpRight = ["svg", defaultAttributes_default, [["polyline", {
  points: "15 14 20 9 15 4"
}], ["path", {
  d: "M4 20v-7a4 4 0 014-4h12"
}]]];
var corner_up_right_default = CornerUpRight;

// node_modules/lucide/dist/esm/icons/cpu.js
var Cpu = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "4",
  width: "16",
  height: "16",
  rx: "2",
  ry: "2"
}], ["rect", {
  x: "9",
  y: "9",
  width: "6",
  height: "6"
}], ["line", {
  x1: "9",
  y1: "1",
  x2: "9",
  y2: "4"
}], ["line", {
  x1: "15",
  y1: "1",
  x2: "15",
  y2: "4"
}], ["line", {
  x1: "9",
  y1: "20",
  x2: "9",
  y2: "23"
}], ["line", {
  x1: "15",
  y1: "20",
  x2: "15",
  y2: "23"
}], ["line", {
  x1: "20",
  y1: "9",
  x2: "23",
  y2: "9"
}], ["line", {
  x1: "20",
  y1: "14",
  x2: "23",
  y2: "14"
}], ["line", {
  x1: "1",
  y1: "9",
  x2: "4",
  y2: "9"
}], ["line", {
  x1: "1",
  y1: "14",
  x2: "4",
  y2: "14"
}]]];
var cpu_default = Cpu;

// node_modules/lucide/dist/esm/icons/credit-card.js
var CreditCard = ["svg", defaultAttributes_default, [["rect", {
  x: "1",
  y: "4",
  width: "22",
  height: "16",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "1",
  y1: "10",
  x2: "23",
  y2: "10"
}]]];
var credit_card_default = CreditCard;

// node_modules/lucide/dist/esm/icons/crop.js
var Crop = ["svg", defaultAttributes_default, [["path", {
  d: "M6.13 1L6 16a2 2 0 002 2h15"
}], ["path", {
  d: "M1 6.13L16 6a2 2 0 012 2v15"
}]]];
var crop_default = Crop;

// node_modules/lucide/dist/esm/icons/cross.js
var Cross = ["svg", defaultAttributes_default, [["path", {
  d: "M11 2a2 2 0 00-2 2v5H4a2 2 0 00-2 2v2c0 1.1.9 2 2 2h5v5c0 1.1.9 2 2 2h2a2 2 0 002-2v-5h5a2 2 0 002-2v-2a2 2 0 00-2-2h-5V4a2 2 0 00-2-2h-2z"
}]]];
var cross_default = Cross;

// node_modules/lucide/dist/esm/icons/crosshair.js
var Crosshair = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "22",
  y1: "12",
  x2: "18",
  y2: "12"
}], ["line", {
  x1: "6",
  y1: "12",
  x2: "2",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "6",
  x2: "12",
  y2: "2"
}], ["line", {
  x1: "12",
  y1: "22",
  x2: "12",
  y2: "18"
}]]];
var crosshair_default = Crosshair;

// node_modules/lucide/dist/esm/icons/crown.js
var Crown = ["svg", defaultAttributes_default, [["path", {
  d: "M2 4l3 12h14l3-12-6 7-4-7-4 7-6-7zm3 16h14"
}]]];
var crown_default = Crown;

// node_modules/lucide/dist/esm/icons/currency.js
var Currency = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "8"
}], ["line", {
  x1: "3",
  y1: "3",
  x2: "6",
  y2: "6"
}], ["line", {
  x1: "21",
  y1: "3",
  x2: "18",
  y2: "6"
}], ["line", {
  x1: "3",
  y1: "21",
  x2: "6",
  y2: "18"
}], ["line", {
  x1: "21",
  y1: "21",
  x2: "18",
  y2: "18"
}]]];
var currency_default = Currency;

// node_modules/lucide/dist/esm/icons/database.js
var Database = ["svg", defaultAttributes_default, [["ellipse", {
  cx: "12",
  cy: "5",
  rx: "9",
  ry: "3"
}], ["path", {
  d: "M21 12c0 1.66-4 3-9 3s-9-1.34-9-3"
}], ["path", {
  d: "M3 5v14c0 1.66 4 3 9 3s9-1.34 9-3V5"
}]]];
var database_default = Database;

// node_modules/lucide/dist/esm/icons/delete.js
var Delete = ["svg", defaultAttributes_default, [["path", {
  d: "M21 4H8l-7 8 7 8h13a2 2 0 002-2V6a2 2 0 00-2-2z"
}], ["line", {
  x1: "18",
  y1: "9",
  x2: "12",
  y2: "15"
}], ["line", {
  x1: "12",
  y1: "9",
  x2: "18",
  y2: "15"
}]]];
var delete_default = Delete;

// node_modules/lucide/dist/esm/icons/dice-1.js
var Dice1 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M12 12h.01"
}]]];
var dice_1_default = Dice1;

// node_modules/lucide/dist/esm/icons/dice-2.js
var Dice2 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M15 9h.01"
}], ["path", {
  d: "M9 15h.01"
}]]];
var dice_2_default = Dice2;

// node_modules/lucide/dist/esm/icons/dice-3.js
var Dice3 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M16 8h.01"
}], ["path", {
  d: "M12 12h.01"
}], ["path", {
  d: "M8 16h.01"
}]]];
var dice_3_default = Dice3;

// node_modules/lucide/dist/esm/icons/dice-4.js
var Dice4 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M16 8h.01"
}], ["path", {
  d: "M8 8h.01"
}], ["path", {
  d: "M8 16h.01"
}], ["path", {
  d: "M16 16h.01"
}]]];
var dice_4_default = Dice4;

// node_modules/lucide/dist/esm/icons/dice-5.js
var Dice5 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M16 8h.01"
}], ["path", {
  d: "M8 8h.01"
}], ["path", {
  d: "M8 16h.01"
}], ["path", {
  d: "M16 16h.01"
}], ["path", {
  d: "M12 12h.01"
}]]];
var dice_5_default = Dice5;

// node_modules/lucide/dist/esm/icons/dice-6.js
var Dice6 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M16 8h.01"
}], ["path", {
  d: "M16 12h.01"
}], ["path", {
  d: "M16 16h.01"
}], ["path", {
  d: "M8 8h.01"
}], ["path", {
  d: "M8 12h.01"
}], ["path", {
  d: "M8 16h.01"
}]]];
var dice_6_default = Dice6;

// node_modules/lucide/dist/esm/icons/disc.js
var Disc = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}]]];
var disc_default = Disc;

// node_modules/lucide/dist/esm/icons/divide-circle.js
var DivideCircle = ["svg", defaultAttributes_default, [["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12",
  y2: "16"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "8"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}]]];
var divide_circle_default = DivideCircle;

// node_modules/lucide/dist/esm/icons/divide-square.js
var DivideSquare = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12",
  y2: "16"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "8"
}]]];
var divide_square_default = DivideSquare;

// node_modules/lucide/dist/esm/icons/divide.js
var Divide = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "6",
  r: "1"
}], ["line", {
  x1: "5",
  y1: "12",
  x2: "19",
  y2: "12"
}], ["circle", {
  cx: "12",
  cy: "18",
  r: "1"
}]]];
var divide_default = Divide;

// node_modules/lucide/dist/esm/icons/dollar-sign.js
var DollarSign = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "1",
  x2: "12",
  y2: "23"
}], ["path", {
  d: "M17 5H9.5a3.5 3.5 0 000 7h5a3.5 3.5 0 010 7H6"
}]]];
var dollar_sign_default = DollarSign;

// node_modules/lucide/dist/esm/icons/download-cloud.js
var DownloadCloud = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M12 12v9"
}], ["path", {
  d: "M8 17l4 4 4-4"
}]]];
var download_cloud_default = DownloadCloud;

// node_modules/lucide/dist/esm/icons/download.js
var Download = ["svg", defaultAttributes_default, [["path", {
  d: "M21 15v4a2 2 0 01-2 2H5a2 2 0 01-2-2v-4"
}], ["polyline", {
  points: "7 10 12 15 17 10"
}], ["line", {
  x1: "12",
  y1: "15",
  x2: "12",
  y2: "3"
}]]];
var download_default = Download;

// node_modules/lucide/dist/esm/icons/dribbble.js
var Dribbble = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M8.56 2.75c4.37 6.03 6.02 9.42 8.03 17.72m2.54-15.38c-3.72 4.35-8.94 5.66-16.88 5.85m19.5 1.9c-3.5-.93-6.63-.82-8.94 0-2.58.92-5.01 2.86-7.44 6.32"
}]]];
var dribbble_default = Dribbble;

// node_modules/lucide/dist/esm/icons/droplet.js
var Droplet = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22a7 7 0 007-7c0-2-1-3.9-3-5.5s-3.5-4-4-6.5c-.5 2.5-2 4.9-4 6.5C6 11.1 5 13 5 15a7 7 0 007 7z"
}]]];
var droplet_default = Droplet;

// node_modules/lucide/dist/esm/icons/droplets.js
var Droplets = ["svg", defaultAttributes_default, [["path", {
  d: "M7 16.3c2.2 0 4-1.83 4-4.05 0-1.16-.57-2.26-1.71-3.19S7.29 6.75 7 5.3c-.29 1.45-1.14 2.84-2.29 3.76S3 11.1 3 12.25c0 2.22 1.8 4.05 4 4.05z"
}], ["path", {
  d: "M12.56 6.6A10.97 10.97 0 0014 3.02c.5 2.5 2 4.9 4 6.5s3 3.5 3 5.5a6.98 6.98 0 01-11.91 4.97"
}]]];
var droplets_default = Droplets;

// node_modules/lucide/dist/esm/icons/drumstick.js
var Drumstick = ["svg", defaultAttributes_default, [["path", {
  d: "M15.45 15.4c-2.13.65-4.3.32-5.7-1.1-2.29-2.27-1.76-6.5 1.17-9.42 2.93-2.93 7.15-3.46 9.43-1.18 1.41 1.41 1.74 3.57 1.1 5.71-1.4-.51-3.26-.02-4.64 1.36-1.38 1.38-1.87 3.23-1.36 4.63z"
}], ["path", {
  d: "M11.25 15.6l-2.16 2.16a2.5 2.5 0 11-4.56 1.73 2.49 2.49 0 01-1.41-4.24 2.5 2.5 0 013.14-.32l2.16-2.16"
}]]];
var drumstick_default = Drumstick;

// node_modules/lucide/dist/esm/icons/edit-2.js
var Edit2 = ["svg", defaultAttributes_default, [["path", {
  d: "M17 3a2.828 2.828 0 114 4L7.5 20.5 2 22l1.5-5.5L17 3z"
}]]];
var edit_2_default = Edit2;

// node_modules/lucide/dist/esm/icons/edit-3.js
var Edit3 = ["svg", defaultAttributes_default, [["path", {
  d: "M12 20h9"
}], ["path", {
  d: "M16.5 3.5a2.121 2.121 0 013 3L7 19l-4 1 1-4L16.5 3.5z"
}]]];
var edit_3_default = Edit3;

// node_modules/lucide/dist/esm/icons/edit.js
var Edit = ["svg", defaultAttributes_default, [["path", {
  d: "M11 4H4a2 2 0 00-2 2v14a2 2 0 002 2h14a2 2 0 002-2v-7"
}], ["path", {
  d: "M18.5 2.5a2.121 2.121 0 013 3L12 15l-4 1 1-4 9.5-9.5z"
}]]];
var edit_default = Edit;

// node_modules/lucide/dist/esm/icons/egg.js
var Egg = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22c6.23-.05 7.87-5.57 7.5-10-.36-4.34-3.95-9.96-7.5-10-3.55.04-7.14 5.66-7.5 10-.37 4.43 1.27 9.95 7.5 10z"
}]]];
var egg_default = Egg;

// node_modules/lucide/dist/esm/icons/equal-not.js
var EqualNot = ["svg", defaultAttributes_default, [["line", {
  x1: "5",
  y1: "9",
  x2: "19",
  y2: "9"
}], ["line", {
  x1: "5",
  y1: "15",
  x2: "19",
  y2: "15"
}], ["line", {
  x1: "19",
  y1: "5",
  x2: "5",
  y2: "19"
}]]];
var equal_not_default = EqualNot;

// node_modules/lucide/dist/esm/icons/equal.js
var Equal = ["svg", defaultAttributes_default, [["line", {
  x1: "5",
  y1: "9",
  x2: "19",
  y2: "9"
}], ["line", {
  x1: "5",
  y1: "15",
  x2: "19",
  y2: "15"
}]]];
var equal_default = Equal;

// node_modules/lucide/dist/esm/icons/euro.js
var Euro = ["svg", defaultAttributes_default, [["path", {
  d: "M4 10h12"
}], ["path", {
  d: "M4 14h9"
}], ["path", {
  d: "M19 6a7.7 7.7 0 00-5.2-2A7.9 7.9 0 006 12c0 4.4 3.5 8 7.8 8 2 0 3.8-.8 5.2-2"
}]]];
var euro_default = Euro;

// node_modules/lucide/dist/esm/icons/expand.js
var Expand = ["svg", defaultAttributes_default, [["path", {
  d: "M21 21l-6-6m6 6v-4.8m0 4.8h-4.8"
}], ["path", {
  d: "M3 16.2V21m0 0h4.8M3 21l6-6"
}], ["path", {
  d: "M21 7.8V3m0 0h-4.8M21 3l-6 6"
}], ["path", {
  d: "M3 7.8V3m0 0h4.8M3 3l6 6"
}]]];
var expand_default = Expand;

// node_modules/lucide/dist/esm/icons/external-link.js
var ExternalLink = ["svg", defaultAttributes_default, [["path", {
  d: "M18 13v6a2 2 0 01-2 2H5a2 2 0 01-2-2V8a2 2 0 012-2h6"
}], ["polyline", {
  points: "15 3 21 3 21 9"
}], ["line", {
  x1: "10",
  y1: "14",
  x2: "21",
  y2: "3"
}]]];
var external_link_default = ExternalLink;

// node_modules/lucide/dist/esm/icons/eye-off.js
var EyeOff = ["svg", defaultAttributes_default, [["path", {
  d: "M17.94 17.94A10.07 10.07 0 0112 20c-7 0-11-8-11-8a18.45 18.45 0 015.06-5.94M9.9 4.24A9.12 9.12 0 0112 4c7 0 11 8 11 8a18.5 18.5 0 01-2.16 3.19m-6.72-1.07a3 3 0 11-4.24-4.24"
}], ["line", {
  x1: "1",
  y1: "1",
  x2: "23",
  y2: "23"
}]]];
var eye_off_default = EyeOff;

// node_modules/lucide/dist/esm/icons/eye.js
var Eye = ["svg", defaultAttributes_default, [["path", {
  d: "M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}]]];
var eye_default = Eye;

// node_modules/lucide/dist/esm/icons/facebook.js
var Facebook = ["svg", defaultAttributes_default, [["path", {
  d: "M18 2h-3a5 5 0 00-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 011-1h3z"
}]]];
var facebook_default = Facebook;

// node_modules/lucide/dist/esm/icons/fast-forward.js
var FastForward = ["svg", defaultAttributes_default, [["polygon", {
  points: "13 19 22 12 13 5 13 19"
}], ["polygon", {
  points: "2 19 11 12 2 5 2 19"
}]]];
var fast_forward_default = FastForward;

// node_modules/lucide/dist/esm/icons/feather.js
var Feather = ["svg", defaultAttributes_default, [["path", {
  d: "M20.24 12.24a6 6 0 00-8.49-8.49L5 10.5V19h8.5z"
}], ["line", {
  x1: "16",
  y1: "8",
  x2: "2",
  y2: "22"
}], ["line", {
  x1: "17.5",
  y1: "15",
  x2: "9",
  y2: "15"
}]]];
var feather_default = Feather;

// node_modules/lucide/dist/esm/icons/figma.js
var Figma = ["svg", defaultAttributes_default, [["path", {
  d: "M5 5.5A3.5 3.5 0 018.5 2H12v7H8.5A3.5 3.5 0 015 5.5z"
}], ["path", {
  d: "M12 2h3.5a3.5 3.5 0 110 7H12V2z"
}], ["path", {
  d: "M12 12.5a3.5 3.5 0 117 0 3.5 3.5 0 11-7 0z"
}], ["path", {
  d: "M5 19.5A3.5 3.5 0 018.5 16H12v3.5a3.5 3.5 0 11-7 0z"
}], ["path", {
  d: "M5 12.5A3.5 3.5 0 018.5 9H12v7H8.5A3.5 3.5 0 015 12.5z"
}]]];
var figma_default = Figma;

// node_modules/lucide/dist/esm/icons/file-check-2.js
var FileCheck2 = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M3 15l2 2 4-4"
}]]];
var file_check_2_default = FileCheck2;

// node_modules/lucide/dist/esm/icons/file-check.js
var FileCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}], ["path", {
  d: "M9 15l2 2 4-4"
}]]];
var file_check_default = FileCheck;

// node_modules/lucide/dist/esm/icons/file-code.js
var FileCode = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M9 18l3-3-3-3"
}], ["path", {
  d: "M5 12l-3 3 3 3"
}]]];
var file_code_default = FileCode;

// node_modules/lucide/dist/esm/icons/file-digit.js
var FileDigit = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M10 12h2v6"
}], ["rect", {
  x: "2",
  y: "12",
  width: "4",
  height: "6"
}], ["path", {
  d: "M10 18h4"
}]]];
var file_digit_default = FileDigit;

// node_modules/lucide/dist/esm/icons/file-input.js
var FileInput = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M2 15h10"
}], ["path", {
  d: "M9 18l3-3-3-3"
}]]];
var file_input_default = FileInput;

// node_modules/lucide/dist/esm/icons/file-minus-2.js
var FileMinus2 = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M3 15h6"
}]]];
var file_minus_2_default = FileMinus2;

// node_modules/lucide/dist/esm/icons/file-minus.js
var FileMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}], ["line", {
  x1: "9",
  y1: "15",
  x2: "15",
  y2: "15"
}]]];
var file_minus_default = FileMinus;

// node_modules/lucide/dist/esm/icons/file-output.js
var FileOutput = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M2 15h10"
}], ["path", {
  d: "M5 12l-3 3 3 3"
}]]];
var file_output_default = FileOutput;

// node_modules/lucide/dist/esm/icons/file-plus-2.js
var FilePlus2 = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M3 15h6"
}], ["path", {
  d: "M6 12v6"
}]]];
var file_plus_2_default = FilePlus2;

// node_modules/lucide/dist/esm/icons/file-plus.js
var FilePlus = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}], ["line", {
  x1: "12",
  y1: "18",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "9",
  y1: "15",
  x2: "15",
  y2: "15"
}]]];
var file_plus_default = FilePlus;

// node_modules/lucide/dist/esm/icons/file-search.js
var FileSearch = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v3"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M5 17a3 3 0 100-6 3 3 0 000 6z"
}], ["path", {
  d: "M9 18l-1.5-1.5"
}]]];
var file_search_default = FileSearch;

// node_modules/lucide/dist/esm/icons/file-text.js
var FileText = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}], ["line", {
  x1: "16",
  y1: "13",
  x2: "8",
  y2: "13"
}], ["line", {
  x1: "16",
  y1: "17",
  x2: "8",
  y2: "17"
}], ["line", {
  x1: "10",
  y1: "9",
  x2: "8",
  y2: "9"
}]]];
var file_text_default = FileText;

// node_modules/lucide/dist/esm/icons/file-x-2.js
var FileX2 = ["svg", defaultAttributes_default, [["path", {
  d: "M4 22h14a2 2 0 002-2V7.5L14.5 2H6a2 2 0 00-2 2v4"
}], ["path", {
  d: "M14 2v6h6"
}], ["path", {
  d: "M3 12.5l5 5"
}], ["path", {
  d: "M8 12.5l-5 5"
}]]];
var file_x_2_default = FileX2;

// node_modules/lucide/dist/esm/icons/file-x.js
var FileX = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}], ["line", {
  x1: "9.5",
  y1: "12.5",
  x2: "14.5",
  y2: "17.5"
}], ["line", {
  x1: "14.5",
  y1: "12.5",
  x2: "9.5",
  y2: "17.5"
}]]];
var file_x_default = FileX;

// node_modules/lucide/dist/esm/icons/file.js
var File = ["svg", defaultAttributes_default, [["path", {
  d: "M14.5 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V7.5L14.5 2z"
}], ["polyline", {
  points: "14 2 14 8 20 8"
}]]];
var file_default = File;

// node_modules/lucide/dist/esm/icons/files.js
var Files = ["svg", defaultAttributes_default, [["path", {
  d: "M15.5 2H8.6c-.4 0-.8.2-1.1.5-.3.3-.5.7-.5 1.1v12.8c0 .4.2.8.5 1.1.3.3.7.5 1.1.5h9.8c.4 0 .8-.2 1.1-.5.3-.3.5-.7.5-1.1V6.5L15.5 2z"
}], ["path", {
  d: "M3 7.6v12.8c0 .4.2.8.5 1.1.3.3.7.5 1.1.5h9.8"
}], ["path", {
  d: "M15 2v5h5"
}]]];
var files_default = Files;

// node_modules/lucide/dist/esm/icons/film.js
var Film = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "2",
  width: "20",
  height: "20",
  rx: "2.18",
  ry: "2.18"
}], ["line", {
  x1: "7",
  y1: "2",
  x2: "7",
  y2: "22"
}], ["line", {
  x1: "17",
  y1: "2",
  x2: "17",
  y2: "22"
}], ["line", {
  x1: "2",
  y1: "12",
  x2: "22",
  y2: "12"
}], ["line", {
  x1: "2",
  y1: "7",
  x2: "7",
  y2: "7"
}], ["line", {
  x1: "2",
  y1: "17",
  x2: "7",
  y2: "17"
}], ["line", {
  x1: "17",
  y1: "17",
  x2: "22",
  y2: "17"
}], ["line", {
  x1: "17",
  y1: "7",
  x2: "22",
  y2: "7"
}]]];
var film_default = Film;

// node_modules/lucide/dist/esm/icons/filter.js
var Filter = ["svg", defaultAttributes_default, [["polygon", {
  points: "22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"
}]]];
var filter_default = Filter;

// node_modules/lucide/dist/esm/icons/flag-triangle-left.js
var FlagTriangleLeft = ["svg", defaultAttributes_default, [["path", {
  d: "M17 22V2L7 7l10 5"
}]]];
var flag_triangle_left_default = FlagTriangleLeft;

// node_modules/lucide/dist/esm/icons/flag-triangle-right.js
var FlagTriangleRight = ["svg", defaultAttributes_default, [["path", {
  d: "M7 22V2l10 5-10 5"
}]]];
var flag_triangle_right_default = FlagTriangleRight;

// node_modules/lucide/dist/esm/icons/flag.js
var Flag = ["svg", defaultAttributes_default, [["path", {
  d: "M4 15s1-1 4-1 5 2 8 2 4-1 4-1V3s-1 1-4 1-5-2-8-2-4 1-4 1z"
}], ["line", {
  x1: "4",
  y1: "22",
  x2: "4",
  y2: "15"
}]]];
var flag_default = Flag;

// node_modules/lucide/dist/esm/icons/flame.js
var Flame = ["svg", defaultAttributes_default, [["path", {
  d: "M8.5 14.5A2.5 2.5 0 0011 12c0-1.38-.5-2-1-3-1.072-2.143-.224-4.054 2-6 .5 2.5 2 4.9 4 6.5 2 1.6 3 3.5 3 5.5a7 7 0 11-14 0c0-1.153.433-2.294 1-3a2.5 2.5 0 002.5 2.5z"
}]]];
var flame_default = Flame;

// node_modules/lucide/dist/esm/icons/flashlight-off.js
var FlashlightOff = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16v4a2 2 0 01-2 2h-4a2 2 0 01-2-2V10c0-2-2-2-2-4"
}], ["path", {
  d: "M7 2h11v4c0 2-2 2-2 4v1"
}], ["line", {
  x1: "11",
  y1: "6",
  x2: "18",
  y2: "6"
}], ["line", {
  x1: "2",
  y1: "2",
  x2: "22",
  y2: "22"
}]]];
var flashlight_off_default = FlashlightOff;

// node_modules/lucide/dist/esm/icons/flashlight.js
var Flashlight = ["svg", defaultAttributes_default, [["path", {
  d: "M18 6c0 2-2 2-2 4v10a2 2 0 01-2 2h-4a2 2 0 01-2-2V10c0-2-2-2-2-4V2h12z"
}], ["line", {
  x1: "6",
  y1: "6",
  x2: "18",
  y2: "6"
}], ["line", {
  x1: "12",
  y1: "12",
  x2: "12",
  y2: "12"
}]]];
var flashlight_default = Flashlight;

// node_modules/lucide/dist/esm/icons/flask-conical.js
var FlaskConical = ["svg", defaultAttributes_default, [["path", {
  d: "M10 2v8L4.72 20.55a1 1 0 00.9 1.45h12.76a1 1 0 00.9-1.45L14 10V2"
}], ["path", {
  d: "M8.5 2h7"
}], ["path", {
  d: "M7 16h10"
}]]];
var flask_conical_default = FlaskConical;

// node_modules/lucide/dist/esm/icons/flask-round.js
var FlaskRound = ["svg", defaultAttributes_default, [["path", {
  d: "M10 2v7.31"
}], ["path", {
  d: "M14 9.3V1.99"
}], ["path", {
  d: "M8.5 2h7"
}], ["path", {
  d: "M14 9.3a6.5 6.5 0 11-4 0"
}], ["path", {
  d: "M5.58 16.5h12.85"
}]]];
var flask_round_default = FlaskRound;

// node_modules/lucide/dist/esm/icons/folder-minus.js
var FolderMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M22 19a2 2 0 01-2 2H4a2 2 0 01-2-2V5a2 2 0 012-2h5l2 3h9a2 2 0 012 2z"
}], ["line", {
  x1: "9",
  y1: "14",
  x2: "15",
  y2: "14"
}]]];
var folder_minus_default = FolderMinus;

// node_modules/lucide/dist/esm/icons/folder-open.js
var FolderOpen = ["svg", defaultAttributes_default, [["path", {
  d: "M6 17l2-5h14l-3 8a2 2 0 01-2 1H4a2 2 0 01-2-2V5a2 2 0 012-2h5l2 3h7a2 2 0 012 2v4"
}]]];
var folder_open_default = FolderOpen;

// node_modules/lucide/dist/esm/icons/folder-plus.js
var FolderPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M22 19a2 2 0 01-2 2H4a2 2 0 01-2-2V5a2 2 0 012-2h5l2 3h9a2 2 0 012 2z"
}], ["line", {
  x1: "12",
  y1: "11",
  x2: "12",
  y2: "17"
}], ["line", {
  x1: "9",
  y1: "14",
  x2: "15",
  y2: "14"
}]]];
var folder_plus_default = FolderPlus;

// node_modules/lucide/dist/esm/icons/folder.js
var Folder = ["svg", defaultAttributes_default, [["path", {
  d: "M22 19a2 2 0 01-2 2H4a2 2 0 01-2-2V5a2 2 0 012-2h5l2 3h9a2 2 0 012 2z"
}]]];
var folder_default = Folder;

// node_modules/lucide/dist/esm/icons/form-input.js
var FormInput = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "6",
  width: "20",
  height: "12",
  rx: "2"
}], ["path", {
  d: "M12 12h.01"
}], ["path", {
  d: "M17 12h.01"
}], ["path", {
  d: "M7 12h.01"
}]]];
var form_input_default = FormInput;

// node_modules/lucide/dist/esm/icons/forward.js
var Forward = ["svg", defaultAttributes_default, [["polyline", {
  points: "15 17 20 12 15 7"
}], ["path", {
  d: "M4 18v-2a4 4 0 014-4h12"
}]]];
var forward_default = Forward;

// node_modules/lucide/dist/esm/icons/framer.js
var Framer = ["svg", defaultAttributes_default, [["path", {
  d: "M5 16V9h14V2H5l14 14h-7m-7 0l7 7v-7m-7 0h7"
}]]];
var framer_default = Framer;

// node_modules/lucide/dist/esm/icons/frown.js
var Frown = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M16 16s-1.5-2-4-2-4 2-4 2"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "9.01",
  y2: "9"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "15.01",
  y2: "9"
}]]];
var frown_default = Frown;

// node_modules/lucide/dist/esm/icons/function-square.js
var FunctionSquare = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M9 17c2 0 2.8-1 2.8-2.8V10c0-2 1-3.3 3.2-3"
}], ["path", {
  d: "M9 11.2h5.7"
}]]];
var function_square_default = FunctionSquare;

// node_modules/lucide/dist/esm/icons/gamepad-2.js
var Gamepad2 = ["svg", defaultAttributes_default, [["line", {
  x1: "6",
  y1: "11",
  x2: "10",
  y2: "11"
}], ["line", {
  x1: "8",
  y1: "9",
  x2: "8",
  y2: "13"
}], ["line", {
  x1: "15",
  y1: "12",
  x2: "15.01",
  y2: "12"
}], ["line", {
  x1: "18",
  y1: "10",
  x2: "18.01",
  y2: "10"
}], ["path", {
  d: "M17.32 5H6.68a4 4 0 00-3.978 3.59c-.006.052-.01.101-.017.152C2.604 9.416 2 14.456 2 16a3 3 0 003 3c1 0 1.5-.5 2-1l1.414-1.414A2 2 0 019.828 16h4.344a2 2 0 011.414.586L17 18c.5.5 1 1 2 1a3 3 0 003-3c0-1.545-.604-6.584-.685-7.258-.007-.05-.011-.1-.017-.151A4 4 0 0017.32 5z"
}]]];
var gamepad_2_default = Gamepad2;

// node_modules/lucide/dist/esm/icons/gamepad.js
var Gamepad = ["svg", defaultAttributes_default, [["line", {
  x1: "6",
  y1: "12",
  x2: "10",
  y2: "12"
}], ["line", {
  x1: "8",
  y1: "10",
  x2: "8",
  y2: "14"
}], ["line", {
  x1: "15",
  y1: "13",
  x2: "15.01",
  y2: "13"
}], ["line", {
  x1: "18",
  y1: "11",
  x2: "18.01",
  y2: "11"
}], ["rect", {
  x: "2",
  y: "6",
  width: "20",
  height: "12",
  rx: "2"
}]]];
var gamepad_default = Gamepad;

// node_modules/lucide/dist/esm/icons/gauge.js
var Gauge = ["svg", defaultAttributes_default, [["path", {
  d: "M12 15l3.5-3.5"
}], ["path", {
  d: "M20.3 18c.4-1 .7-2.2.7-3.4C21 9.8 17 6 12 6s-9 3.8-9 8.6c0 1.2.3 2.4.7 3.4"
}]]];
var gauge_default = Gauge;

// node_modules/lucide/dist/esm/icons/gavel.js
var Gavel = ["svg", defaultAttributes_default, [["path", {
  d: "M14 13l-7.5 7.5c-.83.83-2.17.83-3 0 0 0 0 0 0 0a2.12 2.12 0 010-3L11 10"
}], ["path", {
  d: "M16 16l6-6"
}], ["path", {
  d: "M8 8l6-6"
}], ["path", {
  d: "M9 7l8 8"
}], ["path", {
  d: "M21 11l-8-8"
}]]];
var gavel_default = Gavel;

// node_modules/lucide/dist/esm/icons/gem.js
var Gem = ["svg", defaultAttributes_default, [["polygon", {
  points: "6 3 18 3 22 9 12 22 2 9"
}], ["path", {
  d: "M12 22l4-13-3-6"
}], ["path", {
  d: "M12 22L8 9l3-6"
}], ["path", {
  d: "M2 9h20"
}]]];
var gem_default = Gem;

// node_modules/lucide/dist/esm/icons/ghost.js
var Ghost = ["svg", defaultAttributes_default, [["path", {
  d: "M9 10h.01"
}], ["path", {
  d: "M15 10h.01"
}], ["path", {
  d: "M12 2a8 8 0 00-8 8v12l3-3 2.5 2.5L12 19l2.5 2.5L17 19l3 3V10a8 8 0 00-8-8z"
}]]];
var ghost_default = Ghost;

// node_modules/lucide/dist/esm/icons/gift.js
var Gift = ["svg", defaultAttributes_default, [["polyline", {
  points: "20 12 20 22 4 22 4 12"
}], ["rect", {
  x: "2",
  y: "7",
  width: "20",
  height: "5"
}], ["line", {
  x1: "12",
  y1: "22",
  x2: "12",
  y2: "7"
}], ["path", {
  d: "M12 7H7.5a2.5 2.5 0 010-5C11 2 12 7 12 7z"
}], ["path", {
  d: "M12 7h4.5a2.5 2.5 0 000-5C13 2 12 7 12 7z"
}]]];
var gift_default = Gift;

// node_modules/lucide/dist/esm/icons/git-branch-plus.js
var GitBranchPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M6 3v12"
}], ["path", {
  d: "M18 9a3 3 0 100-6 3 3 0 000 6z"
}], ["path", {
  d: "M6 21a3 3 0 100-6 3 3 0 000 6z"
}], ["path", {
  d: "M15 6a9 9 0 00-9 9"
}], ["path", {
  d: "M18 15v6"
}], ["path", {
  d: "M21 18h-6"
}]]];
var git_branch_plus_default = GitBranchPlus;

// node_modules/lucide/dist/esm/icons/git-branch.js
var GitBranch = ["svg", defaultAttributes_default, [["line", {
  x1: "6",
  y1: "3",
  x2: "6",
  y2: "15"
}], ["circle", {
  cx: "18",
  cy: "6",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "18",
  r: "3"
}], ["path", {
  d: "M18 9a9 9 0 01-9 9"
}]]];
var git_branch_default = GitBranch;

// node_modules/lucide/dist/esm/icons/git-commit.js
var GitCommit = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}], ["line", {
  x1: "3",
  y1: "12",
  x2: "9",
  y2: "12"
}], ["line", {
  x1: "15",
  y1: "12",
  x2: "21",
  y2: "12"
}]]];
var git_commit_default = GitCommit;

// node_modules/lucide/dist/esm/icons/git-fork.js
var GitFork = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "18",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "6",
  r: "3"
}], ["circle", {
  cx: "18",
  cy: "6",
  r: "3"
}], ["path", {
  d: "M18 9v1a2 2 0 01-2 2H8a2 2 0 01-2-2V9"
}], ["path", {
  d: "M12 12v3"
}]]];
var git_fork_default = GitFork;

// node_modules/lucide/dist/esm/icons/git-merge.js
var GitMerge = ["svg", defaultAttributes_default, [["circle", {
  cx: "18",
  cy: "18",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "6",
  r: "3"
}], ["path", {
  d: "M6 21V9a9 9 0 009 9"
}]]];
var git_merge_default = GitMerge;

// node_modules/lucide/dist/esm/icons/git-pull-request.js
var GitPullRequest = ["svg", defaultAttributes_default, [["circle", {
  cx: "18",
  cy: "18",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "6",
  r: "3"
}], ["path", {
  d: "M13 6h3a2 2 0 012 2v7"
}], ["line", {
  x1: "6",
  y1: "9",
  x2: "6",
  y2: "21"
}]]];
var git_pull_request_default = GitPullRequest;

// node_modules/lucide/dist/esm/icons/github.js
var Github = ["svg", defaultAttributes_default, [["path", {
  d: "M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 00-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0020 4.77 5.07 5.07 0 0019.91 1S18.73.65 16 2.48a13.38 13.38 0 00-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 005 4.77a5.44 5.44 0 00-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 009 18.13V22"
}]]];
var github_default = Github;

// node_modules/lucide/dist/esm/icons/gitlab.js
var Gitlab = ["svg", defaultAttributes_default, [["path", {
  d: "M22.65 14.39L12 22.13 1.35 14.39a.84.84 0 01-.3-.94l1.22-3.78 2.44-7.51A.42.42 0 014.82 2a.43.43 0 01.58 0 .42.42 0 01.11.18l2.44 7.49h8.1l2.44-7.51A.42.42 0 0118.6 2a.43.43 0 01.58 0 .42.42 0 01.11.18l2.44 7.51L23 13.45a.84.84 0 01-.35.94z"
}]]];
var gitlab_default = Gitlab;

// node_modules/lucide/dist/esm/icons/glasses.js
var Glasses = ["svg", defaultAttributes_default, [["circle", {
  cx: "6",
  cy: "15",
  r: "4"
}], ["circle", {
  cx: "18",
  cy: "15",
  r: "4"
}], ["path", {
  d: "M14 15a2 2 0 00-2-2 2 2 0 00-2 2"
}], ["path", {
  d: "M2.5 13L5 7c.7-1.3 1.4-2 3-2"
}], ["path", {
  d: "M21.5 13L19 7c-.7-1.3-1.5-2-3-2"
}]]];
var glasses_default = Glasses;

// node_modules/lucide/dist/esm/icons/globe-2.js
var Globe2 = ["svg", defaultAttributes_default, [["path", {
  d: "M15 21v-4a2 2 0 012-2h4"
}], ["path", {
  d: "M7 4v2a3 3 0 003 2h0a2 2 0 012 2 2 2 0 004 0 2 2 0 012-2h3"
}], ["path", {
  d: "M3 11h2a2 2 0 012 2v1a2 2 0 002 2 2 2 0 012 2v4"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}]]];
var globe_2_default = Globe2;

// node_modules/lucide/dist/esm/icons/globe.js
var Globe = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "2",
  y1: "12",
  x2: "22",
  y2: "12"
}], ["path", {
  d: "M12 2a15.3 15.3 0 014 10 15.3 15.3 0 01-4 10 15.3 15.3 0 01-4-10 15.3 15.3 0 014-10z"
}]]];
var globe_default = Globe;

// node_modules/lucide/dist/esm/icons/grab.js
var Grab = ["svg", defaultAttributes_default, [["path", {
  d: "M18 11.5V9a2 2 0 00-2-2v0a2 2 0 00-2 2v1.4"
}], ["path", {
  d: "M14 10V8a2 2 0 00-2-2v0a2 2 0 00-2 2v2"
}], ["path", {
  d: "M10 9.9V9a2 2 0 00-2-2v0a2 2 0 00-2 2v5"
}], ["path", {
  d: "M6 14v0a2 2 0 00-2-2v0a2 2 0 00-2 2v0"
}], ["path", {
  d: "M18 11v0a2 2 0 114 0v3a8 8 0 01-8 8h-4a8 8 0 01-8-8 2 2 0 114 0"
}]]];
var grab_default = Grab;

// node_modules/lucide/dist/esm/icons/graduation-cap.js
var GraduationCap = ["svg", defaultAttributes_default, [["path", {
  d: "M22 10v6M2 10l10-5 10 5-10 5z"
}], ["path", {
  d: "M6 12v5c3 3 9 3 12 0v-5"
}]]];
var graduation_cap_default = GraduationCap;

// node_modules/lucide/dist/esm/icons/grid.js
var Grid = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "3",
  y1: "9",
  x2: "21",
  y2: "9"
}], ["line", {
  x1: "3",
  y1: "15",
  x2: "21",
  y2: "15"
}], ["line", {
  x1: "9",
  y1: "3",
  x2: "9",
  y2: "21"
}], ["line", {
  x1: "15",
  y1: "3",
  x2: "15",
  y2: "21"
}]]];
var grid_default = Grid;

// node_modules/lucide/dist/esm/icons/grip-horizontal.js
var GripHorizontal = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "9",
  r: "1"
}], ["circle", {
  cx: "19",
  cy: "9",
  r: "1"
}], ["circle", {
  cx: "5",
  cy: "9",
  r: "1"
}], ["circle", {
  cx: "12",
  cy: "15",
  r: "1"
}], ["circle", {
  cx: "19",
  cy: "15",
  r: "1"
}], ["circle", {
  cx: "5",
  cy: "15",
  r: "1"
}]]];
var grip_horizontal_default = GripHorizontal;

// node_modules/lucide/dist/esm/icons/grip-vertical.js
var GripVertical = ["svg", defaultAttributes_default, [["circle", {
  cx: "9",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "9",
  cy: "5",
  r: "1"
}], ["circle", {
  cx: "9",
  cy: "19",
  r: "1"
}], ["circle", {
  cx: "15",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "15",
  cy: "5",
  r: "1"
}], ["circle", {
  cx: "15",
  cy: "19",
  r: "1"
}]]];
var grip_vertical_default = GripVertical;

// node_modules/lucide/dist/esm/icons/hammer.js
var Hammer = ["svg", defaultAttributes_default, [["path", {
  d: "M15 12l-8.5 8.5c-.83.83-2.17.83-3 0 0 0 0 0 0 0a2.12 2.12 0 010-3L12 9"
}], ["path", {
  d: "M17.64 15L22 10.64"
}], ["path", {
  d: "M20.91 11.7l-1.25-1.25c-.6-.6-.93-1.4-.93-2.25v-.86L16.01 4.6a5.56 5.56 0 00-3.94-1.64H9l.92.82A6.18 6.18 0 0112 8.4v1.56l2 2h2.47l2.26 1.91"
}]]];
var hammer_default = Hammer;

// node_modules/lucide/dist/esm/icons/hand-metal.js
var HandMetal = ["svg", defaultAttributes_default, [["path", {
  d: "M18 12.5V10a2 2 0 00-2-2v0a2 2 0 00-2 2v1.4"
}], ["path", {
  d: "M14 11V9a2 2 0 10-4 0v2"
}], ["path", {
  d: "M10 10.5V5a2 2 0 10-4 0v9"
}], ["path", {
  d: "M7 15l-1.76-1.76a2 2 0 00-2.83 2.82l3.6 3.6C7.5 21.14 9.2 22 12 22h2a8 8 0 008-8V7a2 2 0 10-4 0v5"
}]]];
var hand_metal_default = HandMetal;

// node_modules/lucide/dist/esm/icons/hand.js
var Hand = ["svg", defaultAttributes_default, [["path", {
  d: "M18 11V6a2 2 0 00-2-2v0a2 2 0 00-2 2v0"
}], ["path", {
  d: "M14 10V4a2 2 0 00-2-2v0a2 2 0 00-2 2v2"
}], ["path", {
  d: "M10 10.5V6a2 2 0 00-2-2v0a2 2 0 00-2 2v8"
}], ["path", {
  d: "M18 8a2 2 0 114 0v6a8 8 0 01-8 8h-2c-2.8 0-4.5-.86-5.99-2.34l-3.6-3.6a2 2 0 012.83-2.82L7 15"
}]]];
var hand_default = Hand;

// node_modules/lucide/dist/esm/icons/hard-drive.js
var HardDrive = ["svg", defaultAttributes_default, [["line", {
  x1: "22",
  y1: "12",
  x2: "2",
  y2: "12"
}], ["path", {
  d: "M5.45 5.11L2 12v6a2 2 0 002 2h16a2 2 0 002-2v-6l-3.45-6.89A2 2 0 0016.76 4H7.24a2 2 0 00-1.79 1.11z"
}], ["line", {
  x1: "6",
  y1: "16",
  x2: "6.01",
  y2: "16"
}], ["line", {
  x1: "10",
  y1: "16",
  x2: "10.01",
  y2: "16"
}]]];
var hard_drive_default = HardDrive;

// node_modules/lucide/dist/esm/icons/hard-hat.js
var HardHat = ["svg", defaultAttributes_default, [["path", {
  d: "M2 18a1 1 0 001 1h18a1 1 0 001-1v-2a1 1 0 00-1-1H3a1 1 0 00-1 1v2z"
}], ["path", {
  d: "M10 10V5a1 1 0 011-1h2a1 1 0 011 1v5"
}], ["path", {
  d: "M4 15v-3a6 6 0 016-6h0"
}], ["path", {
  d: "M14 6h0a6 6 0 016 6v3"
}]]];
var hard_hat_default = HardHat;

// node_modules/lucide/dist/esm/icons/hash.js
var Hash = ["svg", defaultAttributes_default, [["line", {
  x1: "4",
  y1: "9",
  x2: "20",
  y2: "9"
}], ["line", {
  x1: "4",
  y1: "15",
  x2: "20",
  y2: "15"
}], ["line", {
  x1: "10",
  y1: "3",
  x2: "8",
  y2: "21"
}], ["line", {
  x1: "16",
  y1: "3",
  x2: "14",
  y2: "21"
}]]];
var hash_default = Hash;

// node_modules/lucide/dist/esm/icons/haze.js
var Haze = ["svg", defaultAttributes_default, [["path", {
  d: "M5.2 6.2l1.4 1.4"
}], ["path", {
  d: "M2 13h2"
}], ["path", {
  d: "M20 13h2"
}], ["path", {
  d: "M17.4 7.6l1.4-1.4"
}], ["path", {
  d: "M22 17H2"
}], ["path", {
  d: "M22 21H2"
}], ["path", {
  d: "M16 13a4 4 0 00-8 0"
}], ["path", {
  d: "M12 5V2.5"
}]]];
var haze_default = Haze;

// node_modules/lucide/dist/esm/icons/headphones.js
var Headphones = ["svg", defaultAttributes_default, [["path", {
  d: "M3 18v-6a9 9 0 0118 0v6"
}], ["path", {
  d: "M21 19a2 2 0 01-2 2h-1a2 2 0 01-2-2v-3a2 2 0 012-2h3zM3 19a2 2 0 002 2h1a2 2 0 002-2v-3a2 2 0 00-2-2H3z"
}]]];
var headphones_default = Headphones;

// node_modules/lucide/dist/esm/icons/heart.js
var Heart = ["svg", defaultAttributes_default, [["path", {
  d: "M20.42 4.58a5.4 5.4 0 00-7.65 0l-.77.78-.77-.78a5.4 5.4 0 00-7.65 0C1.46 6.7 1.33 10.28 4 13l8 8 8-8c2.67-2.72 2.54-6.3.42-8.42z"
}]]];
var heart_default = Heart;

// node_modules/lucide/dist/esm/icons/help-circle.js
var HelpCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M9.09 9a3 3 0 015.83 1c0 2-3 3-3 3"
}], ["line", {
  x1: "12",
  y1: "17",
  x2: "12.01",
  y2: "17"
}]]];
var help_circle_default = HelpCircle;

// node_modules/lucide/dist/esm/icons/hexagon.js
var Hexagon = ["svg", defaultAttributes_default, [["path", {
  d: "M21 16V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l7-4A2 2 0 0021 16z"
}]]];
var hexagon_default = Hexagon;

// node_modules/lucide/dist/esm/icons/highlighter.js
var Highlighter = ["svg", defaultAttributes_default, [["path", {
  d: "M9 11l-6 6v3h9l3-3"
}], ["path", {
  d: "M22 12l-4.6 4.6a2 2 0 01-2.8 0l-5.2-5.2a2 2 0 010-2.8L14 4"
}]]];
var highlighter_default = Highlighter;

// node_modules/lucide/dist/esm/icons/history.js
var History = ["svg", defaultAttributes_default, [["path", {
  d: "M3 3v5h5"
}], ["path", {
  d: "M3.05 13A9 9 0 106 5.3L3 8"
}], ["path", {
  d: "M12 7v5l4 2"
}]]];
var history_default = History;

// node_modules/lucide/dist/esm/icons/home.js
var Home = ["svg", defaultAttributes_default, [["path", {
  d: "M3 9l9-7 9 7v11a2 2 0 01-2 2H5a2 2 0 01-2-2z"
}], ["polyline", {
  points: "9 22 9 12 15 12 15 22"
}]]];
var home_default = Home;

// node_modules/lucide/dist/esm/icons/image-minus.js
var ImageMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M21 11v8a2 2 0 01-2 2H5a2 2 0 01-2-2V5a2 2 0 012-2h8"
}], ["path", {
  d: "M8.5 10a1.5 1.5 0 100-3 1.5 1.5 0 000 3z"
}], ["path", {
  d: "M21 15l-5-5L5 21"
}], ["path", {
  d: "M22 5h-6"
}]]];
var image_minus_default = ImageMinus;

// node_modules/lucide/dist/esm/icons/image-off.js
var ImageOff = ["svg", defaultAttributes_default, [["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M9 3h10a2 2 0 012 2v10M3.59 3.59A2 2 0 003 5v14c0 1.1.9 2 2 2h14a2 2 0 001.41-.59"
}], ["path", {
  d: "M9.56 9.56a1.5 1.5 0 01-2.12-2.12"
}], ["path", {
  d: "M21 15l-5-5M5 21l8-8"
}]]];
var image_off_default = ImageOff;

// node_modules/lucide/dist/esm/icons/image-plus.js
var ImagePlus = ["svg", defaultAttributes_default, [["path", {
  d: "M21 11v8a2 2 0 01-2 2H5a2 2 0 01-2-2V5a2 2 0 012-2h8"
}], ["path", {
  d: "M8.5 10a1.5 1.5 0 100-3 1.5 1.5 0 000 3z"
}], ["path", {
  d: "M21 15l-5-5L5 21"
}], ["path", {
  d: "M19 2v6"
}], ["path", {
  d: "M22 5h-6"
}]]];
var image_plus_default = ImagePlus;

// node_modules/lucide/dist/esm/icons/image.js
var Image = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["circle", {
  cx: "8.5",
  cy: "8.5",
  r: "1.5"
}], ["polyline", {
  points: "21 15 16 10 5 21"
}]]];
var image_default = Image;

// node_modules/lucide/dist/esm/icons/import.js
var Import = ["svg", defaultAttributes_default, [["path", {
  d: "M12 3v12"
}], ["path", {
  d: "M8 11l4 4 4-4"
}], ["path", {
  d: "M8 5H4a2 2 0 00-2 2v10a2 2 0 002 2h16a2 2 0 002-2V7a2 2 0 00-2-2h-4"
}]]];
var import_default = Import;

// node_modules/lucide/dist/esm/icons/inbox.js
var Inbox = ["svg", defaultAttributes_default, [["polyline", {
  points: "22 12 16 12 14 15 10 15 8 12 2 12"
}], ["path", {
  d: "M5.45 5.11L2 12v6a2 2 0 002 2h16a2 2 0 002-2v-6l-3.45-6.89A2 2 0 0016.76 4H7.24a2 2 0 00-1.79 1.11z"
}]]];
var inbox_default = Inbox;

// node_modules/lucide/dist/esm/icons/indent.js
var Indent = ["svg", defaultAttributes_default, [["polyline", {
  points: "3 8 7 12 3 16"
}], ["line", {
  x1: "21",
  y1: "12",
  x2: "11",
  y2: "12"
}], ["line", {
  x1: "21",
  y1: "6",
  x2: "11",
  y2: "6"
}], ["line", {
  x1: "21",
  y1: "18",
  x2: "11",
  y2: "18"
}]]];
var indent_default = Indent;

// node_modules/lucide/dist/esm/icons/indian-rupee.js
var IndianRupee = ["svg", defaultAttributes_default, [["path", {
  d: "M6 3h12"
}], ["path", {
  d: "M6 8h12"
}], ["path", {
  d: "M6 13l8.5 8"
}], ["path", {
  d: "M6 13h3"
}], ["path", {
  d: "M9 13c6.667 0 6.667-10 0-10"
}]]];
var indian_rupee_default = IndianRupee;

// node_modules/lucide/dist/esm/icons/infinity.js
var Infinity = ["svg", defaultAttributes_default, [["path", {
  d: "M18.178 8c5.096 0 5.096 8 0 8-5.095 0-7.133-8-12.739-8-4.585 0-4.585 8 0 8 5.606 0 7.644-8 12.74-8z"
}]]];
var infinity_default = Infinity;

// node_modules/lucide/dist/esm/icons/info.js
var Info = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "12",
  y1: "16",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12.01",
  y2: "8"
}]]];
var info_default = Info;

// node_modules/lucide/dist/esm/icons/inspect.js
var Inspect = ["svg", defaultAttributes_default, [["path", {
  d: "M19 11V4a2 2 0 00-2-2H4a2 2 0 00-2 2v13a2 2 0 002 2h7"
}], ["path", {
  d: "M12 12l4.166 10 1.48-4.355L22 16.166 12 12z"
}], ["path", {
  d: "M18 18l3 3"
}]]];
var inspect_default = Inspect;

// node_modules/lucide/dist/esm/icons/instagram.js
var Instagram = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "2",
  width: "20",
  height: "20",
  rx: "5",
  ry: "5"
}], ["path", {
  d: "M16 11.37A4 4 0 1112.63 8 4 4 0 0116 11.37z"
}], ["line", {
  x1: "17.5",
  y1: "6.5",
  x2: "17.51",
  y2: "6.5"
}]]];
var instagram_default = Instagram;

// node_modules/lucide/dist/esm/icons/italic.js
var Italic = ["svg", defaultAttributes_default, [["line", {
  x1: "19",
  y1: "4",
  x2: "10",
  y2: "4"
}], ["line", {
  x1: "14",
  y1: "20",
  x2: "5",
  y2: "20"
}], ["line", {
  x1: "15",
  y1: "4",
  x2: "9",
  y2: "20"
}]]];
var italic_default = Italic;

// node_modules/lucide/dist/esm/icons/japanese-yen.js
var JapaneseYen = ["svg", defaultAttributes_default, [["path", {
  d: "M12 9.5V21m0-11.5L6 3m6 6.5L18 3"
}], ["path", {
  d: "M6 15h12"
}], ["path", {
  d: "M6 11h12"
}]]];
var japanese_yen_default = JapaneseYen;

// node_modules/lucide/dist/esm/icons/key.js
var Key = ["svg", defaultAttributes_default, [["path", {
  d: "M21 2l-2 2m-7.61 7.61a5.5 5.5 0 11-7.778 7.778 5.5 5.5 0 017.777-7.777zm0 0L15.5 7.5m0 0l3 3L22 7l-3-3m-3.5 3.5L19 4"
}]]];
var key_default = Key;

// node_modules/lucide/dist/esm/icons/keyboard.js
var Keyboard = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "4",
  width: "20",
  height: "16",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M6 8h.001"
}], ["path", {
  d: "M10 8h.001"
}], ["path", {
  d: "M14 8h.001"
}], ["path", {
  d: "M18 8h.001"
}], ["path", {
  d: "M8 12h.001"
}], ["path", {
  d: "M12 12h.001"
}], ["path", {
  d: "M16 12h.001"
}], ["path", {
  d: "M7 16h10"
}]]];
var keyboard_default = Keyboard;

// node_modules/lucide/dist/esm/icons/landmark.js
var Landmark = ["svg", defaultAttributes_default, [["line", {
  x1: "3",
  y1: "22",
  x2: "21",
  y2: "22"
}], ["line", {
  x1: "6",
  y1: "18",
  x2: "6",
  y2: "11"
}], ["line", {
  x1: "10",
  y1: "18",
  x2: "10",
  y2: "11"
}], ["line", {
  x1: "14",
  y1: "18",
  x2: "14",
  y2: "11"
}], ["line", {
  x1: "18",
  y1: "18",
  x2: "18",
  y2: "11"
}], ["polygon", {
  points: "12 2 20 7 4 7"
}]]];
var landmark_default = Landmark;

// node_modules/lucide/dist/esm/icons/languages.js
var Languages = ["svg", defaultAttributes_default, [["path", {
  d: "M5 8l6 6"
}], ["path", {
  d: "M4 14l6-6 2-3"
}], ["path", {
  d: "M2 5h12"
}], ["path", {
  d: "M7 2h1"
}], ["path", {
  d: "M22 22l-5-10-5 10"
}], ["path", {
  d: "M14 18h6"
}]]];
var languages_default = Languages;

// node_modules/lucide/dist/esm/icons/laptop-2.js
var Laptop2 = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "4",
  width: "18",
  height: "12",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "2",
  y1: "20",
  x2: "22",
  y2: "20"
}]]];
var laptop_2_default = Laptop2;

// node_modules/lucide/dist/esm/icons/laptop.js
var Laptop = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16V7a2 2 0 00-2-2H6a2 2 0 00-2 2v9m16 0H4m16 0l1.28 2.55a1 1 0 01-.9 1.45H3.62a1 1 0 01-.9-1.45L4 16"
}]]];
var laptop_default = Laptop;

// node_modules/lucide/dist/esm/icons/lasso-select.js
var LassoSelect = ["svg", defaultAttributes_default, [["path", {
  d: "M7 22a5 5 0 01-2-4"
}], ["path", {
  d: "M7 16.93c.96.43 1.96.74 2.99.91"
}], ["path", {
  d: "M3.34 14A6.8 6.8 0 012 10c0-4.42 4.48-8 10-8s10 3.58 10 8a7.19 7.19 0 01-.33 2"
}], ["path", {
  d: "M5 18a2 2 0 100-4 2 2 0 000 4z"
}], ["path", {
  d: "M14.33 22h-.09a.35.35 0 01-.24-.32v-10a.34.34 0 01.33-.34c.08 0 .15.03.21.08l7.34 6a.33.33 0 01-.21.59h-4.49l-2.57 3.85a.35.35 0 01-.28.14v0z"
}]]];
var lasso_select_default = LassoSelect;

// node_modules/lucide/dist/esm/icons/lasso.js
var Lasso = ["svg", defaultAttributes_default, [["path", {
  d: "M7 22a5 5 0 01-2-4"
}], ["path", {
  d: "M3.3 14A6.8 6.8 0 012 10c0-4.4 4.5-8 10-8s10 3.6 10 8-4.5 8-10 8a12 12 0 01-5-1"
}], ["path", {
  d: "M5 18a2 2 0 100-4 2 2 0 000 4z"
}]]];
var lasso_default = Lasso;

// node_modules/lucide/dist/esm/icons/layers.js
var Layers = ["svg", defaultAttributes_default, [["polygon", {
  points: "12 2 2 7 12 12 22 7 12 2"
}], ["polyline", {
  points: "2 17 12 22 22 17"
}], ["polyline", {
  points: "2 12 12 17 22 12"
}]]];
var layers_default = Layers;

// node_modules/lucide/dist/esm/icons/layout-dashboard.js
var LayoutDashboard = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "7",
  height: "9"
}], ["rect", {
  x: "14",
  y: "3",
  width: "7",
  height: "5"
}], ["rect", {
  x: "14",
  y: "12",
  width: "7",
  height: "9"
}], ["rect", {
  x: "3",
  y: "16",
  width: "7",
  height: "5"
}]]];
var layout_dashboard_default = LayoutDashboard;

// node_modules/lucide/dist/esm/icons/layout-grid.js
var LayoutGrid = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "7",
  height: "7"
}], ["rect", {
  x: "14",
  y: "3",
  width: "7",
  height: "7"
}], ["rect", {
  x: "14",
  y: "14",
  width: "7",
  height: "7"
}], ["rect", {
  x: "3",
  y: "14",
  width: "7",
  height: "7"
}]]];
var layout_grid_default = LayoutGrid;

// node_modules/lucide/dist/esm/icons/layout-list.js
var LayoutList = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "14",
  width: "7",
  height: "7"
}], ["rect", {
  x: "3",
  y: "3",
  width: "7",
  height: "7"
}], ["line", {
  x1: "14",
  y1: "4",
  x2: "21",
  y2: "4"
}], ["line", {
  x1: "14",
  y1: "9",
  x2: "21",
  y2: "9"
}], ["line", {
  x1: "14",
  y1: "15",
  x2: "21",
  y2: "15"
}], ["line", {
  x1: "14",
  y1: "20",
  x2: "21",
  y2: "20"
}]]];
var layout_list_default = LayoutList;

// node_modules/lucide/dist/esm/icons/layout-template.js
var LayoutTemplate = ["svg", defaultAttributes_default, [["path", {
  d: "M21 3H3v7h18V3z"
}], ["path", {
  d: "M21 14h-5v7h5v-7z"
}], ["path", {
  d: "M12 14H3v7h9v-7z"
}]]];
var layout_template_default = LayoutTemplate;

// node_modules/lucide/dist/esm/icons/layout.js
var Layout = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "3",
  y1: "9",
  x2: "21",
  y2: "9"
}], ["line", {
  x1: "9",
  y1: "21",
  x2: "9",
  y2: "9"
}]]];
var layout_default = Layout;

// node_modules/lucide/dist/esm/icons/library.js
var Library = ["svg", defaultAttributes_default, [["path", {
  d: "M16 6l4 14"
}], ["path", {
  d: "M12 6v14"
}], ["path", {
  d: "M8 8v12"
}], ["path", {
  d: "M4 4v16"
}]]];
var library_default = Library;

// node_modules/lucide/dist/esm/icons/life-buoy.js
var LifeBuoy = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "4"
}], ["line", {
  x1: "4.93",
  y1: "4.93",
  x2: "9.17",
  y2: "9.17"
}], ["line", {
  x1: "14.83",
  y1: "14.83",
  x2: "19.07",
  y2: "19.07"
}], ["line", {
  x1: "14.83",
  y1: "9.17",
  x2: "19.07",
  y2: "4.93"
}], ["line", {
  x1: "14.83",
  y1: "9.17",
  x2: "18.36",
  y2: "5.64"
}], ["line", {
  x1: "4.93",
  y1: "19.07",
  x2: "9.17",
  y2: "14.83"
}]]];
var life_buoy_default = LifeBuoy;

// node_modules/lucide/dist/esm/icons/lightbulb-off.js
var LightbulbOff = ["svg", defaultAttributes_default, [["path", {
  d: "M9 18h6"
}], ["path", {
  d: "M10 22h4"
}], ["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M8.91 14a4.61 4.61 0 00-1.41-2.5C6.23 10.23 6 9 6 8a6 6 0 01.084-1M9 2.804A6 6 0 0118 8a4.651 4.651 0 01-1.031 3"
}]]];
var lightbulb_off_default = LightbulbOff;

// node_modules/lucide/dist/esm/icons/lightbulb.js
var Lightbulb = ["svg", defaultAttributes_default, [["line", {
  x1: "9",
  y1: "18",
  x2: "15",
  y2: "18"
}], ["line", {
  x1: "10",
  y1: "22",
  x2: "14",
  y2: "22"
}], ["path", {
  d: "M15.09 14c.18-.98.65-1.74 1.41-2.5A4.65 4.65 0 0018 8 6 6 0 006 8c0 1 .23 2.23 1.5 3.5A4.61 4.61 0 018.91 14"
}]]];
var lightbulb_default = Lightbulb;

// node_modules/lucide/dist/esm/icons/link-2-off.js
var Link2Off = ["svg", defaultAttributes_default, [["path", {
  d: "M15 7h2a5 5 0 014 8M9 17H7A5 5 0 017 7"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "2",
  y1: "2",
  x2: "22",
  y2: "22"
}]]];
var link_2_off_default = Link2Off;

// node_modules/lucide/dist/esm/icons/link-2.js
var Link2 = ["svg", defaultAttributes_default, [["path", {
  d: "M15 7h2a5 5 0 010 10h-2m-6 0H7A5 5 0 017 7h2"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var link_2_default = Link2;

// node_modules/lucide/dist/esm/icons/link.js
var Link = ["svg", defaultAttributes_default, [["path", {
  d: "M10 13a5 5 0 007.54.54l3-3a5 5 0 00-7.07-7.07l-1.72 1.71"
}], ["path", {
  d: "M14 11a5 5 0 00-7.54-.54l-3 3a5 5 0 007.07 7.07l1.71-1.71"
}]]];
var link_default = Link;

// node_modules/lucide/dist/esm/icons/linkedin.js
var Linkedin = ["svg", defaultAttributes_default, [["path", {
  d: "M16 8a6 6 0 016 6v7h-4v-7a2 2 0 00-2-2 2 2 0 00-2 2v7h-4v-7a6 6 0 016-6z"
}], ["rect", {
  x: "2",
  y: "9",
  width: "4",
  height: "12"
}], ["circle", {
  cx: "4",
  cy: "4",
  r: "2"
}]]];
var linkedin_default = Linkedin;

// node_modules/lucide/dist/esm/icons/list-checks.js
var ListChecks = ["svg", defaultAttributes_default, [["line", {
  x1: "10",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["line", {
  x1: "10",
  y1: "12",
  x2: "21",
  y2: "12"
}], ["line", {
  x1: "10",
  y1: "18",
  x2: "21",
  y2: "18"
}], ["polyline", {
  points: "3 6 4 7 6 5"
}], ["polyline", {
  points: "3 12 4 13 6 11"
}], ["polyline", {
  points: "3 18 4 19 6 17"
}]]];
var list_checks_default = ListChecks;

// node_modules/lucide/dist/esm/icons/list-minus.js
var ListMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M11 12H3"
}], ["path", {
  d: "M16 6H3"
}], ["path", {
  d: "M16 18H3"
}], ["path", {
  d: "M21 12h-6"
}]]];
var list_minus_default = ListMinus;

// node_modules/lucide/dist/esm/icons/list-ordered.js
var ListOrdered = ["svg", defaultAttributes_default, [["line", {
  x1: "10",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["line", {
  x1: "10",
  y1: "12",
  x2: "21",
  y2: "12"
}], ["line", {
  x1: "10",
  y1: "18",
  x2: "21",
  y2: "18"
}], ["path", {
  d: "M4 6h1v4"
}], ["path", {
  d: "M4 10h2"
}], ["path", {
  d: "M6 18H4c0-1 2-2 2-3s-1-1.5-2-1"
}]]];
var list_ordered_default = ListOrdered;

// node_modules/lucide/dist/esm/icons/list-plus.js
var ListPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M11 12H3"
}], ["path", {
  d: "M16 6H3"
}], ["path", {
  d: "M16 18H3"
}], ["path", {
  d: "M18 9v6"
}], ["path", {
  d: "M21 12h-6"
}]]];
var list_plus_default = ListPlus;

// node_modules/lucide/dist/esm/icons/list-x.js
var ListX = ["svg", defaultAttributes_default, [["path", {
  d: "M11 12H3"
}], ["path", {
  d: "M16 6H3"
}], ["path", {
  d: "M16 18H3"
}], ["path", {
  d: "M19 10l-4 4"
}], ["path", {
  d: "M15 10l4 4"
}]]];
var list_x_default = ListX;

// node_modules/lucide/dist/esm/icons/list.js
var List = ["svg", defaultAttributes_default, [["line", {
  x1: "8",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "21",
  y2: "12"
}], ["line", {
  x1: "8",
  y1: "18",
  x2: "21",
  y2: "18"
}], ["line", {
  x1: "3",
  y1: "6",
  x2: "3.01",
  y2: "6"
}], ["line", {
  x1: "3",
  y1: "12",
  x2: "3.01",
  y2: "12"
}], ["line", {
  x1: "3",
  y1: "18",
  x2: "3.01",
  y2: "18"
}]]];
var list_default = List;

// node_modules/lucide/dist/esm/icons/loader-2.js
var Loader2 = ["svg", defaultAttributes_default, [["path", {
  d: "M21 12a9 9 0 11-6.219-8.56"
}]]];
var loader_2_default = Loader2;

// node_modules/lucide/dist/esm/icons/loader.js
var Loader = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "6"
}], ["line", {
  x1: "12",
  y1: "18",
  x2: "12",
  y2: "22"
}], ["line", {
  x1: "4.93",
  y1: "4.93",
  x2: "7.76",
  y2: "7.76"
}], ["line", {
  x1: "16.24",
  y1: "16.24",
  x2: "19.07",
  y2: "19.07"
}], ["line", {
  x1: "2",
  y1: "12",
  x2: "6",
  y2: "12"
}], ["line", {
  x1: "18",
  y1: "12",
  x2: "22",
  y2: "12"
}], ["line", {
  x1: "4.93",
  y1: "19.07",
  x2: "7.76",
  y2: "16.24"
}], ["line", {
  x1: "16.24",
  y1: "7.76",
  x2: "19.07",
  y2: "4.93"
}]]];
var loader_default = Loader;

// node_modules/lucide/dist/esm/icons/locate-fixed.js
var LocateFixed = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  x2: "5",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "19",
  x2: "22",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "2",
  y2: "5"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "19",
  y2: "22"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "7"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}]]];
var locate_fixed_default = LocateFixed;

// node_modules/lucide/dist/esm/icons/locate-off.js
var LocateOff = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  x2: "5",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "19",
  x2: "22",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "2",
  y2: "5"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "19",
  y2: "22"
}], ["path", {
  d: "M7.11 7.11C5.83 8.39 5 10.1 5 12c0 3.87 3.13 7 7 7 1.9 0 3.61-.83 4.89-2.11"
}], ["path", {
  d: "M18.71 13.96c.19-.63.29-1.29.29-1.96 0-3.87-3.13-7-7-7-.67 0-1.33.1-1.96.29"
}], ["line", {
  x1: "2",
  x2: "22",
  y1: "2",
  y2: "22"
}]]];
var locate_off_default = LocateOff;

// node_modules/lucide/dist/esm/icons/locate.js
var Locate = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  x2: "5",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "19",
  x2: "22",
  y1: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "2",
  y2: "5"
}], ["line", {
  x1: "12",
  x2: "12",
  y1: "19",
  y2: "22"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "7"
}]]];
var locate_default = Locate;

// node_modules/lucide/dist/esm/icons/lock.js
var Lock = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "11",
  width: "18",
  height: "11",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M7 11V7a5 5 0 0110 0v4"
}]]];
var lock_default = Lock;

// node_modules/lucide/dist/esm/icons/log-in.js
var LogIn = ["svg", defaultAttributes_default, [["path", {
  d: "M15 3h4a2 2 0 012 2v14a2 2 0 01-2 2h-4"
}], ["polyline", {
  points: "10 17 15 12 10 7"
}], ["line", {
  x1: "15",
  y1: "12",
  x2: "3",
  y2: "12"
}]]];
var log_in_default = LogIn;

// node_modules/lucide/dist/esm/icons/log-out.js
var LogOut = ["svg", defaultAttributes_default, [["path", {
  d: "M9 21H5a2 2 0 01-2-2V5a2 2 0 012-2h4"
}], ["polyline", {
  points: "16 17 21 12 16 7"
}], ["line", {
  x1: "21",
  y1: "12",
  x2: "9",
  y2: "12"
}]]];
var log_out_default = LogOut;

// node_modules/lucide/dist/esm/icons/mail.js
var Mail = ["svg", defaultAttributes_default, [["path", {
  d: "M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"
}], ["polyline", {
  points: "22,6 12,13 2,6"
}]]];
var mail_default = Mail;

// node_modules/lucide/dist/esm/icons/map-pin.js
var MapPin = ["svg", defaultAttributes_default, [["path", {
  d: "M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0118 0z"
}], ["circle", {
  cx: "12",
  cy: "10",
  r: "3"
}]]];
var map_pin_default = MapPin;

// node_modules/lucide/dist/esm/icons/map.js
var Map = ["svg", defaultAttributes_default, [["polygon", {
  points: "1 6 1 22 8 18 16 22 23 18 23 2 16 6 8 2 1 6"
}], ["line", {
  x1: "8",
  y1: "2",
  x2: "8",
  y2: "18"
}], ["line", {
  x1: "16",
  y1: "6",
  x2: "16",
  y2: "22"
}]]];
var map_default = Map;

// node_modules/lucide/dist/esm/icons/maximize-2.js
var Maximize2 = ["svg", defaultAttributes_default, [["polyline", {
  points: "15 3 21 3 21 9"
}], ["polyline", {
  points: "9 21 3 21 3 15"
}], ["line", {
  x1: "21",
  y1: "3",
  x2: "14",
  y2: "10"
}], ["line", {
  x1: "3",
  y1: "21",
  x2: "10",
  y2: "14"
}]]];
var maximize_2_default = Maximize2;

// node_modules/lucide/dist/esm/icons/maximize.js
var Maximize = ["svg", defaultAttributes_default, [["path", {
  d: "M8 3H5a2 2 0 00-2 2v3m18 0V5a2 2 0 00-2-2h-3m0 18h3a2 2 0 002-2v-3M3 16v3a2 2 0 002 2h3"
}]]];
var maximize_default = Maximize;

// node_modules/lucide/dist/esm/icons/megaphone.js
var Megaphone = ["svg", defaultAttributes_default, [["path", {
  d: "M3 11l18-5v12L3 14v-3z"
}], ["path", {
  d: "M11.6 16.8a3 3 0 11-5.8-1.6"
}]]];
var megaphone_default = Megaphone;

// node_modules/lucide/dist/esm/icons/meh.js
var Meh = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "8",
  y1: "15",
  x2: "16",
  y2: "15"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "9.01",
  y2: "9"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "15.01",
  y2: "9"
}]]];
var meh_default = Meh;

// node_modules/lucide/dist/esm/icons/menu.js
var Menu = ["svg", defaultAttributes_default, [["line", {
  x1: "4",
  y1: "12",
  x2: "20",
  y2: "12"
}], ["line", {
  x1: "4",
  y1: "6",
  x2: "20",
  y2: "6"
}], ["line", {
  x1: "4",
  y1: "18",
  x2: "20",
  y2: "18"
}]]];
var menu_default = Menu;

// node_modules/lucide/dist/esm/icons/message-circle.js
var MessageCircle = ["svg", defaultAttributes_default, [["path", {
  d: "M21 11.5a8.38 8.38 0 01-.9 3.8 8.5 8.5 0 01-7.6 4.7 8.38 8.38 0 01-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 01-.9-3.8 8.5 8.5 0 014.7-7.6 8.38 8.38 0 013.8-.9h.5a8.48 8.48 0 018 8v.5z"
}]]];
var message_circle_default = MessageCircle;

// node_modules/lucide/dist/esm/icons/message-square.js
var MessageSquare = ["svg", defaultAttributes_default, [["path", {
  d: "M21 15a2 2 0 01-2 2H7l-4 4V5a2 2 0 012-2h14a2 2 0 012 2z"
}]]];
var message_square_default = MessageSquare;

// node_modules/lucide/dist/esm/icons/mic-off.js
var MicOff = ["svg", defaultAttributes_default, [["line", {
  x1: "1",
  y1: "1",
  x2: "23",
  y2: "23"
}], ["path", {
  d: "M9 9v3a3 3 0 005.12 2.12M15 9.34V4a3 3 0 00-5.94-.6"
}], ["path", {
  d: "M17 16.95A7 7 0 015 12v-2m14 0v2a7 7 0 01-.11 1.23"
}], ["line", {
  x1: "12",
  y1: "19",
  x2: "12",
  y2: "23"
}], ["line", {
  x1: "8",
  y1: "23",
  x2: "16",
  y2: "23"
}]]];
var mic_off_default = MicOff;

// node_modules/lucide/dist/esm/icons/mic.js
var Mic = ["svg", defaultAttributes_default, [["path", {
  d: "M12 1a3 3 0 00-3 3v8a3 3 0 006 0V4a3 3 0 00-3-3z"
}], ["path", {
  d: "M19 10v2a7 7 0 01-14 0v-2"
}], ["line", {
  x1: "12",
  y1: "19",
  x2: "12",
  y2: "23"
}], ["line", {
  x1: "8",
  y1: "23",
  x2: "16",
  y2: "23"
}]]];
var mic_default = Mic;

// node_modules/lucide/dist/esm/icons/minimize-2.js
var Minimize2 = ["svg", defaultAttributes_default, [["polyline", {
  points: "4 14 10 14 10 20"
}], ["polyline", {
  points: "20 10 14 10 14 4"
}], ["line", {
  x1: "14",
  y1: "10",
  x2: "21",
  y2: "3"
}], ["line", {
  x1: "3",
  y1: "21",
  x2: "10",
  y2: "14"
}]]];
var minimize_2_default = Minimize2;

// node_modules/lucide/dist/esm/icons/minimize.js
var Minimize = ["svg", defaultAttributes_default, [["path", {
  d: "M8 3v3a2 2 0 01-2 2H3m18 0h-3a2 2 0 01-2-2V3m0 18v-3a2 2 0 012-2h3M3 16h3a2 2 0 012 2v3"
}]]];
var minimize_default = Minimize;

// node_modules/lucide/dist/esm/icons/minus-circle.js
var MinusCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var minus_circle_default = MinusCircle;

// node_modules/lucide/dist/esm/icons/minus-square.js
var MinusSquare = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var minus_square_default = MinusSquare;

// node_modules/lucide/dist/esm/icons/minus.js
var Minus = ["svg", defaultAttributes_default, [["line", {
  x1: "5",
  y1: "12",
  x2: "19",
  y2: "12"
}]]];
var minus_default = Minus;

// node_modules/lucide/dist/esm/icons/monitor-off.js
var MonitorOff = ["svg", defaultAttributes_default, [["path", {
  d: "M17 17H4a2 2 0 01-2-2V5c0-1.5 1-2 1-2"
}], ["path", {
  d: "M22 15V5a2 2 0 00-2-2H9"
}], ["path", {
  d: "M8 21h8"
}], ["path", {
  d: "M12 17v4"
}], ["path", {
  d: "M2 2l20 20"
}]]];
var monitor_off_default = MonitorOff;

// node_modules/lucide/dist/esm/icons/monitor-speaker.js
var MonitorSpeaker = ["svg", defaultAttributes_default, [["path", {
  d: "M5.5 20H8"
}], ["path", {
  d: "M17 9h.01"
}], ["rect", {
  x: "12",
  y: "4",
  width: "10",
  height: "16",
  rx: "2"
}], ["path", {
  d: "M8 6H4a2 2 0 00-2 2v6a2 2 0 002 2h4"
}], ["circle", {
  cx: "17",
  cy: "15",
  r: "1"
}]]];
var monitor_speaker_default = MonitorSpeaker;

// node_modules/lucide/dist/esm/icons/monitor.js
var Monitor = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "3",
  width: "20",
  height: "14",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "8",
  y1: "21",
  x2: "16",
  y2: "21"
}], ["line", {
  x1: "12",
  y1: "17",
  x2: "12",
  y2: "21"
}]]];
var monitor_default = Monitor;

// node_modules/lucide/dist/esm/icons/moon.js
var Moon = ["svg", defaultAttributes_default, [["path", {
  d: "M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"
}]]];
var moon_default = Moon;

// node_modules/lucide/dist/esm/icons/more-horizontal.js
var MoreHorizontal = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "19",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "5",
  cy: "12",
  r: "1"
}]]];
var more_horizontal_default = MoreHorizontal;

// node_modules/lucide/dist/esm/icons/more-vertical.js
var MoreVertical = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "12",
  cy: "5",
  r: "1"
}], ["circle", {
  cx: "12",
  cy: "19",
  r: "1"
}]]];
var more_vertical_default = MoreVertical;

// node_modules/lucide/dist/esm/icons/mountain-snow.js
var MountainSnow = ["svg", defaultAttributes_default, [["path", {
  d: "M8 3l4 8 5-5 5 15H2L8 3z"
}], ["path", {
  d: "M4.14 15.08c2.62-1.57 5.24-1.43 7.86.42 2.74 1.94 5.49 2 8.23.19"
}]]];
var mountain_snow_default = MountainSnow;

// node_modules/lucide/dist/esm/icons/mountain.js
var Mountain = ["svg", defaultAttributes_default, [["path", {
  d: "M8 3l4 8 5-5 5 15H2L8 3z"
}]]];
var mountain_default = Mountain;

// node_modules/lucide/dist/esm/icons/mouse-pointer-2.js
var MousePointer2 = ["svg", defaultAttributes_default, [["path", {
  d: "M4 4l7.07 17 2.51-7.39L21 11.07z"
}]]];
var mouse_pointer_2_default = MousePointer2;

// node_modules/lucide/dist/esm/icons/mouse-pointer-click.js
var MousePointerClick = ["svg", defaultAttributes_default, [["path", {
  d: "M9 9l5 12 1.774-5.226L21 14 9 9z"
}], ["path", {
  d: "M16.071 16.071l4.243 4.243"
}], ["path", {
  d: "M7.188 2.239l.777 2.897M5.136 7.965l-2.898-.777M13.95 4.05l-2.122 2.122m-5.657 5.656l-2.12 2.122"
}]]];
var mouse_pointer_click_default = MousePointerClick;

// node_modules/lucide/dist/esm/icons/mouse-pointer.js
var MousePointer = ["svg", defaultAttributes_default, [["path", {
  d: "M3 3l7.07 16.97 2.51-7.39 7.39-2.51L3 3z"
}], ["path", {
  d: "M13 13l6 6"
}]]];
var mouse_pointer_default = MousePointer;

// node_modules/lucide/dist/esm/icons/move-diagonal-2.js
var MoveDiagonal2 = ["svg", defaultAttributes_default, [["polyline", {
  points: "5 11 5 5 11 5"
}], ["polyline", {
  points: "19 13 19 19 13 19"
}], ["line", {
  x1: "5",
  y1: "5",
  x2: "19",
  y2: "19"
}]]];
var move_diagonal_2_default = MoveDiagonal2;

// node_modules/lucide/dist/esm/icons/move-diagonal.js
var MoveDiagonal = ["svg", defaultAttributes_default, [["polyline", {
  points: "13 5 19 5 19 11"
}], ["polyline", {
  points: "11 19 5 19 5 13"
}], ["line", {
  x1: "19",
  y1: "5",
  x2: "5",
  y2: "19"
}]]];
var move_diagonal_default = MoveDiagonal;

// node_modules/lucide/dist/esm/icons/move-horizontal.js
var MoveHorizontal = ["svg", defaultAttributes_default, [["polyline", {
  points: "18 8 22 12 18 16"
}], ["polyline", {
  points: "6 8 2 12 6 16"
}], ["line", {
  x1: "2",
  y1: "12",
  x2: "22",
  y2: "12"
}]]];
var move_horizontal_default = MoveHorizontal;

// node_modules/lucide/dist/esm/icons/move-vertical.js
var MoveVertical = ["svg", defaultAttributes_default, [["polyline", {
  points: "8 18 12 22 16 18"
}], ["polyline", {
  points: "8 6 12 2 16 6"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "22"
}]]];
var move_vertical_default = MoveVertical;

// node_modules/lucide/dist/esm/icons/move.js
var Move = ["svg", defaultAttributes_default, [["polyline", {
  points: "5 9 2 12 5 15"
}], ["polyline", {
  points: "9 5 12 2 15 5"
}], ["polyline", {
  points: "15 19 12 22 9 19"
}], ["polyline", {
  points: "19 9 22 12 19 15"
}], ["line", {
  x1: "2",
  y1: "12",
  x2: "22",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "22"
}]]];
var move_default = Move;

// node_modules/lucide/dist/esm/icons/music.js
var Music = ["svg", defaultAttributes_default, [["path", {
  d: "M9 18V5l12-2v13"
}], ["circle", {
  cx: "6",
  cy: "18",
  r: "3"
}], ["circle", {
  cx: "18",
  cy: "16",
  r: "3"
}]]];
var music_default = Music;

// node_modules/lucide/dist/esm/icons/navigation-2.js
var Navigation2 = ["svg", defaultAttributes_default, [["polygon", {
  points: "12 2 19 21 12 17 5 21 12 2"
}]]];
var navigation_2_default = Navigation2;

// node_modules/lucide/dist/esm/icons/navigation.js
var Navigation = ["svg", defaultAttributes_default, [["polygon", {
  points: "3 11 22 2 13 21 11 13 3 11"
}]]];
var navigation_default = Navigation;

// node_modules/lucide/dist/esm/icons/network.js
var Network = ["svg", defaultAttributes_default, [["rect", {
  x: "9",
  y: "2",
  width: "6",
  height: "6"
}], ["rect", {
  x: "16",
  y: "16",
  width: "6",
  height: "6"
}], ["rect", {
  x: "2",
  y: "16",
  width: "6",
  height: "6"
}], ["path", {
  d: "M12 8v4m0 0H5v4m7-4h7v4"
}]]];
var network_default = Network;

// node_modules/lucide/dist/esm/icons/octagon.js
var Octagon = ["svg", defaultAttributes_default, [["polygon", {
  points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
}]]];
var octagon_default = Octagon;

// node_modules/lucide/dist/esm/icons/option.js
var Option = ["svg", defaultAttributes_default, [["path", {
  d: "M3 3h6l6 18h6"
}], ["path", {
  d: "M14 3h7"
}]]];
var option_default = Option;

// node_modules/lucide/dist/esm/icons/outdent.js
var Outdent = ["svg", defaultAttributes_default, [["polyline", {
  points: "7 8 3 12 7 16"
}], ["line", {
  x1: "21",
  y1: "12",
  x2: "11",
  y2: "12"
}], ["line", {
  x1: "21",
  y1: "6",
  x2: "11",
  y2: "6"
}], ["line", {
  x1: "21",
  y1: "18",
  x2: "11",
  y2: "18"
}]]];
var outdent_default = Outdent;

// node_modules/lucide/dist/esm/icons/package-check.js
var PackageCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16l2 2 4-4"
}], ["path", {
  d: "M21 10V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l2-1.14"
}], ["path", {
  d: "M16.5 9.4L7.55 4.24"
}], ["path", {
  d: "M3.29 7L12 12m0 0l8.71-5M12 12v10"
}]]];
var package_check_default = PackageCheck;

// node_modules/lucide/dist/esm/icons/package-minus.js
var PackageMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16h6"
}], ["path", {
  d: "M21 10V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l2-1.14"
}], ["path", {
  d: "M16.5 9.4L7.55 4.24"
}], ["path", {
  d: "M3.29 7L12 12m0 0l8.71-5M12 12v10"
}]]];
var package_minus_default = PackageMinus;

// node_modules/lucide/dist/esm/icons/package-plus.js
var PackagePlus = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16h6"
}], ["path", {
  d: "M19 13v6"
}], ["path", {
  d: "M21 10V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l2-1.14"
}], ["path", {
  d: "M16.5 9.4L7.55 4.24"
}], ["path", {
  d: "M3.29 7L12 12m0 0l8.71-5M12 12v10"
}]]];
var package_plus_default = PackagePlus;

// node_modules/lucide/dist/esm/icons/package-search.js
var PackageSearch = ["svg", defaultAttributes_default, [["path", {
  d: "M21 10V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l2-1.14"
}], ["path", {
  d: "M16.5 9.4L7.55 4.24"
}], ["path", {
  d: "M12 12v10M3.29 7L12 12 3.29 7zM12 12l8.71-5L12 12z"
}], ["circle", {
  cx: "18.5",
  cy: "15.5",
  r: "2.5"
}], ["path", {
  d: "M20.27 17.27L22 19"
}]]];
var package_search_default = PackageSearch;

// node_modules/lucide/dist/esm/icons/package-x.js
var PackageX = ["svg", defaultAttributes_default, [["path", {
  d: "M21 10V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l2-1.14"
}], ["path", {
  d: "M16.5 9.4L7.55 4.24"
}], ["path", {
  d: "M3.29 7L12 12m0 0l8.71-5M12 12v10"
}], ["path", {
  d: "M17 13l5 5m-5 0l5-5"
}]]];
var package_x_default = PackageX;

// node_modules/lucide/dist/esm/icons/package.js
var Package = ["svg", defaultAttributes_default, [["line", {
  x1: "16.5",
  y1: "9.4",
  x2: "7.5",
  y2: "4.21"
}], ["path", {
  d: "M21 16V8a2 2 0 00-1-1.73l-7-4a2 2 0 00-2 0l-7 4A2 2 0 003 8v8a2 2 0 001 1.73l7 4a2 2 0 002 0l7-4A2 2 0 0021 16z"
}], ["polyline", {
  points: "3.27 6.96 12 12.01 20.73 6.96"
}], ["line", {
  x1: "12",
  y1: "22.08",
  x2: "12",
  y2: "12"
}]]];
var package_default = Package;

// node_modules/lucide/dist/esm/icons/palette.js
var Palette = ["svg", defaultAttributes_default, [["circle", {
  cx: "13.5",
  cy: "6.5",
  r: ".5"
}], ["circle", {
  cx: "17.5",
  cy: "10.5",
  r: ".5"
}], ["circle", {
  cx: "8.5",
  cy: "7.5",
  r: ".5"
}], ["circle", {
  cx: "6.5",
  cy: "12.5",
  r: ".5"
}], ["path", {
  d: "M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10c.926 0 1.648-.746 1.648-1.688 0-.437-.18-.835-.437-1.125-.29-.289-.438-.652-.438-1.125a1.64 1.64 0 011.668-1.668h1.996c3.051 0 5.555-2.503 5.555-5.554C21.965 6.012 17.461 2 12 2z"
}]]];
var palette_default = Palette;

// node_modules/lucide/dist/esm/icons/palmtree.js
var Palmtree = ["svg", defaultAttributes_default, [["path", {
  d: "M13 8c0-2.76-2.46-5-5.5-5S2 5.24 2 8h2l1-1 1 1h4"
}], ["path", {
  d: "M13 7.14A5.82 5.82 0 0116.5 6c3.04 0 5.5 2.24 5.5 5h-3l-1-1-1 1h-3"
}], ["path", {
  d: "M5.89 9.71c-2.15 2.15-2.3 5.47-.35 7.43l4.24-4.25.7-.7.71-.71 2.12-2.12c-1.95-1.96-5.27-1.8-7.42.35z"
}], ["path", {
  d: "M11 15.5c.5 2.5-.17 4.5-1 6.5h4c2-5.5-.5-12-1-14"
}]]];
var palmtree_default = Palmtree;

// node_modules/lucide/dist/esm/icons/paperclip.js
var Paperclip = ["svg", defaultAttributes_default, [["path", {
  d: "M21.44 11.05l-9.19 9.19a6 6 0 01-8.49-8.49l9.19-9.19a4 4 0 015.66 5.66l-9.2 9.19a2 2 0 01-2.83-2.83l8.49-8.48"
}]]];
var paperclip_default = Paperclip;

// node_modules/lucide/dist/esm/icons/pause-circle.js
var PauseCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "10",
  y1: "15",
  x2: "10",
  y2: "9"
}], ["line", {
  x1: "14",
  y1: "15",
  x2: "14",
  y2: "9"
}]]];
var pause_circle_default = PauseCircle;

// node_modules/lucide/dist/esm/icons/pause-octagon.js
var PauseOctagon = ["svg", defaultAttributes_default, [["path", {
  d: "M10 15V9"
}], ["path", {
  d: "M14 15V9"
}], ["path", {
  d: "M7.714 2h8.572L22 7.714v8.572L16.286 22H7.714L2 16.286V7.714L7.714 2z"
}]]];
var pause_octagon_default = PauseOctagon;

// node_modules/lucide/dist/esm/icons/pause.js
var Pause = ["svg", defaultAttributes_default, [["rect", {
  x: "6",
  y: "4",
  width: "4",
  height: "16"
}], ["rect", {
  x: "14",
  y: "4",
  width: "4",
  height: "16"
}]]];
var pause_default = Pause;

// node_modules/lucide/dist/esm/icons/pen-tool.js
var PenTool = ["svg", defaultAttributes_default, [["path", {
  d: "M12 19l7-7 3 3-7 7-3-3z"
}], ["path", {
  d: "M18 13l-1.5-7.5L2 2l3.5 14.5L13 18l5-5z"
}], ["path", {
  d: "M2 2l7.586 7.586"
}], ["circle", {
  cx: "11",
  cy: "11",
  r: "2"
}]]];
var pen_tool_default = PenTool;

// node_modules/lucide/dist/esm/icons/pencil.js
var Pencil = ["svg", defaultAttributes_default, [["line", {
  x1: "18",
  y1: "2",
  x2: "22",
  y2: "6"
}], ["path", {
  d: "M7.5 20.5L19 9l-4-4L3.5 16.5 2 22z"
}]]];
var pencil_default = Pencil;

// node_modules/lucide/dist/esm/icons/percent.js
var Percent = ["svg", defaultAttributes_default, [["line", {
  x1: "19",
  y1: "5",
  x2: "5",
  y2: "19"
}], ["circle", {
  cx: "6.5",
  cy: "6.5",
  r: "2.5"
}], ["circle", {
  cx: "17.5",
  cy: "17.5",
  r: "2.5"
}]]];
var percent_default = Percent;

// node_modules/lucide/dist/esm/icons/person-standing.js
var PersonStanding = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "5",
  r: "1"
}], ["path", {
  d: "M9 20l3-6 3 6"
}], ["path", {
  d: "M6 8l6 2 6-2"
}], ["path", {
  d: "M12 10v4"
}]]];
var person_standing_default = PersonStanding;

// node_modules/lucide/dist/esm/icons/phone-call.js
var PhoneCall = ["svg", defaultAttributes_default, [["path", {
  d: "M14.05 6A5 5 0 0118 10m-3.95-8a9 9 0 018 7.94m0 7v3a2 2 0 01-2 2h-.19a19.79 19.79 0 01-8.63-3.07 19.52 19.52 0 01-6-6 19.82 19.82 0 01-3.11-8.69A2 2 0 013.93 2h3.18a2 2 0 012 1.72 13 13 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 13 13 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_call_default = PhoneCall;

// node_modules/lucide/dist/esm/icons/phone-forwarded.js
var PhoneForwarded = ["svg", defaultAttributes_default, [["polyline", {
  points: "18 2 22 6 18 10"
}], ["line", {
  x1: "14",
  y1: "6",
  x2: "22",
  y2: "6"
}], ["path", {
  d: "M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_forwarded_default = PhoneForwarded;

// node_modules/lucide/dist/esm/icons/phone-incoming.js
var PhoneIncoming = ["svg", defaultAttributes_default, [["polyline", {
  points: "16 2 16 8 22 8"
}], ["line", {
  x1: "22",
  y1: "2",
  x2: "16",
  y2: "8"
}], ["path", {
  d: "M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_incoming_default = PhoneIncoming;

// node_modules/lucide/dist/esm/icons/phone-missed.js
var PhoneMissed = ["svg", defaultAttributes_default, [["line", {
  x1: "22",
  y1: "2",
  x2: "16",
  y2: "8"
}], ["line", {
  x1: "16",
  y1: "2",
  x2: "22",
  y2: "8"
}], ["path", {
  d: "M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_missed_default = PhoneMissed;

// node_modules/lucide/dist/esm/icons/phone-off.js
var PhoneOff = ["svg", defaultAttributes_default, [["path", {
  d: "M10.68 13.31a16 16 0 003.41 2.6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7 2 2 0 011.72 2v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.42 19.42 0 01-3.33-2.67m-2.67-3.34a19.79 19.79 0 01-3.07-8.63A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91"
}], ["line", {
  x1: "22",
  y1: "2",
  x2: "2",
  y2: "22"
}]]];
var phone_off_default = PhoneOff;

// node_modules/lucide/dist/esm/icons/phone-outgoing.js
var PhoneOutgoing = ["svg", defaultAttributes_default, [["polyline", {
  points: "22 8 22 2 16 2"
}], ["line", {
  x1: "16",
  y1: "8",
  x2: "22",
  y2: "2"
}], ["path", {
  d: "M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_outgoing_default = PhoneOutgoing;

// node_modules/lucide/dist/esm/icons/phone.js
var Phone = ["svg", defaultAttributes_default, [["path", {
  d: "M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72 12.84 12.84 0 00.7 2.81 2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45 12.84 12.84 0 002.81.7A2 2 0 0122 16.92z"
}]]];
var phone_default = Phone;

// node_modules/lucide/dist/esm/icons/pie-chart.js
var PieChart = ["svg", defaultAttributes_default, [["path", {
  d: "M21.21 15.89A10 10 0 118 2.83"
}], ["path", {
  d: "M22 12A10 10 0 0012 2v10z"
}]]];
var pie_chart_default = PieChart;

// node_modules/lucide/dist/esm/icons/piggy-bank.js
var PiggyBank = ["svg", defaultAttributes_default, [["path", {
  d: "M19 5c-1.5 0-2.8 1.4-3 2-3.5-1.5-11-.3-11 5 0 1.8 0 3 2 4.5V20h4v-2h3v2h4v-4c1-.5 1.7-1 2-2h2v-4h-2c0-1-.5-1.5-1-2h0V5z"
}], ["path", {
  d: "M2 9v1c0 1.1.9 2 2 2h1"
}], ["path", {
  d: "M16 11h0"
}]]];
var piggy_bank_default = PiggyBank;

// node_modules/lucide/dist/esm/icons/pin.js
var Pin = ["svg", defaultAttributes_default, [["path", {
  d: "M12 21v-7"
}], ["path", {
  d: "M9 3v5l-2 4v2h10m0 0h-5m5 0v-2l-2-4V3"
}], ["path", {
  d: "M7 3h10"
}]]];
var pin_default = Pin;

// node_modules/lucide/dist/esm/icons/pipette.js
var Pipette = ["svg", defaultAttributes_default, [["path", {
  d: "M2 22l2-2h3l7-7"
}], ["path", {
  d: "M4 20v-3l7-7"
}], ["path", {
  d: "M14.29 13.3a1 1 0 001.41 0l.8-.8c.27-.27.27-.72 0-1s-.28-.72 0-1l4.08-4.08a2 2 0 000-2.83l-.17-.17a2 2 0 00-2.83 0L13.5 7.51c-.28.27-.73.27-1 0s-.73-.28-1 0l-.8.79a1 1 0 000 1.41l3.59 3.59z"
}]]];
var pipette_default = Pipette;

// node_modules/lucide/dist/esm/icons/plane.js
var Plane = ["svg", defaultAttributes_default, [["path", {
  d: "M17.8 19.2L16 11l3.5-3.5C21 6 21.5 4 21 3c-1-.5-3 0-4.5 1.5L13 8 4.8 6.2c-.5-.1-.9.1-1.1.5l-.3.5c-.2.5-.1 1 .3 1.3L9 12l-2 3H4l-1 1 3 2 2 3 1-1v-3l3-2 3.5 5.3c.3.4.8.5 1.3.3l.5-.2c.4-.3.6-.7.5-1.2z"
}]]];
var plane_default = Plane;

// node_modules/lucide/dist/esm/icons/play-circle.js
var PlayCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["polygon", {
  points: "10 8 16 12 10 16 10 8"
}]]];
var play_circle_default = PlayCircle;

// node_modules/lucide/dist/esm/icons/play.js
var Play = ["svg", defaultAttributes_default, [["polygon", {
  points: "5 3 19 12 5 21 5 3"
}]]];
var play_default = Play;

// node_modules/lucide/dist/esm/icons/plug-zap.js
var PlugZap = ["svg", defaultAttributes_default, [["path", {
  d: "M13 2l-2 2.5h3L12 7"
}], ["path", {
  d: "M12 22v-3"
}], ["path", {
  d: "M10 13v-2.5"
}], ["path", {
  d: "M10 12.5v-2"
}], ["path", {
  d: "M14 12.5v-2"
}], ["path", {
  d: "M16 15a2 2 0 00-2-2h-4a2 2 0 00-2 2v2a2 2 0 002 2h4a2 2 0 002-2v-2z"
}]]];
var plug_zap_default = PlugZap;

// node_modules/lucide/dist/esm/icons/plus-circle.js
var PlusCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "16"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var plus_circle_default = PlusCircle;

// node_modules/lucide/dist/esm/icons/plus-square.js
var PlusSquare = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "16"
}], ["line", {
  x1: "8",
  y1: "12",
  x2: "16",
  y2: "12"
}]]];
var plus_square_default = PlusSquare;

// node_modules/lucide/dist/esm/icons/plus.js
var Plus = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "5",
  x2: "12",
  y2: "19"
}], ["line", {
  x1: "5",
  y1: "12",
  x2: "19",
  y2: "12"
}]]];
var plus_default = Plus;

// node_modules/lucide/dist/esm/icons/pocket.js
var Pocket = ["svg", defaultAttributes_default, [["path", {
  d: "M4 3h16a2 2 0 012 2v6a10 10 0 01-10 10A10 10 0 012 11V5a2 2 0 012-2z"
}], ["polyline", {
  points: "8 10 12 14 16 10"
}]]];
var pocket_default = Pocket;

// node_modules/lucide/dist/esm/icons/podcast.js
var Podcast = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "11",
  r: "1"
}], ["path", {
  d: "M17.03 18.46a9 9 0 10-10.02.03"
}], ["path", {
  d: "M16.06 13.91a5 5 0 10-7.97.2"
}], ["path", {
  d: "M11.11 17a.9.9 0 111.78 0l-.52 4.67a.37.37 0 01-.74 0l-.52-4.68z"
}]]];
var podcast_default = Podcast;

// node_modules/lucide/dist/esm/icons/pointer.js
var Pointer = ["svg", defaultAttributes_default, [["path", {
  d: "M22 14a8 8 0 01-8 8"
}], ["path", {
  d: "M18 11v-1a2 2 0 00-2-2v0a2 2 0 00-2 2v0"
}], ["path", {
  d: "M14 10V9a2 2 0 00-2-2v0a2 2 0 00-2 2v1"
}], ["path", {
  d: "M10 9.5V4a2 2 0 00-2-2v0a2 2 0 00-2 2v10"
}], ["path", {
  d: "M18 11a2 2 0 114 0v3a8 8 0 01-8 8h-2c-2.8 0-4.5-.86-5.99-2.34l-3.6-3.6a2 2 0 012.83-2.82L7 15"
}]]];
var pointer_default = Pointer;

// node_modules/lucide/dist/esm/icons/pound-sterling.js
var PoundSterling = ["svg", defaultAttributes_default, [["path", {
  d: "M18 7c0-5.333-8-5.333-8 0"
}], ["path", {
  d: "M10 7v14"
}], ["path", {
  d: "M6 21h12"
}], ["path", {
  d: "M6 13h10"
}]]];
var pound_sterling_default = PoundSterling;

// node_modules/lucide/dist/esm/icons/power-off.js
var PowerOff = ["svg", defaultAttributes_default, [["path", {
  d: "M18.36 6.64A9 9 0 0120.77 15M5.63 6.64A9 9 0 1018.706 19"
}], ["path", {
  d: "M12 2v4"
}], ["path", {
  d: "M2 2l20 20"
}]]];
var power_off_default = PowerOff;

// node_modules/lucide/dist/esm/icons/power.js
var Power = ["svg", defaultAttributes_default, [["path", {
  d: "M18.36 6.64a9 9 0 11-12.73 0"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "12"
}]]];
var power_default = Power;

// node_modules/lucide/dist/esm/icons/printer.js
var Printer = ["svg", defaultAttributes_default, [["polyline", {
  points: "6 9 6 2 18 2 18 9"
}], ["path", {
  d: "M6 18H4a2 2 0 01-2-2v-5a2 2 0 012-2h16a2 2 0 012 2v5a2 2 0 01-2 2h-2"
}], ["rect", {
  x: "6",
  y: "14",
  width: "12",
  height: "8"
}]]];
var printer_default = Printer;

// node_modules/lucide/dist/esm/icons/qr-code.js
var QrCode = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "2",
  width: "8",
  height: "8"
}], ["path", {
  d: "M6 6h.01"
}], ["rect", {
  x: "14",
  y: "2",
  width: "8",
  height: "8"
}], ["path", {
  d: "M18 6h.01"
}], ["rect", {
  x: "2",
  y: "14",
  width: "8",
  height: "8"
}], ["path", {
  d: "M6 18h.01"
}], ["path", {
  d: "M14 14h.01"
}], ["path", {
  d: "M18 18h.01"
}], ["path", {
  d: "M18 22h4v-4"
}], ["path", {
  d: "M14 18v4"
}], ["path", {
  d: "M22 14h-4"
}]]];
var qr_code_default = QrCode;

// node_modules/lucide/dist/esm/icons/quote.js
var Quote = ["svg", defaultAttributes_default, [["path", {
  d: "M3 21c3 0 7-1 7-8V5c0-1.25-.756-2.017-2-2H4c-1.25 0-2 .75-2 1.972V11c0 1.25.75 2 2 2 1 0 1 0 1 1v1c0 1-1 2-2 2s-1 .008-1 1.031V20c0 1 0 1 1 1z"
}], ["path", {
  d: "M15 21c3 0 7-1 7-8V5c0-1.25-.757-2.017-2-2h-4c-1.25 0-2 .75-2 1.972V11c0 1.25.75 2 2 2h.75c0 2.25.25 4-2.75 4v3c0 1 0 1 1 1z"
}]]];
var quote_default = Quote;

// node_modules/lucide/dist/esm/icons/radio-receiver.js
var RadioReceiver = ["svg", defaultAttributes_default, [["path", {
  d: "M5 16v2"
}], ["path", {
  d: "M19 16v2"
}], ["rect", {
  x: "2",
  y: "8",
  width: "20",
  height: "8",
  rx: "2"
}], ["path", {
  d: "M18 12h0"
}]]];
var radio_receiver_default = RadioReceiver;

// node_modules/lucide/dist/esm/icons/radio.js
var Radio = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "2"
}], ["path", {
  d: "M16.24 7.76a6 6 0 010 8.49m-8.48-.01a6 6 0 010-8.49m11.31-2.82a10 10 0 010 14.14m-14.14 0a10 10 0 010-14.14"
}]]];
var radio_default = Radio;

// node_modules/lucide/dist/esm/icons/redo.js
var Redo = ["svg", defaultAttributes_default, [["path", {
  d: "M21 7v6h-6"
}], ["path", {
  d: "M3 17a9 9 0 019-9 9 9 0 016 2.3l3 2.7"
}]]];
var redo_default = Redo;

// node_modules/lucide/dist/esm/icons/refresh-ccw.js
var RefreshCcw = ["svg", defaultAttributes_default, [["path", {
  d: "M3 2v6h6"
}], ["path", {
  d: "M21 12A9 9 0 006 5.3L3 8"
}], ["path", {
  d: "M21 22v-6h-6"
}], ["path", {
  d: "M3 12a9 9 0 0015 6.7l3-2.7"
}]]];
var refresh_ccw_default = RefreshCcw;

// node_modules/lucide/dist/esm/icons/refresh-cw.js
var RefreshCw = ["svg", defaultAttributes_default, [["path", {
  d: "M21 2v6h-6"
}], ["path", {
  d: "M3 12a9 9 0 0115-6.7L21 8"
}], ["path", {
  d: "M3 22v-6h6"
}], ["path", {
  d: "M21 12a9 9 0 01-15 6.7L3 16"
}]]];
var refresh_cw_default = RefreshCw;

// node_modules/lucide/dist/esm/icons/regex.js
var Regex = ["svg", defaultAttributes_default, [["path", {
  d: "M17 3v10"
}], ["path", {
  d: "M12.67 5.5l8.66 5"
}], ["path", {
  d: "M12.67 10.5l8.66-5"
}], ["path", {
  d: "M9 17a2 2 0 00-2-2H5a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2v-2z"
}]]];
var regex_default = Regex;

// node_modules/lucide/dist/esm/icons/repeat-1.js
var Repeat1 = ["svg", defaultAttributes_default, [["path", {
  d: "M17 2l4 4-4 4"
}], ["path", {
  d: "M3 11v-1a4 4 0 014-4h14"
}], ["path", {
  d: "M7 22l-4-4 4-4"
}], ["path", {
  d: "M21 13v1a4 4 0 01-4 4H3"
}], ["path", {
  d: "M11 10h1v4"
}]]];
var repeat_1_default = Repeat1;

// node_modules/lucide/dist/esm/icons/repeat.js
var Repeat = ["svg", defaultAttributes_default, [["path", {
  d: "M17 2l4 4-4 4"
}], ["path", {
  d: "M3 11v-1a4 4 0 014-4h14"
}], ["path", {
  d: "M7 22l-4-4 4-4"
}], ["path", {
  d: "M21 13v1a4 4 0 01-4 4H3"
}]]];
var repeat_default = Repeat;

// node_modules/lucide/dist/esm/icons/reply-all.js
var ReplyAll = ["svg", defaultAttributes_default, [["polyline", {
  points: "7 17 2 12 7 7"
}], ["polyline", {
  points: "12 17 7 12 12 7"
}], ["path", {
  d: "M22 18v-2a4 4 0 00-4-4H7"
}]]];
var reply_all_default = ReplyAll;

// node_modules/lucide/dist/esm/icons/reply.js
var Reply = ["svg", defaultAttributes_default, [["polyline", {
  points: "9 17 4 12 9 7"
}], ["path", {
  d: "M20 18v-2a4 4 0 00-4-4H4"
}]]];
var reply_default = Reply;

// node_modules/lucide/dist/esm/icons/rewind.js
var Rewind = ["svg", defaultAttributes_default, [["polygon", {
  points: "11 19 2 12 11 5 11 19"
}], ["polygon", {
  points: "22 19 13 12 22 5 22 19"
}]]];
var rewind_default = Rewind;

// node_modules/lucide/dist/esm/icons/rocket.js
var Rocket = ["svg", defaultAttributes_default, [["path", {
  d: "M4.5 16.5c-1.5 1.26-2 5-2 5s3.74-.5 5-2c.71-.84.7-2.13-.09-2.91a2.18 2.18 0 00-2.91-.09z"
}], ["path", {
  d: "M12 15l-3-3a22 22 0 012-3.95A12.88 12.88 0 0122 2c0 2.72-.78 7.5-6 11a22.35 22.35 0 01-4 2z"
}], ["path", {
  d: "M9 12H4s.55-3.03 2-4c1.62-1.08 5 0 5 0"
}], ["path", {
  d: "M12 15v5s3.03-.55 4-2c1.08-1.62 0-5 0-5"
}]]];
var rocket_default = Rocket;

// node_modules/lucide/dist/esm/icons/rocking-chair.js
var RockingChair = ["svg", defaultAttributes_default, [["polyline", {
  points: "3.5 2 6.5 12.5 18 12.5"
}], ["line", {
  x1: "9.5",
  y1: "12.5",
  x2: "5.5",
  y2: "20"
}], ["line", {
  x1: "15",
  y1: "12.5",
  x2: "18.5",
  y2: "20"
}], ["path", {
  d: "M2.75 18a13 13 0 0018.5 0"
}]]];
var rocking_chair_default = RockingChair;

// node_modules/lucide/dist/esm/icons/rotate-ccw.js
var RotateCcw = ["svg", defaultAttributes_default, [["path", {
  d: "M3 2v6h6"
}], ["path", {
  d: "M3 13a9 9 0 103-7.7L3 8"
}]]];
var rotate_ccw_default = RotateCcw;

// node_modules/lucide/dist/esm/icons/rotate-cw.js
var RotateCw = ["svg", defaultAttributes_default, [["path", {
  d: "M21 2v6h-6"
}], ["path", {
  d: "M21 13a9 9 0 11-3-7.7L21 8"
}]]];
var rotate_cw_default = RotateCw;

// node_modules/lucide/dist/esm/icons/rss.js
var Rss = ["svg", defaultAttributes_default, [["path", {
  d: "M4 11a9 9 0 019 9"
}], ["path", {
  d: "M4 4a16 16 0 0116 16"
}], ["circle", {
  cx: "5",
  cy: "19",
  r: "1"
}]]];
var rss_default = Rss;

// node_modules/lucide/dist/esm/icons/ruler.js
var Ruler = ["svg", defaultAttributes_default, [["path", {
  d: "M16 2l6 6L8 22l-6-6L16 2"
}], ["path", {
  d: "M7.5 10.5l2 2"
}], ["path", {
  d: "M10.5 7.5l2 2"
}], ["path", {
  d: "M13.5 4.5l2 2"
}], ["path", {
  d: "M4.5 13.5l2 2"
}]]];
var ruler_default = Ruler;

// node_modules/lucide/dist/esm/icons/russian-ruble.js
var RussianRuble = ["svg", defaultAttributes_default, [["path", {
  d: "M14 11c5.333 0 5.333-8 0-8"
}], ["path", {
  d: "M6 11h8"
}], ["path", {
  d: "M6 15h8"
}], ["path", {
  d: "M9 21V3"
}], ["path", {
  d: "M9 3h5"
}]]];
var russian_ruble_default = RussianRuble;

// node_modules/lucide/dist/esm/icons/save.js
var Save = ["svg", defaultAttributes_default, [["path", {
  d: "M19 21H5a2 2 0 01-2-2V5a2 2 0 012-2h11l5 5v11a2 2 0 01-2 2z"
}], ["polyline", {
  points: "17 21 17 13 7 13 7 21"
}], ["polyline", {
  points: "7 3 7 8 15 8"
}]]];
var save_default = Save;

// node_modules/lucide/dist/esm/icons/scale.js
var Scale = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16l3-8 3.001 8A5.002 5.002 0 0116 16z"
}], ["path", {
  d: "M2 16l3-8 3.001 8A5.002 5.002 0 012 16z"
}], ["path", {
  d: "M7 21h10"
}], ["path", {
  d: "M12 3v18"
}], ["path", {
  d: "M3 7h2c2 0 5-1 7-2 2 1 5 2 7 2h2"
}]]];
var scale_default = Scale;

// node_modules/lucide/dist/esm/icons/scan-line.js
var ScanLine = ["svg", defaultAttributes_default, [["path", {
  d: "M3 7V5a2 2 0 012-2h2"
}], ["path", {
  d: "M17 3h2a2 2 0 012 2v2"
}], ["path", {
  d: "M21 17v2a2 2 0 01-2 2h-2"
}], ["path", {
  d: "M7 21H5a2 2 0 01-2-2v-2"
}], ["line", {
  x1: "7",
  y1: "12",
  x2: "17",
  y2: "12"
}]]];
var scan_line_default = ScanLine;

// node_modules/lucide/dist/esm/icons/scan.js
var Scan = ["svg", defaultAttributes_default, [["path", {
  d: "M3 7V5a2 2 0 012-2h2"
}], ["path", {
  d: "M17 3h2a2 2 0 012 2v2"
}], ["path", {
  d: "M21 17v2a2 2 0 01-2 2h-2"
}], ["path", {
  d: "M7 21H5a2 2 0 01-2-2v-2"
}]]];
var scan_default = Scan;

// node_modules/lucide/dist/esm/icons/scissors.js
var Scissors = ["svg", defaultAttributes_default, [["circle", {
  cx: "6",
  cy: "6",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "18",
  r: "3"
}], ["line", {
  x1: "20",
  y1: "4",
  x2: "8.12",
  y2: "15.88"
}], ["line", {
  x1: "14.47",
  y1: "14.48",
  x2: "20",
  y2: "20"
}], ["line", {
  x1: "8.12",
  y1: "8.12",
  x2: "12",
  y2: "12"
}]]];
var scissors_default = Scissors;

// node_modules/lucide/dist/esm/icons/screen-share-off.js
var ScreenShareOff = ["svg", defaultAttributes_default, [["path", {
  d: "M13 3H4a2 2 0 00-2 2v10a2 2 0 002 2h16a2 2 0 002-2v-3"
}], ["path", {
  d: "M8 21h8"
}], ["path", {
  d: "M12 17v4"
}], ["path", {
  d: "M22 3l-5 5"
}], ["path", {
  d: "M17 3l5 5"
}]]];
var screen_share_off_default = ScreenShareOff;

// node_modules/lucide/dist/esm/icons/screen-share.js
var ScreenShare = ["svg", defaultAttributes_default, [["path", {
  d: "M13 3H4a2 2 0 00-2 2v10a2 2 0 002 2h16a2 2 0 002-2v-3"
}], ["path", {
  d: "M8 21h8"
}], ["path", {
  d: "M12 17v4"
}], ["path", {
  d: "M17 8l5-5"
}], ["path", {
  d: "M17 3h5v5"
}]]];
var screen_share_default = ScreenShare;

// node_modules/lucide/dist/esm/icons/search.js
var Search = ["svg", defaultAttributes_default, [["circle", {
  cx: "11",
  cy: "11",
  r: "8"
}], ["line", {
  x1: "21",
  y1: "21",
  x2: "16.65",
  y2: "16.65"
}]]];
var search_default = Search;

// node_modules/lucide/dist/esm/icons/send.js
var Send = ["svg", defaultAttributes_default, [["line", {
  x1: "22",
  y1: "2",
  x2: "11",
  y2: "13"
}], ["polygon", {
  points: "22 2 15 22 11 13 2 9 22 2"
}]]];
var send_default = Send;

// node_modules/lucide/dist/esm/icons/separator-horizontal.js
var SeparatorHorizontal = ["svg", defaultAttributes_default, [["line", {
  x1: "3",
  y1: "12",
  x2: "21",
  y2: "12"
}], ["polyline", {
  points: "8 8 12 4 16 8"
}], ["polyline", {
  points: "16 16 12 20 8 16"
}]]];
var separator_horizontal_default = SeparatorHorizontal;

// node_modules/lucide/dist/esm/icons/separator-vertical.js
var SeparatorVertical = ["svg", defaultAttributes_default, [["line", {
  x1: "12",
  y1: "3",
  x2: "12",
  y2: "21"
}], ["polyline", {
  points: "8 8 4 12 8 16"
}], ["polyline", {
  points: "16 16 20 12 16 8"
}]]];
var separator_vertical_default = SeparatorVertical;

// node_modules/lucide/dist/esm/icons/server-crash.js
var ServerCrash = ["svg", defaultAttributes_default, [["path", {
  d: "M6 10H4a2 2 0 01-2-2V4a2 2 0 012-2h16a2 2 0 012 2v4a2 2 0 01-2 2h-2"
}], ["path", {
  d: "M6 14H4a2 2 0 00-2 2v4a2 2 0 002 2h16a2 2 0 002-2v-4a2 2 0 00-2-2h-2"
}], ["path", {
  d: "M6 6h.01"
}], ["path", {
  d: "M6 18h.01"
}], ["path", {
  d: "M13 6l-4 6h6l-4 6"
}]]];
var server_crash_default = ServerCrash;

// node_modules/lucide/dist/esm/icons/server-off.js
var ServerOff = ["svg", defaultAttributes_default, [["path", {
  d: "M7 2h13a2 2 0 012 2v4a2 2 0 01-2 2h-5"
}], ["path", {
  d: "M10 10L2.5 2.5C2 2 2 2.5 2 5v3a2 2 0 002 2h6z"
}], ["path", {
  d: "M22 17v-1a2 2 0 00-2-2h-1"
}], ["path", {
  d: "M4 14a2 2 0 00-2 2v4a2 2 0 002 2h16.5l1-.5.5.5-8-8H4z"
}], ["path", {
  d: "M6 18h.01"
}], ["path", {
  d: "M2 2l20 20"
}]]];
var server_off_default = ServerOff;

// node_modules/lucide/dist/esm/icons/server.js
var Server = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "2",
  width: "20",
  height: "8",
  rx: "2",
  ry: "2"
}], ["rect", {
  x: "2",
  y: "14",
  width: "20",
  height: "8",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "6",
  y1: "6",
  x2: "6.01",
  y2: "6"
}], ["line", {
  x1: "6",
  y1: "18",
  x2: "6.01",
  y2: "18"
}]]];
var server_default = Server;

// node_modules/lucide/dist/esm/icons/settings-2.js
var Settings2 = ["svg", defaultAttributes_default, [["path", {
  d: "M20 7h-9"
}], ["path", {
  d: "M14 17H5"
}], ["circle", {
  cx: "17",
  cy: "17",
  r: "3"
}], ["circle", {
  cx: "7",
  cy: "7",
  r: "3"
}]]];
var settings_2_default = Settings2;

// node_modules/lucide/dist/esm/icons/settings.js
var Settings = ["svg", defaultAttributes_default, [["path", {
  d: "M12.22 2h-.44a2 2 0 00-2 2v.18a2 2 0 01-1 1.73l-.43.25a2 2 0 01-2 0l-.15-.08a2 2 0 00-2.73.73l-.22.38a2 2 0 00.73 2.73l.15.1a2 2 0 011 1.72v.51a2 2 0 01-1 1.74l-.15.09a2 2 0 00-.73 2.73l.22.38a2 2 0 002.73.73l.15-.08a2 2 0 012 0l.43.25a2 2 0 011 1.73V20a2 2 0 002 2h.44a2 2 0 002-2v-.18a2 2 0 011-1.73l.43-.25a2 2 0 012 0l.15.08a2 2 0 002.73-.73l.22-.39a2 2 0 00-.73-2.73l-.15-.08a2 2 0 01-1-1.74v-.5a2 2 0 011-1.74l.15-.09a2 2 0 00.73-2.73l-.22-.38a2 2 0 00-2.73-.73l-.15.08a2 2 0 01-2 0l-.43-.25a2 2 0 01-1-1.73V4a2 2 0 00-2-2z"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}]]];
var settings_default = Settings;

// node_modules/lucide/dist/esm/icons/share-2.js
var Share2 = ["svg", defaultAttributes_default, [["circle", {
  cx: "18",
  cy: "5",
  r: "3"
}], ["circle", {
  cx: "6",
  cy: "12",
  r: "3"
}], ["circle", {
  cx: "18",
  cy: "19",
  r: "3"
}], ["line", {
  x1: "8.59",
  y1: "13.51",
  x2: "15.42",
  y2: "17.49"
}], ["line", {
  x1: "15.41",
  y1: "6.51",
  x2: "8.59",
  y2: "10.49"
}]]];
var share_2_default = Share2;

// node_modules/lucide/dist/esm/icons/share.js
var Share = ["svg", defaultAttributes_default, [["path", {
  d: "M4 12v8a2 2 0 002 2h12a2 2 0 002-2v-8"
}], ["polyline", {
  points: "16 6 12 2 8 6"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "15"
}]]];
var share_default = Share;

// node_modules/lucide/dist/esm/icons/sheet.js
var Sheet = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "3",
  y1: "9",
  x2: "21",
  y2: "9"
}], ["line", {
  x1: "3",
  y1: "15",
  x2: "21",
  y2: "15"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "9",
  y2: "21"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "15",
  y2: "21"
}]]];
var sheet_default = Sheet;

// node_modules/lucide/dist/esm/icons/shield-alert.js
var ShieldAlert = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
}], ["path", {
  d: "M12 8v4"
}], ["path", {
  d: "M12 16h.01"
}]]];
var shield_alert_default = ShieldAlert;

// node_modules/lucide/dist/esm/icons/shield-check.js
var ShieldCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
}], ["path", {
  d: "M9 12l2 2 4-4"
}]]];
var shield_check_default = ShieldCheck;

// node_modules/lucide/dist/esm/icons/shield-close.js
var ShieldClose = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
}], ["line", {
  x1: "9.5",
  y1: "9",
  x2: "14.5",
  y2: "14"
}], ["line", {
  x1: "14.5",
  y1: "9",
  x2: "9.5",
  y2: "14"
}]]];
var shield_close_default = ShieldClose;

// node_modules/lucide/dist/esm/icons/shield-off.js
var ShieldOff = ["svg", defaultAttributes_default, [["path", {
  d: "M19.69 14a6.9 6.9 0 00.31-2V5l-8-3-3.16 1.18"
}], ["path", {
  d: "M4.73 4.73L4 5v7c0 6 8 10 8 10a20.29 20.29 0 005.62-4.38"
}], ["line", {
  x1: "1",
  y1: "1",
  x2: "23",
  y2: "23"
}]]];
var shield_off_default = ShieldOff;

// node_modules/lucide/dist/esm/icons/shield.js
var Shield = ["svg", defaultAttributes_default, [["path", {
  d: "M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
}]]];
var shield_default = Shield;

// node_modules/lucide/dist/esm/icons/shirt.js
var Shirt = ["svg", defaultAttributes_default, [["path", {
  d: "M20.38 3.46L16 2a4 4 0 01-8 0L3.62 3.46a2 2 0 00-1.34 2.23l.58 3.47a1 1 0 00.99.84H6v10c0 1.1.9 2 2 2h8a2 2 0 002-2V10h2.15a1 1 0 00.99-.84l.58-3.47a2 2 0 00-1.34-2.23z"
}]]];
var shirt_default = Shirt;

// node_modules/lucide/dist/esm/icons/shopping-bag.js
var ShoppingBag = ["svg", defaultAttributes_default, [["path", {
  d: "M6 2L3 6v14a2 2 0 002 2h14a2 2 0 002-2V6l-3-4z"
}], ["line", {
  x1: "3",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["path", {
  d: "M16 10a4 4 0 01-8 0"
}]]];
var shopping_bag_default = ShoppingBag;

// node_modules/lucide/dist/esm/icons/shopping-cart.js
var ShoppingCart = ["svg", defaultAttributes_default, [["circle", {
  cx: "9",
  cy: "21",
  r: "1"
}], ["circle", {
  cx: "20",
  cy: "21",
  r: "1"
}], ["path", {
  d: "M1 1h4l2.68 13.39a2 2 0 002 1.61h9.72a2 2 0 002-1.61L23 6H6"
}]]];
var shopping_cart_default = ShoppingCart;

// node_modules/lucide/dist/esm/icons/shovel.js
var Shovel = ["svg", defaultAttributes_default, [["path", {
  d: "M2 22v-5l5-5 5 5-5 5z"
}], ["path", {
  d: "M9.5 14.5L16 8"
}], ["path", {
  d: "M17 2l5 5-.5.5a3.53 3.53 0 01-5 0s0 0 0 0a3.53 3.53 0 010-5L17 2"
}]]];
var shovel_default = Shovel;

// node_modules/lucide/dist/esm/icons/shrink.js
var Shrink = ["svg", defaultAttributes_default, [["path", {
  d: "M15 15l6 6m-6-6v4.8m0-4.8h4.8"
}], ["path", {
  d: "M9 19.8V15m0 0H4.2M9 15l-6 6"
}], ["path", {
  d: "M15 4.2V9m0 0h4.8M15 9l6-6"
}], ["path", {
  d: "M9 4.2V9m0 0H4.2M9 9L3 3"
}]]];
var shrink_default = Shrink;

// node_modules/lucide/dist/esm/icons/shuffle.js
var Shuffle = ["svg", defaultAttributes_default, [["polyline", {
  points: "16 3 21 3 21 8"
}], ["line", {
  x1: "4",
  y1: "20",
  x2: "21",
  y2: "3"
}], ["polyline", {
  points: "21 16 21 21 16 21"
}], ["line", {
  x1: "15",
  y1: "15",
  x2: "21",
  y2: "21"
}], ["line", {
  x1: "4",
  y1: "4",
  x2: "9",
  y2: "9"
}]]];
var shuffle_default = Shuffle;

// node_modules/lucide/dist/esm/icons/sidebar-close.js
var SidebarClose = ["svg", defaultAttributes_default, [["path", {
  d: "M19 3H5a2 2 0 00-2 2v14a2 2 0 002 2h14a2 2 0 002-2V5a2 2 0 00-2-2z"
}], ["path", {
  d: "M9 3v18"
}], ["path", {
  d: "M16 15l-3-3 3-3"
}]]];
var sidebar_close_default = SidebarClose;

// node_modules/lucide/dist/esm/icons/sidebar-open.js
var SidebarOpen = ["svg", defaultAttributes_default, [["path", {
  d: "M19 3H5a2 2 0 00-2 2v14a2 2 0 002 2h14a2 2 0 002-2V5a2 2 0 00-2-2z"
}], ["path", {
  d: "M9 3v18"
}], ["path", {
  d: "M14 9l3 3-3 3"
}]]];
var sidebar_open_default = SidebarOpen;

// node_modules/lucide/dist/esm/icons/sidebar.js
var Sidebar = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "9",
  y1: "3",
  x2: "9",
  y2: "21"
}]]];
var sidebar_default = Sidebar;

// node_modules/lucide/dist/esm/icons/sigma.js
var Sigma = ["svg", defaultAttributes_default, [["path", {
  d: "M18 7V4H6l6 8-6 8h12v-3"
}]]];
var sigma_default = Sigma;

// node_modules/lucide/dist/esm/icons/signal-high.js
var SignalHigh = ["svg", defaultAttributes_default, [["path", {
  d: "M2 20h.01"
}], ["path", {
  d: "M7 20v-4"
}], ["path", {
  d: "M12 20v-8"
}], ["path", {
  d: "M17 20V8"
}]]];
var signal_high_default = SignalHigh;

// node_modules/lucide/dist/esm/icons/signal-low.js
var SignalLow = ["svg", defaultAttributes_default, [["path", {
  d: "M2 20h.01"
}], ["path", {
  d: "M7 20v-4"
}]]];
var signal_low_default = SignalLow;

// node_modules/lucide/dist/esm/icons/signal-medium.js
var SignalMedium = ["svg", defaultAttributes_default, [["path", {
  d: "M2 20h.01"
}], ["path", {
  d: "M7 20v-4"
}], ["path", {
  d: "M12 20v-8"
}]]];
var signal_medium_default = SignalMedium;

// node_modules/lucide/dist/esm/icons/signal-zero.js
var SignalZero = ["svg", defaultAttributes_default, [["path", {
  d: "M2 20h.01"
}], ["path", {
  d: "M7 20v-4"
}]]];
var signal_zero_default = SignalZero;

// node_modules/lucide/dist/esm/icons/signal.js
var Signal = ["svg", defaultAttributes_default, [["path", {
  d: "M2 20h.01"
}], ["path", {
  d: "M7 20v-4"
}], ["path", {
  d: "M12 20v-8"
}], ["path", {
  d: "M17 20V8"
}], ["path", {
  d: "M22 4v16"
}]]];
var signal_default = Signal;

// node_modules/lucide/dist/esm/icons/skip-back.js
var SkipBack = ["svg", defaultAttributes_default, [["polygon", {
  points: "19 20 9 12 19 4 19 20"
}], ["line", {
  x1: "5",
  y1: "19",
  x2: "5",
  y2: "5"
}]]];
var skip_back_default = SkipBack;

// node_modules/lucide/dist/esm/icons/skip-forward.js
var SkipForward = ["svg", defaultAttributes_default, [["polygon", {
  points: "5 4 15 12 5 20 5 4"
}], ["line", {
  x1: "19",
  y1: "5",
  x2: "19",
  y2: "19"
}]]];
var skip_forward_default = SkipForward;

// node_modules/lucide/dist/esm/icons/skull.js
var Skull = ["svg", defaultAttributes_default, [["circle", {
  cx: "9",
  cy: "12",
  r: "1"
}], ["circle", {
  cx: "15",
  cy: "12",
  r: "1"
}], ["path", {
  d: "M8 20v2h8v-2"
}], ["path", {
  d: "M12.5 17l-.5-1-.5 1h1z"
}], ["path", {
  d: "M16 20a2 2 0 001.56-3.25 8 8 0 10-11.12 0A2 2 0 008 20"
}]]];
var skull_default = Skull;

// node_modules/lucide/dist/esm/icons/slack.js
var Slack = ["svg", defaultAttributes_default, [["rect", {
  x: "13",
  y: "2",
  width: "3",
  height: "8",
  rx: "1.5"
}], ["path", {
  d: "M19 8.5V10h1.5A1.5 1.5 0 1019 8.5"
}], ["rect", {
  x: "8",
  y: "14",
  width: "3",
  height: "8",
  rx: "1.5"
}], ["path", {
  d: "M5 15.5V14H3.5A1.5 1.5 0 105 15.5"
}], ["rect", {
  x: "14",
  y: "13",
  width: "8",
  height: "3",
  rx: "1.5"
}], ["path", {
  d: "M15.5 19H14v1.5a1.5 1.5 0 101.5-1.5"
}], ["rect", {
  x: "2",
  y: "8",
  width: "8",
  height: "3",
  rx: "1.5"
}], ["path", {
  d: "M8.5 5H10V3.5A1.5 1.5 0 108.5 5"
}]]];
var slack_default = Slack;

// node_modules/lucide/dist/esm/icons/slash.js
var Slash = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "4.93",
  y1: "4.93",
  x2: "19.07",
  y2: "19.07"
}]]];
var slash_default = Slash;

// node_modules/lucide/dist/esm/icons/sliders.js
var Sliders = ["svg", defaultAttributes_default, [["line", {
  x1: "4",
  y1: "21",
  x2: "4",
  y2: "14"
}], ["line", {
  x1: "4",
  y1: "10",
  x2: "4",
  y2: "3"
}], ["line", {
  x1: "12",
  y1: "21",
  x2: "12",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "8",
  x2: "12",
  y2: "3"
}], ["line", {
  x1: "20",
  y1: "21",
  x2: "20",
  y2: "16"
}], ["line", {
  x1: "20",
  y1: "12",
  x2: "20",
  y2: "3"
}], ["line", {
  x1: "1",
  y1: "14",
  x2: "7",
  y2: "14"
}], ["line", {
  x1: "9",
  y1: "8",
  x2: "15",
  y2: "8"
}], ["line", {
  x1: "17",
  y1: "16",
  x2: "23",
  y2: "16"
}]]];
var sliders_default = Sliders;

// node_modules/lucide/dist/esm/icons/smartphone-charging.js
var SmartphoneCharging = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "2",
  width: "14",
  height: "20",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M12.667 8L10 12h4l-2.667 4"
}]]];
var smartphone_charging_default = SmartphoneCharging;

// node_modules/lucide/dist/esm/icons/smartphone.js
var Smartphone = ["svg", defaultAttributes_default, [["rect", {
  x: "5",
  y: "2",
  width: "14",
  height: "20",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M12 18h.01"
}]]];
var smartphone_default = Smartphone;

// node_modules/lucide/dist/esm/icons/smile.js
var Smile = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["path", {
  d: "M8 14s1.5 2 4 2 4-2 4-2"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "9.01",
  y2: "9"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "15.01",
  y2: "9"
}]]];
var smile_default = Smile;

// node_modules/lucide/dist/esm/icons/snowflake.js
var Snowflake = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  y1: "12",
  x2: "22",
  y2: "12"
}], ["line", {
  x1: "12",
  y1: "2",
  x2: "12",
  y2: "22"
}], ["path", {
  d: "M20 16l-4-4 4-4"
}], ["path", {
  d: "M4 8l4 4-4 4"
}], ["path", {
  d: "M16 4l-4 4-4-4"
}], ["path", {
  d: "M8 20l4-4 4 4"
}]]];
var snowflake_default = Snowflake;

// node_modules/lucide/dist/esm/icons/sort-asc.js
var SortAsc = ["svg", defaultAttributes_default, [["path", {
  d: "M11 5h4"
}], ["path", {
  d: "M11 9h7"
}], ["path", {
  d: "M11 13h10"
}], ["path", {
  d: "M3 17l3 3 3-3"
}], ["path", {
  d: "M6 18V4"
}]]];
var sort_asc_default = SortAsc;

// node_modules/lucide/dist/esm/icons/sort-desc.js
var SortDesc = ["svg", defaultAttributes_default, [["path", {
  d: "M11 5h10"
}], ["path", {
  d: "M11 9h7"
}], ["path", {
  d: "M11 13h4"
}], ["path", {
  d: "M3 17l3 3 3-3"
}], ["path", {
  d: "M6 18V4"
}]]];
var sort_desc_default = SortDesc;

// node_modules/lucide/dist/esm/icons/speaker.js
var Speaker = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "16",
  height: "20",
  rx: "2",
  ry: "2"
}], ["circle", {
  cx: "12",
  cy: "14",
  r: "4"
}], ["line", {
  x1: "12",
  y1: "6",
  x2: "12.01",
  y2: "6"
}]]];
var speaker_default = Speaker;

// node_modules/lucide/dist/esm/icons/sprout.js
var Sprout = ["svg", defaultAttributes_default, [["path", {
  d: "M7 20h10"
}], ["path", {
  d: "M10 20c5.5-2.5.8-6.4 3-10"
}], ["path", {
  d: "M9.5 9.4c1.1.8 1.8 2.2 2.3 3.7-2 .4-3.5.4-4.8-.3-1.2-.6-2.3-1.9-3-4.2 2.8-.5 4.4 0 5.5.8z"
}], ["path", {
  d: "M14.1 6a7 7 0 00-1.1 4c1.9-.1 3.3-.6 4.3-1.4 1-1 1.6-2.3 1.7-4.6-2.7.1-4 1-4.9 2z"
}]]];
var sprout_default = Sprout;

// node_modules/lucide/dist/esm/icons/square.js
var Square = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}]]];
var square_default = Square;

// node_modules/lucide/dist/esm/icons/star-half.js
var StarHalf = ["svg", defaultAttributes_default, [["path", {
  d: "M12 17.8L5.8 21 7 14.1 2 9.3l7-1L12 2"
}]]];
var star_half_default = StarHalf;

// node_modules/lucide/dist/esm/icons/star.js
var Star = ["svg", defaultAttributes_default, [["polygon", {
  points: "12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"
}]]];
var star_default = Star;

// node_modules/lucide/dist/esm/icons/stop-circle.js
var StopCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["rect", {
  x: "9",
  y: "9",
  width: "6",
  height: "6"
}]]];
var stop_circle_default = StopCircle;

// node_modules/lucide/dist/esm/icons/stretch-horizontal.js
var StretchHorizontal = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "4",
  width: "20",
  height: "6",
  rx: "2"
}], ["rect", {
  x: "2",
  y: "14",
  width: "20",
  height: "6",
  rx: "2"
}]]];
var stretch_horizontal_default = StretchHorizontal;

// node_modules/lucide/dist/esm/icons/stretch-vertical.js
var StretchVertical = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "6",
  height: "20",
  rx: "2"
}], ["rect", {
  x: "14",
  y: "2",
  width: "6",
  height: "20",
  rx: "2"
}]]];
var stretch_vertical_default = StretchVertical;

// node_modules/lucide/dist/esm/icons/strikethrough.js
var Strikethrough = ["svg", defaultAttributes_default, [["path", {
  d: "M16 4H9a3 3 0 00-2.83 4"
}], ["path", {
  d: "M14 12a4 4 0 010 8H6"
}], ["line", {
  x1: "4",
  y1: "12",
  x2: "20",
  y2: "12"
}]]];
var strikethrough_default = Strikethrough;

// node_modules/lucide/dist/esm/icons/subscript.js
var Subscript = ["svg", defaultAttributes_default, [["path", {
  d: "M4 5l8 8"
}], ["path", {
  d: "M12 5l-8 8"
}], ["path", {
  d: "M20 19h-4c0-1.5.44-2 1.5-2.5S20 15.33 20 14c0-.47-.17-.93-.48-1.29a2.11 2.11 0 00-2.62-.44c-.42.24-.74.62-.9 1.07"
}]]];
var subscript_default = Subscript;

// node_modules/lucide/dist/esm/icons/sun.js
var Sun = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "4"
}], ["path", {
  d: "M12 2v2"
}], ["path", {
  d: "M12 20v2"
}], ["path", {
  d: "M5 5l1.5 1.5"
}], ["path", {
  d: "M17.5 17.5L19 19"
}], ["path", {
  d: "M2 12h2"
}], ["path", {
  d: "M20 12h2"
}], ["path", {
  d: "M5 19l1.5-1.5"
}], ["path", {
  d: "M17.5 6.5L19 5"
}]]];
var sun_default = Sun;

// node_modules/lucide/dist/esm/icons/sunrise.js
var Sunrise = ["svg", defaultAttributes_default, [["path", {
  d: "M12 2v8"
}], ["path", {
  d: "M5.2 11.2l1.4 1.4"
}], ["path", {
  d: "M2 18h2"
}], ["path", {
  d: "M20 18h2"
}], ["path", {
  d: "M17.4 12.6l1.4-1.4"
}], ["path", {
  d: "M22 22H2"
}], ["path", {
  d: "M8 6l4-4 4 4"
}], ["path", {
  d: "M16 18a4 4 0 00-8 0"
}]]];
var sunrise_default = Sunrise;

// node_modules/lucide/dist/esm/icons/sunset.js
var Sunset = ["svg", defaultAttributes_default, [["path", {
  d: "M12 10V2"
}], ["path", {
  d: "M5.2 11.2l1.4 1.4"
}], ["path", {
  d: "M2 18h2"
}], ["path", {
  d: "M20 18h2"
}], ["path", {
  d: "M17.4 12.6l1.4-1.4"
}], ["path", {
  d: "M22 22H2"
}], ["path", {
  d: "M16 6l-4 4-4-4"
}], ["path", {
  d: "M16 18a4 4 0 00-8 0"
}]]];
var sunset_default = Sunset;

// node_modules/lucide/dist/esm/icons/superscript.js
var Superscript = ["svg", defaultAttributes_default, [["path", {
  d: "M4 19l8-8"
}], ["path", {
  d: "M12 19l-8-8"
}], ["path", {
  d: "M20 12h-4c0-1.5.442-2 1.5-2.5S20 8.334 20 7.002c0-.472-.17-.93-.484-1.29a2.105 2.105 0 00-2.617-.436c-.42.239-.738.614-.899 1.06"
}]]];
var superscript_default = Superscript;

// node_modules/lucide/dist/esm/icons/swiss-franc.js
var SwissFranc = ["svg", defaultAttributes_default, [["path", {
  d: "M10 21V3h8"
}], ["path", {
  d: "M6 16h9"
}], ["path", {
  d: "M10 9.5h7"
}]]];
var swiss_franc_default = SwissFranc;

// node_modules/lucide/dist/esm/icons/switch-camera.js
var SwitchCamera = ["svg", defaultAttributes_default, [["path", {
  d: "M11 19H4a2 2 0 01-2-2V7a2 2 0 012-2h5"
}], ["path", {
  d: "M13 5h7a2 2 0 012 2v10a2 2 0 01-2 2h-5"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "3"
}], ["path", {
  d: "M18 22l-3-3 3-3"
}], ["path", {
  d: "M6 2l3 3-3 3"
}]]];
var switch_camera_default = SwitchCamera;

// node_modules/lucide/dist/esm/icons/table.js
var Table = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "3",
  y1: "9",
  x2: "21",
  y2: "9"
}], ["line", {
  x1: "3",
  y1: "15",
  x2: "21",
  y2: "15"
}], ["line", {
  x1: "12",
  y1: "3",
  x2: "12",
  y2: "21"
}]]];
var table_default = Table;

// node_modules/lucide/dist/esm/icons/tablet.js
var Tablet = ["svg", defaultAttributes_default, [["rect", {
  x: "4",
  y: "2",
  width: "16",
  height: "20",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "12",
  y1: "18",
  x2: "12.01",
  y2: "18"
}]]];
var tablet_default = Tablet;

// node_modules/lucide/dist/esm/icons/tag.js
var Tag = ["svg", defaultAttributes_default, [["path", {
  d: "M2 12V2h10l9.44 9.44a2 2 0 0 1 0 2.82l-7.18 7.18a2 2 0 0 1-2.82 0L2 12Z"
}], ["path", {
  d: "M7 7h.01"
}]]];
var tag_default = Tag;

// node_modules/lucide/dist/esm/icons/target.js
var Target = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "6"
}], ["circle", {
  cx: "12",
  cy: "12",
  r: "2"
}]]];
var target_default = Target;

// node_modules/lucide/dist/esm/icons/tent.js
var Tent = ["svg", defaultAttributes_default, [["path", {
  d: "M19 20L10 4"
}], ["path", {
  d: "M5 20l9-16"
}], ["path", {
  d: "M3 20h18"
}], ["path", {
  d: "M12 15l-3 5"
}], ["path", {
  d: "M12 15l3 5"
}]]];
var tent_default = Tent;

// node_modules/lucide/dist/esm/icons/terminal-square.js
var TerminalSquare = ["svg", defaultAttributes_default, [["path", {
  d: "M7 11l2-2-2-2"
}], ["path", {
  d: "M11 13h4"
}], ["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}]]];
var terminal_square_default = TerminalSquare;

// node_modules/lucide/dist/esm/icons/terminal.js
var Terminal = ["svg", defaultAttributes_default, [["polyline", {
  points: "4 17 10 11 4 5"
}], ["line", {
  x1: "12",
  y1: "19",
  x2: "20",
  y2: "19"
}]]];
var terminal_default = Terminal;

// node_modules/lucide/dist/esm/icons/text-cursor-input.js
var TextCursorInput = ["svg", defaultAttributes_default, [["path", {
  d: "M5.3 4h.9C7.7 4 9 5.3 9 6.7m0 0v10.5c0 1.6-1.1 2.7-2.7 2.7h-1M9 6.7v10.6a2.6 2.6 0 002.7 2.7h1M9 6.7C9 5.2 10.2 4 11.8 4h.9"
}], ["path", {
  d: "M13.1 7.9h6.8c1.1 0 2.1 1 2.1 2.1v4c0 1.1-.9 2.1-2.1 2.1h-6.8"
}], ["path", {
  d: "M4.8 16.1h-.7C3 16.1 2 15.1 2 14v-4c0-1.1 1-2.1 2.1-2.1h.7"
}]]];
var text_cursor_input_default = TextCursorInput;

// node_modules/lucide/dist/esm/icons/text-cursor.js
var TextCursor = ["svg", defaultAttributes_default, [["path", {
  d: "M17 22h-1a4 4 0 01-4-4V6a4 4 0 014-4h1"
}], ["path", {
  d: "M7 22h1a4 4 0 004-4v-1"
}], ["path", {
  d: "M7 2h1a4 4 0 014 4v1"
}]]];
var text_cursor_default = TextCursor;

// node_modules/lucide/dist/esm/icons/thermometer-snowflake.js
var ThermometerSnowflake = ["svg", defaultAttributes_default, [["path", {
  d: "M2 12h10"
}], ["path", {
  d: "M9 4v16"
}], ["path", {
  d: "M3 9l3 3-3 3"
}], ["path", {
  d: "M12 6L9 9 6 6"
}], ["path", {
  d: "M6 18l3-3 1.5 1.5"
}], ["path", {
  d: "M18 2a2 2 0 00-2 2v10.5a4 4 0 104 0V4a2 2 0 00-2-2z"
}]]];
var thermometer_snowflake_default = ThermometerSnowflake;

// node_modules/lucide/dist/esm/icons/thermometer-sun.js
var ThermometerSun = ["svg", defaultAttributes_default, [["path", {
  d: "M12 9a4 4 0 00-2 7.5"
}], ["path", {
  d: "M12 3v2"
}], ["path", {
  d: "M6.6 18.4l-1.4 1.4"
}], ["path", {
  d: "M18 2a2 2 0 012 2v10.5a4 4 0 11-4 0V4c0-1.1.9-2 2-2z"
}], ["path", {
  d: "M4 13H2"
}], ["path", {
  d: "M6.6 7.6L5.2 6.2"
}]]];
var thermometer_sun_default = ThermometerSun;

// node_modules/lucide/dist/esm/icons/thermometer.js
var Thermometer = ["svg", defaultAttributes_default, [["path", {
  d: "M12 2a2 2 0 00-2 2v10.5a4 4 0 104 0V4a2 2 0 00-2-2z"
}]]];
var thermometer_default = Thermometer;

// node_modules/lucide/dist/esm/icons/thumbs-down.js
var ThumbsDown = ["svg", defaultAttributes_default, [["path", {
  d: "M10 15v4a3 3 0 003 3l4-9V2H5.72a2 2 0 00-2 1.7l-1.38 9a2 2 0 002 2.3zm7-13h2.67A2.31 2.31 0 0122 4v7a2.31 2.31 0 01-2.33 2H17"
}]]];
var thumbs_down_default = ThumbsDown;

// node_modules/lucide/dist/esm/icons/thumbs-up.js
var ThumbsUp = ["svg", defaultAttributes_default, [["path", {
  d: "M14 9V5a3 3 0 00-3-3l-4 9v11h11.28a2 2 0 002-1.7l1.38-9a2 2 0 00-2-2.3zM7 22H4a2 2 0 01-2-2v-7a2 2 0 012-2h3"
}]]];
var thumbs_up_default = ThumbsUp;

// node_modules/lucide/dist/esm/icons/ticket.js
var Ticket = ["svg", defaultAttributes_default, [["path", {
  d: "M3 9V7a2 2 0 012-2h14a2 2 0 012 2v2M3 15v2a2 2 0 002 2h14a2 2 0 002-2v-2"
}], ["path", {
  d: "M21 15a3 3 0 110-6"
}], ["path", {
  d: "M3 15a3 3 0 100-6"
}], ["path", {
  d: "M13 5v2"
}], ["path", {
  d: "M13 17v2"
}], ["path", {
  d: "M13 11v2"
}]]];
var ticket_default = Ticket;

// node_modules/lucide/dist/esm/icons/timer-off.js
var TimerOff = ["svg", defaultAttributes_default, [["path", {
  d: "M10 2h4"
}], ["path", {
  d: "M7.43 7.433A8 8 0 0118.566 18.57M4.582 11A8 8 0 0015 21.419"
}], ["path", {
  d: "M2 2l20 20"
}], ["path", {
  d: "M12 12v-2"
}]]];
var timer_off_default = TimerOff;

// node_modules/lucide/dist/esm/icons/timer-reset.js
var TimerReset = ["svg", defaultAttributes_default, [["path", {
  d: "M10 2h4"
}], ["path", {
  d: "M12 14v-4"
}], ["path", {
  d: "M4 13a8 8 0 018-7 8 8 0 11-5.3 14L4 17.6"
}], ["path", {
  d: "M9 17H4v5"
}]]];
var timer_reset_default = TimerReset;

// node_modules/lucide/dist/esm/icons/timer.js
var Timer = ["svg", defaultAttributes_default, [["line", {
  x1: "10",
  x2: "14",
  y1: "2",
  y2: "2"
}], ["line", {
  x1: "12",
  x2: "15",
  y1: "14",
  y2: "11"
}], ["circle", {
  cx: "12",
  cy: "14",
  r: "8"
}]]];
var timer_default = Timer;

// node_modules/lucide/dist/esm/icons/toggle-left.js
var ToggleLeft = ["svg", defaultAttributes_default, [["rect", {
  x: "1",
  y: "5",
  width: "22",
  height: "14",
  rx: "7",
  ry: "7"
}], ["circle", {
  cx: "8",
  cy: "12",
  r: "3"
}]]];
var toggle_left_default = ToggleLeft;

// node_modules/lucide/dist/esm/icons/toggle-right.js
var ToggleRight = ["svg", defaultAttributes_default, [["rect", {
  x: "1",
  y: "5",
  width: "22",
  height: "14",
  rx: "7",
  ry: "7"
}], ["circle", {
  cx: "16",
  cy: "12",
  r: "3"
}]]];
var toggle_right_default = ToggleRight;

// node_modules/lucide/dist/esm/icons/tornado.js
var Tornado = ["svg", defaultAttributes_default, [["path", {
  d: "M21 4H3"
}], ["path", {
  d: "M18 8H6"
}], ["path", {
  d: "M19 12H9"
}], ["path", {
  d: "M16 16h-6"
}], ["path", {
  d: "M11 20H9"
}]]];
var tornado_default = Tornado;

// node_modules/lucide/dist/esm/icons/trash-2.js
var Trash2 = ["svg", defaultAttributes_default, [["polyline", {
  points: "3 6 5 6 21 6"
}], ["path", {
  d: "M19 6v14a2 2 0 01-2 2H7a2 2 0 01-2-2V6m3 0V4a2 2 0 012-2h4a2 2 0 012 2v2"
}], ["line", {
  x1: "10",
  y1: "11",
  x2: "10",
  y2: "17"
}], ["line", {
  x1: "14",
  y1: "11",
  x2: "14",
  y2: "17"
}]]];
var trash_2_default = Trash2;

// node_modules/lucide/dist/esm/icons/trash.js
var Trash = ["svg", defaultAttributes_default, [["polyline", {
  points: "3 6 5 6 21 6"
}], ["path", {
  d: "M19 6v14a2 2 0 01-2 2H7a2 2 0 01-2-2V6m3 0V4a2 2 0 012-2h4a2 2 0 012 2v2"
}]]];
var trash_default = Trash;

// node_modules/lucide/dist/esm/icons/trello.js
var Trello = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["rect", {
  x: "7",
  y: "7",
  width: "3",
  height: "9"
}], ["rect", {
  x: "14",
  y: "7",
  width: "3",
  height: "5"
}]]];
var trello_default = Trello;

// node_modules/lucide/dist/esm/icons/trending-down.js
var TrendingDown = ["svg", defaultAttributes_default, [["polyline", {
  points: "23 18 13.5 8.5 8.5 13.5 1 6"
}], ["polyline", {
  points: "17 18 23 18 23 12"
}]]];
var trending_down_default = TrendingDown;

// node_modules/lucide/dist/esm/icons/trending-up.js
var TrendingUp = ["svg", defaultAttributes_default, [["polyline", {
  points: "23 6 13.5 15.5 8.5 10.5 1 18"
}], ["polyline", {
  points: "17 6 23 6 23 12"
}]]];
var trending_up_default = TrendingUp;

// node_modules/lucide/dist/esm/icons/triangle.js
var Triangle = ["svg", defaultAttributes_default, [["path", {
  d: "M10.29 3.86L1.82 18a2 2 0 001.71 3h16.94a2 2 0 001.71-3L13.71 3.86a2 2 0 00-3.42 0z"
}]]];
var triangle_default = Triangle;

// node_modules/lucide/dist/esm/icons/truck.js
var Truck = ["svg", defaultAttributes_default, [["path", {
  d: "M10 17h4V5H2v12h3m15 0h2v-3.34a4 4 0 00-1.17-2.83L19 9h-5v8h1"
}], ["circle", {
  cx: "7.5",
  cy: "17.5",
  r: "2.5"
}], ["circle", {
  cx: "17.5",
  cy: "17.5",
  r: "2.5"
}]]];
var truck_default = Truck;

// node_modules/lucide/dist/esm/icons/tv-2.js
var Tv2 = ["svg", defaultAttributes_default, [["path", {
  d: "M7 21h10"
}], ["rect", {
  x: "2",
  y: "3",
  width: "20",
  height: "14",
  rx: "2"
}]]];
var tv_2_default = Tv2;

// node_modules/lucide/dist/esm/icons/tv.js
var Tv = ["svg", defaultAttributes_default, [["rect", {
  x: "2",
  y: "7",
  width: "20",
  height: "15",
  rx: "2",
  ry: "2"
}], ["polyline", {
  points: "17 2 12 7 7 2"
}]]];
var tv_default = Tv;

// node_modules/lucide/dist/esm/icons/twitch.js
var Twitch = ["svg", defaultAttributes_default, [["path", {
  d: "M21 2H3v16h5v4l4-4h5l4-4V2zm-10 9V7m5 4V7"
}]]];
var twitch_default = Twitch;

// node_modules/lucide/dist/esm/icons/twitter.js
var Twitter = ["svg", defaultAttributes_default, [["path", {
  d: "M23 3a10.9 10.9 0 01-3.14 1.53 4.48 4.48 0 00-7.86 3v1A10.66 10.66 0 013 4s-4 9 5 13a11.64 11.64 0 01-7 2c9 5 20 0 20-11.5 0-.28-.03-.56-.08-.83A7.72 7.72 0 0023 3z"
}]]];
var twitter_default = Twitter;

// node_modules/lucide/dist/esm/icons/type.js
var Type = ["svg", defaultAttributes_default, [["polyline", {
  points: "4 7 4 4 20 4 20 7"
}], ["line", {
  x1: "9",
  y1: "20",
  x2: "15",
  y2: "20"
}], ["line", {
  x1: "12",
  y1: "4",
  x2: "12",
  y2: "20"
}]]];
var type_default = Type;

// node_modules/lucide/dist/esm/icons/umbrella.js
var Umbrella = ["svg", defaultAttributes_default, [["path", {
  d: "M23 12a11.05 11.05 0 00-22 0zm-5 7a3 3 0 01-6 0v-7"
}]]];
var umbrella_default = Umbrella;

// node_modules/lucide/dist/esm/icons/underline.js
var Underline = ["svg", defaultAttributes_default, [["path", {
  d: "M6 4v6a6 6 0 0012 0V4"
}], ["line", {
  x1: "4",
  y1: "20",
  x2: "20",
  y2: "20"
}]]];
var underline_default = Underline;

// node_modules/lucide/dist/esm/icons/undo.js
var Undo = ["svg", defaultAttributes_default, [["path", {
  d: "M3 7v6h6"
}], ["path", {
  d: "M21 17a9 9 0 00-9-9 9 9 0 00-6 2.3L3 13"
}]]];
var undo_default = Undo;

// node_modules/lucide/dist/esm/icons/unlink-2.js
var Unlink2 = ["svg", defaultAttributes_default, [["path", {
  d: "M15 7h2a5 5 0 010 10h-2m-6 0H7A5 5 0 017 7h2"
}]]];
var unlink_2_default = Unlink2;

// node_modules/lucide/dist/esm/icons/unlink.js
var Unlink = ["svg", defaultAttributes_default, [["path", {
  d: "M18.84 12.25l1.72-1.71h-.02a5.004 5.004 0 00-.12-7.07 5.006 5.006 0 00-6.95 0l-1.72 1.71"
}], ["path", {
  d: "M5.17 11.75l-1.71 1.71a5.004 5.004 0 00.12 7.07 5.006 5.006 0 006.95 0l1.71-1.71"
}], ["line", {
  x1: "8",
  y1: "2",
  x2: "8",
  y2: "5"
}], ["line", {
  x1: "2",
  y1: "8",
  x2: "5",
  y2: "8"
}], ["line", {
  x1: "16",
  y1: "19",
  x2: "16",
  y2: "22"
}], ["line", {
  x1: "19",
  y1: "16",
  x2: "22",
  y2: "16"
}]]];
var unlink_default = Unlink;

// node_modules/lucide/dist/esm/icons/unlock.js
var Unlock = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "11",
  width: "18",
  height: "11",
  rx: "2",
  ry: "2"
}], ["path", {
  d: "M7 11V7a5 5 0 019.9-1"
}]]];
var unlock_default = Unlock;

// node_modules/lucide/dist/esm/icons/upload-cloud.js
var UploadCloud = ["svg", defaultAttributes_default, [["path", {
  d: "M20 16.2A4.5 4.5 0 0017.5 8h-1.8A7 7 0 104 14.9"
}], ["path", {
  d: "M12 12v9"
}], ["path", {
  d: "M16 16l-4-4-4 4"
}]]];
var upload_cloud_default = UploadCloud;

// node_modules/lucide/dist/esm/icons/upload.js
var Upload = ["svg", defaultAttributes_default, [["path", {
  d: "M21 15v4a2 2 0 01-2 2H5a2 2 0 01-2-2v-4"
}], ["polyline", {
  points: "17 8 12 3 7 8"
}], ["line", {
  x1: "12",
  y1: "3",
  x2: "12",
  y2: "15"
}]]];
var upload_default = Upload;

// node_modules/lucide/dist/esm/icons/user-check.js
var UserCheck = ["svg", defaultAttributes_default, [["path", {
  d: "M16 21v-2a4 4 0 00-4-4H5a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "8.5",
  cy: "7",
  r: "4"
}], ["polyline", {
  points: "17 11 19 13 23 9"
}]]];
var user_check_default = UserCheck;

// node_modules/lucide/dist/esm/icons/user-minus.js
var UserMinus = ["svg", defaultAttributes_default, [["path", {
  d: "M16 21v-2a4 4 0 00-4-4H5a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "8.5",
  cy: "7",
  r: "4"
}], ["line", {
  x1: "23",
  y1: "11",
  x2: "17",
  y2: "11"
}]]];
var user_minus_default = UserMinus;

// node_modules/lucide/dist/esm/icons/user-plus.js
var UserPlus = ["svg", defaultAttributes_default, [["path", {
  d: "M16 21v-2a4 4 0 00-4-4H5a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "8.5",
  cy: "7",
  r: "4"
}], ["line", {
  x1: "20",
  y1: "8",
  x2: "20",
  y2: "14"
}], ["line", {
  x1: "23",
  y1: "11",
  x2: "17",
  y2: "11"
}]]];
var user_plus_default = UserPlus;

// node_modules/lucide/dist/esm/icons/user-x.js
var UserX = ["svg", defaultAttributes_default, [["path", {
  d: "M16 21v-2a4 4 0 00-4-4H5a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "8.5",
  cy: "7",
  r: "4"
}], ["line", {
  x1: "18",
  y1: "8",
  x2: "23",
  y2: "13"
}], ["line", {
  x1: "23",
  y1: "8",
  x2: "18",
  y2: "13"
}]]];
var user_x_default = UserX;

// node_modules/lucide/dist/esm/icons/user.js
var User = ["svg", defaultAttributes_default, [["path", {
  d: "M20 21v-2a4 4 0 00-4-4H8a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "12",
  cy: "7",
  r: "4"
}]]];
var user_default = User;

// node_modules/lucide/dist/esm/icons/users.js
var Users = ["svg", defaultAttributes_default, [["path", {
  d: "M17 21v-2a4 4 0 00-4-4H5a4 4 0 00-4 4v2"
}], ["circle", {
  cx: "9",
  cy: "7",
  r: "4"
}], ["path", {
  d: "M23 21v-2a4 4 0 00-3-3.87"
}], ["path", {
  d: "M16 3.13a4 4 0 010 7.75"
}]]];
var users_default = Users;

// node_modules/lucide/dist/esm/icons/verified.js
var Verified = ["svg", defaultAttributes_default, [["path", {
  d: "M12 3a3.6 3.6 0 00-3.05 1.68 3.6 3.6 0 00-.9-.1 3.6 3.6 0 00-2.42 1.06 3.6 3.6 0 00-.94 3.32A3.6 3.6 0 003 12a3.6 3.6 0 001.69 3.05 3.6 3.6 0 00.95 3.32 3.6 3.6 0 003.35.96A3.6 3.6 0 0012 21a3.6 3.6 0 003.04-1.67 3.6 3.6 0 004.3-4.3A3.6 3.6 0 0021 12a3.6 3.6 0 00-1.67-3.04v0a3.6 3.6 0 00-4.3-4.3A3.6 3.6 0 0012 3z"
}], ["path", {
  d: "M15 10l-4 4"
}], ["path", {
  d: "M9 12l2 2"
}]]];
var verified_default = Verified;

// node_modules/lucide/dist/esm/icons/vibrate.js
var Vibrate = ["svg", defaultAttributes_default, [["path", {
  d: "M2 8l2 2-2 2 2 2-2 2"
}], ["path", {
  d: "M22 8l-2 2 2 2-2 2 2 2"
}], ["rect", {
  x: "8",
  y: "5",
  width: "8",
  height: "14",
  rx: "1"
}]]];
var vibrate_default = Vibrate;

// node_modules/lucide/dist/esm/icons/video-off.js
var VideoOff = ["svg", defaultAttributes_default, [["path", {
  d: "M16 16v1a2 2 0 01-2 2H3a2 2 0 01-2-2V7a2 2 0 012-2h2m5.66 0H14a2 2 0 012 2v3.34l1 1L23 7v10"
}], ["line", {
  x1: "1",
  y1: "1",
  x2: "23",
  y2: "23"
}]]];
var video_off_default = VideoOff;

// node_modules/lucide/dist/esm/icons/video.js
var Video = ["svg", defaultAttributes_default, [["polygon", {
  points: "23 7 16 12 23 17 23 7"
}], ["rect", {
  x: "1",
  y: "5",
  width: "15",
  height: "14",
  rx: "2",
  ry: "2"
}]]];
var video_default = Video;

// node_modules/lucide/dist/esm/icons/view.js
var View = ["svg", defaultAttributes_default, [["path", {
  d: "M5 12s2.545-5 7-5c4.454 0 7 5 7 5s-2.546 5-7 5c-4.455 0-7-5-7-5z"
}], ["path", {
  d: "M12 13a1 1 0 100-2 1 1 0 000 2z"
}], ["path", {
  d: "M21 8V5a2 2 0 00-2-2H5a2 2 0 00-2 2v3m18 8v3a2 2 0 01-2 2H5a2 2 0 01-2-2v-3"
}]]];
var view_default = View;

// node_modules/lucide/dist/esm/icons/voicemail.js
var Voicemail = ["svg", defaultAttributes_default, [["circle", {
  cx: "5.5",
  cy: "11.5",
  r: "4.5"
}], ["circle", {
  cx: "18.5",
  cy: "11.5",
  r: "4.5"
}], ["line", {
  x1: "5.5",
  y1: "16",
  x2: "18.5",
  y2: "16"
}]]];
var voicemail_default = Voicemail;

// node_modules/lucide/dist/esm/icons/volume-1.js
var Volume1 = ["svg", defaultAttributes_default, [["polygon", {
  points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
}], ["path", {
  d: "M15.54 8.46a5 5 0 010 7.07"
}]]];
var volume_1_default = Volume1;

// node_modules/lucide/dist/esm/icons/volume-2.js
var Volume2 = ["svg", defaultAttributes_default, [["polygon", {
  points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
}], ["path", {
  d: "M19.07 4.93a10 10 0 010 14.14M15.54 8.46a5 5 0 010 7.07"
}]]];
var volume_2_default = Volume2;

// node_modules/lucide/dist/esm/icons/volume-x.js
var VolumeX = ["svg", defaultAttributes_default, [["polygon", {
  points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
}], ["line", {
  x1: "23",
  y1: "9",
  x2: "17",
  y2: "15"
}], ["line", {
  x1: "17",
  y1: "9",
  x2: "23",
  y2: "15"
}]]];
var volume_x_default = VolumeX;

// node_modules/lucide/dist/esm/icons/volume.js
var Volume = ["svg", defaultAttributes_default, [["polygon", {
  points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
}]]];
var volume_default = Volume;

// node_modules/lucide/dist/esm/icons/wallet.js
var Wallet = ["svg", defaultAttributes_default, [["path", {
  d: "M20 12V8H6a2 2 0 01-2-2c0-1.1.9-2 2-2h12v4"
}], ["path", {
  d: "M4 6v12c0 1.1.9 2 2 2h14v-4"
}], ["path", {
  d: "M18 12a2 2 0 00-2 2c0 1.1.9 2 2 2h4v-4h-4z"
}]]];
var wallet_default = Wallet;

// node_modules/lucide/dist/esm/icons/wand.js
var Wand = ["svg", defaultAttributes_default, [["path", {
  d: "M15 4V2"
}], ["path", {
  d: "M15 16v-2"
}], ["path", {
  d: "M8 9h2"
}], ["path", {
  d: "M20 9h2"
}], ["path", {
  d: "M17.8 11.8L19 13"
}], ["path", {
  d: "M15 9h0"
}], ["path", {
  d: "M17.8 6.2L19 5"
}], ["path", {
  d: "M3 21l9-9"
}], ["path", {
  d: "M12.2 6.2L11 5"
}]]];
var wand_default = Wand;

// node_modules/lucide/dist/esm/icons/watch.js
var Watch = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "7"
}], ["polyline", {
  points: "12 9 12 12 13.5 13.5"
}], ["path", {
  d: "M16.51 17.35l-.35 3.83a2 2 0 01-2 1.82H9.83a2 2 0 01-2-1.82l-.35-3.83m.01-10.7l.35-3.83A2 2 0 019.83 1h4.35a2 2 0 012 1.82l.35 3.83"
}]]];
var watch_default = Watch;

// node_modules/lucide/dist/esm/icons/waves.js
var Waves = ["svg", defaultAttributes_default, [["path", {
  d: "M2 6c.6.5 1.2 1 2.5 1C7 7 7 5 9.5 5c1.3 0 1.9.5 2.5 1"
}], ["path", {
  d: "M2 18c.6.5 1.2 1 2.5 1 2.5 0 2.5-2 5-2 1.3 0 1.9.5 2.5 1"
}], ["path", {
  d: "M2 12c.6.5 1.2 1 2.5 1 2.5 0 2.5-2 5-2 1.3 0 1.9.5 2.5 1"
}], ["path", {
  d: "M12 6c.6.5 1.2 1 2.5 1 2.5 0 2.5-2 5-2 1.3 0 1.9.5 2.5 1"
}], ["path", {
  d: "M12 18c.6.5 1.2 1 2.5 1 2.5 0 2.5-2 5-2 1.3 0 1.9.5 2.5 1"
}], ["path", {
  d: "M12 12c.6.5 1.2 1 2.5 1 2.5 0 2.5-2 5-2 1.3 0 1.9.5 2.5 1"
}]]];
var waves_default = Waves;

// node_modules/lucide/dist/esm/icons/webcam.js
var Webcam = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "10",
  r: "8"
}], ["circle", {
  cx: "12",
  cy: "10",
  r: "3"
}], ["path", {
  d: "M12 22v-4m-5 4h5-5zm10 0h-5 5z"
}]]];
var webcam_default = Webcam;

// node_modules/lucide/dist/esm/icons/wifi-off.js
var WifiOff = ["svg", defaultAttributes_default, [["line", {
  x1: "2",
  y1: "2",
  x2: "22",
  y2: "22"
}], ["path", {
  d: "M8.5 16.5a5 5 0 017 0"
}], ["path", {
  d: "M2 8.82a15 15 0 014.17-2.65"
}], ["path", {
  d: "M10.66 5c4.01-.36 8.14.9 11.34 3.76"
}], ["path", {
  d: "M16.85 11.25a10 10 0 012.22 1.68"
}], ["path", {
  d: "M5 13a10 10 0 015.24-2.76"
}], ["line", {
  x1: "12",
  y1: "20",
  x2: "12.01",
  y2: "20"
}]]];
var wifi_off_default = WifiOff;

// node_modules/lucide/dist/esm/icons/wifi.js
var Wifi = ["svg", defaultAttributes_default, [["path", {
  d: "M5 13a10 10 0 0114 0"
}], ["path", {
  d: "M8.5 16.5a5 5 0 017 0"
}], ["path", {
  d: "M2 8.82a15 15 0 0120 0"
}], ["line", {
  x1: "12",
  y1: "20",
  x2: "12.01",
  y2: "20"
}]]];
var wifi_default = Wifi;

// node_modules/lucide/dist/esm/icons/wind.js
var Wind = ["svg", defaultAttributes_default, [["path", {
  d: "M17.7 7.7a2.5 2.5 0 111.8 4.3H2"
}], ["path", {
  d: "M9.6 4.6A2 2 0 1111 8H2"
}], ["path", {
  d: "M12.6 19.4A2 2 0 1014 16H2"
}]]];
var wind_default = Wind;

// node_modules/lucide/dist/esm/icons/wrap-text.js
var WrapText = ["svg", defaultAttributes_default, [["line", {
  x1: "3",
  y1: "6",
  x2: "21",
  y2: "6"
}], ["path", {
  d: "M3 12h15a3 3 0 110 6h-4"
}], ["polyline", {
  points: "16 16 14 18 16 20"
}], ["line", {
  x1: "3",
  y1: "18",
  x2: "10",
  y2: "18"
}]]];
var wrap_text_default = WrapText;

// node_modules/lucide/dist/esm/icons/wrench.js
var Wrench = ["svg", defaultAttributes_default, [["path", {
  d: "M14.7 6.3a1 1 0 000 1.4l1.6 1.6a1 1 0 001.4 0l3.77-3.77a6 6 0 01-7.94 7.94l-6.91 6.91a2.12 2.12 0 01-3-3l6.91-6.91a6 6 0 017.94-7.94l-3.76 3.76z"
}]]];
var wrench_default = Wrench;

// node_modules/lucide/dist/esm/icons/x-circle.js
var XCircle = ["svg", defaultAttributes_default, [["circle", {
  cx: "12",
  cy: "12",
  r: "10"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "9",
  y2: "15"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "15",
  y2: "15"
}]]];
var x_circle_default = XCircle;

// node_modules/lucide/dist/esm/icons/x-octagon.js
var XOctagon = ["svg", defaultAttributes_default, [["polygon", {
  points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "9",
  y2: "15"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "15",
  y2: "15"
}]]];
var x_octagon_default = XOctagon;

// node_modules/lucide/dist/esm/icons/x-square.js
var XSquare = ["svg", defaultAttributes_default, [["rect", {
  x: "3",
  y: "3",
  width: "18",
  height: "18",
  rx: "2",
  ry: "2"
}], ["line", {
  x1: "9",
  y1: "9",
  x2: "15",
  y2: "15"
}], ["line", {
  x1: "15",
  y1: "9",
  x2: "9",
  y2: "15"
}]]];
var x_square_default = XSquare;

// node_modules/lucide/dist/esm/icons/x.js
var X = ["svg", defaultAttributes_default, [["line", {
  x1: "18",
  y1: "6",
  x2: "6",
  y2: "18"
}], ["line", {
  x1: "6",
  y1: "6",
  x2: "18",
  y2: "18"
}]]];
var x_default = X;

// node_modules/lucide/dist/esm/icons/youtube.js
var Youtube = ["svg", defaultAttributes_default, [["path", {
  d: "M22.54 6.42a2.78 2.78 0 00-1.94-2C18.88 4 12 4 12 4s-6.88 0-8.6.46a2.78 2.78 0 00-1.94 2A29 29 0 001 11.75a29 29 0 00.46 5.33A2.78 2.78 0 003.4 19c1.72.46 8.6.46 8.6.46s6.88 0 8.6-.46a2.78 2.78 0 001.94-2 29 29 0 00.46-5.25 29 29 0 00-.46-5.33z"
}], ["polygon", {
  points: "9.75 15.02 15.5 11.75 9.75 8.48 9.75 15.02"
}]]];
var youtube_default = Youtube;

// node_modules/lucide/dist/esm/icons/zap-off.js
var ZapOff = ["svg", defaultAttributes_default, [["polyline", {
  points: "12.41 6.75 13 2 10.57 4.92"
}], ["polyline", {
  points: "18.57 12.91 21 10 15.66 10"
}], ["polyline", {
  points: "8 8 3 14 12 14 11 22 16 16"
}], ["line", {
  x1: "1",
  y1: "1",
  x2: "23",
  y2: "23"
}]]];
var zap_off_default = ZapOff;

// node_modules/lucide/dist/esm/icons/zap.js
var Zap = ["svg", defaultAttributes_default, [["polygon", {
  points: "13 2 3 14 12 14 11 22 21 10 12 10 13 2"
}]]];
var zap_default = Zap;

// node_modules/lucide/dist/esm/icons/zoom-in.js
var ZoomIn = ["svg", defaultAttributes_default, [["circle", {
  cx: "11",
  cy: "11",
  r: "8"
}], ["line", {
  x1: "21",
  y1: "21",
  x2: "16.65",
  y2: "16.65"
}], ["line", {
  x1: "11",
  y1: "8",
  x2: "11",
  y2: "14"
}], ["line", {
  x1: "8",
  y1: "11",
  x2: "14",
  y2: "11"
}]]];
var zoom_in_default = ZoomIn;

// node_modules/lucide/dist/esm/icons/zoom-out.js
var ZoomOut = ["svg", defaultAttributes_default, [["circle", {
  cx: "11",
  cy: "11",
  r: "8"
}], ["line", {
  x1: "21",
  y1: "21",
  x2: "16.65",
  y2: "16.65"
}], ["line", {
  x1: "8",
  y1: "11",
  x2: "14",
  y2: "11"
}]]];
var zoom_out_default = ZoomOut;

// node_modules/lucide/dist/esm/lucide.js
var createIcons = function createIcons2(_temp) {
  var _ref = _temp === void 0 ? {} : _temp, _ref$icons = _ref.icons, icons = _ref$icons === void 0 ? {} : _ref$icons, _ref$nameAttr = _ref.nameAttr, nameAttr = _ref$nameAttr === void 0 ? "icon-name" : _ref$nameAttr, _ref$attrs = _ref.attrs, attrs = _ref$attrs === void 0 ? {} : _ref$attrs;
  if (!Object.values(icons).length) {
    throw new Error("Please provide an icons object.\nIf you want to use all the icons you can import it like:\n `import { createIcons, icons } from 'lucide';\nlucide.createIcons({icons});`");
  }
  if (typeof document === "undefined") {
    throw new Error("`createIcons()` only works in a browser environment.");
  }
  var elementsToReplace = document.querySelectorAll("[" + nameAttr + "]");
  Array.from(elementsToReplace).forEach(function(element) {
    return replaceElement_default(element, {
      nameAttr,
      icons,
      attrs
    });
  });
};
export {
  activity_default as Activity,
  airplay_default as Airplay,
  alarm_check_default as AlarmCheck,
  alarm_clock_default as AlarmClock,
  alarm_clock_off_default as AlarmClockOff,
  alarm_minus_default as AlarmMinus,
  alarm_plus_default as AlarmPlus,
  album_default as Album,
  alert_circle_default as AlertCircle,
  alert_octagon_default as AlertOctagon,
  alert_triangle_default as AlertTriangle,
  align_center_default as AlignCenter,
  align_center_horizontal_default as AlignCenterHorizontal,
  align_center_vertical_default as AlignCenterVertical,
  align_end_horizontal_default as AlignEndHorizontal,
  align_end_vertical_default as AlignEndVertical,
  align_horizontal_distribute_center_default as AlignHorizontalDistributeCenter,
  align_horizontal_distribute_end_default as AlignHorizontalDistributeEnd,
  align_horizontal_distribute_start_default as AlignHorizontalDistributeStart,
  align_horizontal_justify_center_default as AlignHorizontalJustifyCenter,
  align_horizontal_justify_end_default as AlignHorizontalJustifyEnd,
  align_horizontal_justify_start_default as AlignHorizontalJustifyStart,
  align_horizontal_space_around_default as AlignHorizontalSpaceAround,
  align_horizontal_space_between_default as AlignHorizontalSpaceBetween,
  align_justify_default as AlignJustify,
  align_left_default as AlignLeft,
  align_right_default as AlignRight,
  align_start_horizontal_default as AlignStartHorizontal,
  align_start_vertical_default as AlignStartVertical,
  align_vertical_distribute_center_default as AlignVerticalDistributeCenter,
  align_vertical_distribute_end_default as AlignVerticalDistributeEnd,
  align_vertical_distribute_start_default as AlignVerticalDistributeStart,
  align_vertical_justify_center_default as AlignVerticalJustifyCenter,
  align_vertical_justify_end_default as AlignVerticalJustifyEnd,
  align_vertical_justify_start_default as AlignVerticalJustifyStart,
  align_vertical_space_around_default as AlignVerticalSpaceAround,
  align_vertical_space_between_default as AlignVerticalSpaceBetween,
  anchor_default as Anchor,
  aperture_default as Aperture,
  archive_default as Archive,
  arrow_big_down_default as ArrowBigDown,
  arrow_big_left_default as ArrowBigLeft,
  arrow_big_right_default as ArrowBigRight,
  arrow_big_up_default as ArrowBigUp,
  arrow_down_default as ArrowDown,
  arrow_down_circle_default as ArrowDownCircle,
  arrow_down_left_default as ArrowDownLeft,
  arrow_down_right_default as ArrowDownRight,
  arrow_left_default as ArrowLeft,
  arrow_left_circle_default as ArrowLeftCircle,
  arrow_left_right_default as ArrowLeftRight,
  arrow_right_default as ArrowRight,
  arrow_right_circle_default as ArrowRightCircle,
  arrow_up_default as ArrowUp,
  arrow_up_circle_default as ArrowUpCircle,
  arrow_up_left_default as ArrowUpLeft,
  arrow_up_right_default as ArrowUpRight,
  asterisk_default as Asterisk,
  at_sign_default as AtSign,
  award_default as Award,
  axe_default as Axe,
  banknote_default as Banknote,
  bar_chart_default as BarChart,
  bar_chart_2_default as BarChart2,
  baseline_default as Baseline,
  battery_default as Battery,
  battery_charging_default as BatteryCharging,
  battery_full_default as BatteryFull,
  battery_low_default as BatteryLow,
  battery_medium_default as BatteryMedium,
  beaker_default as Beaker,
  bell_default as Bell,
  bell_minus_default as BellMinus,
  bell_off_default as BellOff,
  bell_plus_default as BellPlus,
  bell_ring_default as BellRing,
  bike_default as Bike,
  binary_default as Binary,
  bitcoin_default as Bitcoin,
  bluetooth_default as Bluetooth,
  bluetooth_connected_default as BluetoothConnected,
  bluetooth_off_default as BluetoothOff,
  bluetooth_searching_default as BluetoothSearching,
  bold_default as Bold,
  book_default as Book,
  book_open_default as BookOpen,
  bookmark_default as Bookmark,
  bookmark_minus_default as BookmarkMinus,
  bookmark_plus_default as BookmarkPlus,
  bot_default as Bot,
  box_default as Box,
  box_select_default as BoxSelect,
  briefcase_default as Briefcase,
  brush_default as Brush,
  bug_default as Bug,
  building_default as Building,
  bus_default as Bus,
  calculator_default as Calculator,
  calendar_default as Calendar,
  camera_default as Camera,
  camera_off_default as CameraOff,
  car_default as Car,
  carrot_default as Carrot,
  cast_default as Cast,
  check_default as Check,
  check_circle_default as CheckCircle,
  check_circle_2_default as CheckCircle2,
  check_square_default as CheckSquare,
  chevron_down_default as ChevronDown,
  chevron_first_default as ChevronFirst,
  chevron_last_default as ChevronLast,
  chevron_left_default as ChevronLeft,
  chevron_right_default as ChevronRight,
  chevron_up_default as ChevronUp,
  chevrons_down_default as ChevronsDown,
  chevrons_down_up_default as ChevronsDownUp,
  chevrons_left_default as ChevronsLeft,
  chevrons_right_default as ChevronsRight,
  chevrons_up_default as ChevronsUp,
  chevrons_up_down_default as ChevronsUpDown,
  chrome_default as Chrome,
  circle_default as Circle,
  circle_slashed_default as CircleSlashed,
  clipboard_default as Clipboard,
  clipboard_check_default as ClipboardCheck,
  clipboard_copy_default as ClipboardCopy,
  clipboard_list_default as ClipboardList,
  clipboard_x_default as ClipboardX,
  clock_default as Clock,
  clock_1_default as Clock1,
  clock_10_default as Clock10,
  clock_11_default as Clock11,
  clock_12_default as Clock12,
  clock_2_default as Clock2,
  clock_3_default as Clock3,
  clock_4_default as Clock4,
  clock_5_default as Clock5,
  clock_6_default as Clock6,
  clock_7_default as Clock7,
  clock_8_default as Clock8,
  clock_9_default as Clock9,
  cloud_default as Cloud,
  cloud_drizzle_default as CloudDrizzle,
  cloud_fog_default as CloudFog,
  cloud_hail_default as CloudHail,
  cloud_lightning_default as CloudLightning,
  cloud_moon_default as CloudMoon,
  cloud_off_default as CloudOff,
  cloud_rain_default as CloudRain,
  cloud_rain_wind_default as CloudRainWind,
  cloud_snow_default as CloudSnow,
  cloud_sun_default as CloudSun,
  cloudy_default as Cloudy,
  clover_default as Clover,
  code_default as Code,
  code_2_default as Code2,
  codepen_default as Codepen,
  codesandbox_default as Codesandbox,
  coffee_default as Coffee,
  coins_default as Coins,
  columns_default as Columns,
  command_default as Command,
  compass_default as Compass,
  contact_default as Contact,
  contrast_default as Contrast,
  cookie_default as Cookie,
  copy_default as Copy,
  copyleft_default as Copyleft,
  copyright_default as Copyright,
  corner_down_left_default as CornerDownLeft,
  corner_down_right_default as CornerDownRight,
  corner_left_down_default as CornerLeftDown,
  corner_left_up_default as CornerLeftUp,
  corner_right_down_default as CornerRightDown,
  corner_right_up_default as CornerRightUp,
  corner_up_left_default as CornerUpLeft,
  corner_up_right_default as CornerUpRight,
  cpu_default as Cpu,
  credit_card_default as CreditCard,
  crop_default as Crop,
  cross_default as Cross,
  crosshair_default as Crosshair,
  crown_default as Crown,
  currency_default as Currency,
  database_default as Database,
  delete_default as Delete,
  dice_1_default as Dice1,
  dice_2_default as Dice2,
  dice_3_default as Dice3,
  dice_4_default as Dice4,
  dice_5_default as Dice5,
  dice_6_default as Dice6,
  disc_default as Disc,
  divide_default as Divide,
  divide_circle_default as DivideCircle,
  divide_square_default as DivideSquare,
  dollar_sign_default as DollarSign,
  download_default as Download,
  download_cloud_default as DownloadCloud,
  dribbble_default as Dribbble,
  droplet_default as Droplet,
  droplets_default as Droplets,
  drumstick_default as Drumstick,
  edit_default as Edit,
  edit_2_default as Edit2,
  edit_3_default as Edit3,
  egg_default as Egg,
  equal_default as Equal,
  equal_not_default as EqualNot,
  euro_default as Euro,
  expand_default as Expand,
  external_link_default as ExternalLink,
  eye_default as Eye,
  eye_off_default as EyeOff,
  facebook_default as Facebook,
  fast_forward_default as FastForward,
  feather_default as Feather,
  figma_default as Figma,
  file_default as File,
  file_check_default as FileCheck,
  file_check_2_default as FileCheck2,
  file_code_default as FileCode,
  file_digit_default as FileDigit,
  file_input_default as FileInput,
  file_minus_default as FileMinus,
  file_minus_2_default as FileMinus2,
  file_output_default as FileOutput,
  file_plus_default as FilePlus,
  file_plus_2_default as FilePlus2,
  file_search_default as FileSearch,
  file_text_default as FileText,
  file_x_default as FileX,
  file_x_2_default as FileX2,
  files_default as Files,
  film_default as Film,
  filter_default as Filter,
  flag_default as Flag,
  flag_triangle_left_default as FlagTriangleLeft,
  flag_triangle_right_default as FlagTriangleRight,
  flame_default as Flame,
  flashlight_default as Flashlight,
  flashlight_off_default as FlashlightOff,
  flask_conical_default as FlaskConical,
  flask_round_default as FlaskRound,
  folder_default as Folder,
  folder_minus_default as FolderMinus,
  folder_open_default as FolderOpen,
  folder_plus_default as FolderPlus,
  form_input_default as FormInput,
  forward_default as Forward,
  framer_default as Framer,
  frown_default as Frown,
  function_square_default as FunctionSquare,
  gamepad_default as Gamepad,
  gamepad_2_default as Gamepad2,
  gauge_default as Gauge,
  gavel_default as Gavel,
  gem_default as Gem,
  ghost_default as Ghost,
  gift_default as Gift,
  git_branch_default as GitBranch,
  git_branch_plus_default as GitBranchPlus,
  git_commit_default as GitCommit,
  git_fork_default as GitFork,
  git_merge_default as GitMerge,
  git_pull_request_default as GitPullRequest,
  github_default as Github,
  gitlab_default as Gitlab,
  glasses_default as Glasses,
  globe_default as Globe,
  globe_2_default as Globe2,
  grab_default as Grab,
  graduation_cap_default as GraduationCap,
  grid_default as Grid,
  grip_horizontal_default as GripHorizontal,
  grip_vertical_default as GripVertical,
  hammer_default as Hammer,
  hand_default as Hand,
  hand_metal_default as HandMetal,
  hard_drive_default as HardDrive,
  hard_hat_default as HardHat,
  hash_default as Hash,
  haze_default as Haze,
  headphones_default as Headphones,
  heart_default as Heart,
  help_circle_default as HelpCircle,
  hexagon_default as Hexagon,
  highlighter_default as Highlighter,
  history_default as History,
  home_default as Home,
  image_default as Image,
  image_minus_default as ImageMinus,
  image_off_default as ImageOff,
  image_plus_default as ImagePlus,
  import_default as Import,
  inbox_default as Inbox,
  indent_default as Indent,
  indian_rupee_default as IndianRupee,
  infinity_default as Infinity,
  info_default as Info,
  inspect_default as Inspect,
  instagram_default as Instagram,
  italic_default as Italic,
  japanese_yen_default as JapaneseYen,
  key_default as Key,
  keyboard_default as Keyboard,
  landmark_default as Landmark,
  languages_default as Languages,
  laptop_default as Laptop,
  laptop_2_default as Laptop2,
  lasso_default as Lasso,
  lasso_select_default as LassoSelect,
  layers_default as Layers,
  layout_default as Layout,
  layout_dashboard_default as LayoutDashboard,
  layout_grid_default as LayoutGrid,
  layout_list_default as LayoutList,
  layout_template_default as LayoutTemplate,
  library_default as Library,
  life_buoy_default as LifeBuoy,
  lightbulb_default as Lightbulb,
  lightbulb_off_default as LightbulbOff,
  link_default as Link,
  link_2_default as Link2,
  link_2_off_default as Link2Off,
  linkedin_default as Linkedin,
  list_default as List,
  list_checks_default as ListChecks,
  list_minus_default as ListMinus,
  list_ordered_default as ListOrdered,
  list_plus_default as ListPlus,
  list_x_default as ListX,
  loader_default as Loader,
  loader_2_default as Loader2,
  locate_default as Locate,
  locate_fixed_default as LocateFixed,
  locate_off_default as LocateOff,
  lock_default as Lock,
  log_in_default as LogIn,
  log_out_default as LogOut,
  mail_default as Mail,
  map_default as Map,
  map_pin_default as MapPin,
  maximize_default as Maximize,
  maximize_2_default as Maximize2,
  megaphone_default as Megaphone,
  meh_default as Meh,
  menu_default as Menu,
  message_circle_default as MessageCircle,
  message_square_default as MessageSquare,
  mic_default as Mic,
  mic_off_default as MicOff,
  minimize_default as Minimize,
  minimize_2_default as Minimize2,
  minus_default as Minus,
  minus_circle_default as MinusCircle,
  minus_square_default as MinusSquare,
  monitor_default as Monitor,
  monitor_off_default as MonitorOff,
  monitor_speaker_default as MonitorSpeaker,
  moon_default as Moon,
  more_horizontal_default as MoreHorizontal,
  more_vertical_default as MoreVertical,
  mountain_default as Mountain,
  mountain_snow_default as MountainSnow,
  mouse_pointer_default as MousePointer,
  mouse_pointer_2_default as MousePointer2,
  mouse_pointer_click_default as MousePointerClick,
  move_default as Move,
  move_diagonal_default as MoveDiagonal,
  move_diagonal_2_default as MoveDiagonal2,
  move_horizontal_default as MoveHorizontal,
  move_vertical_default as MoveVertical,
  music_default as Music,
  navigation_default as Navigation,
  navigation_2_default as Navigation2,
  network_default as Network,
  octagon_default as Octagon,
  option_default as Option,
  outdent_default as Outdent,
  package_default as Package,
  package_check_default as PackageCheck,
  package_minus_default as PackageMinus,
  package_plus_default as PackagePlus,
  package_search_default as PackageSearch,
  package_x_default as PackageX,
  palette_default as Palette,
  palmtree_default as Palmtree,
  paperclip_default as Paperclip,
  pause_default as Pause,
  pause_circle_default as PauseCircle,
  pause_octagon_default as PauseOctagon,
  pen_tool_default as PenTool,
  pencil_default as Pencil,
  percent_default as Percent,
  person_standing_default as PersonStanding,
  phone_default as Phone,
  phone_call_default as PhoneCall,
  phone_forwarded_default as PhoneForwarded,
  phone_incoming_default as PhoneIncoming,
  phone_missed_default as PhoneMissed,
  phone_off_default as PhoneOff,
  phone_outgoing_default as PhoneOutgoing,
  pie_chart_default as PieChart,
  piggy_bank_default as PiggyBank,
  pin_default as Pin,
  pipette_default as Pipette,
  plane_default as Plane,
  play_default as Play,
  play_circle_default as PlayCircle,
  plug_zap_default as PlugZap,
  plus_default as Plus,
  plus_circle_default as PlusCircle,
  plus_square_default as PlusSquare,
  pocket_default as Pocket,
  podcast_default as Podcast,
  pointer_default as Pointer,
  pound_sterling_default as PoundSterling,
  power_default as Power,
  power_off_default as PowerOff,
  printer_default as Printer,
  qr_code_default as QrCode,
  quote_default as Quote,
  radio_default as Radio,
  radio_receiver_default as RadioReceiver,
  redo_default as Redo,
  refresh_ccw_default as RefreshCcw,
  refresh_cw_default as RefreshCw,
  regex_default as Regex,
  repeat_default as Repeat,
  repeat_1_default as Repeat1,
  reply_default as Reply,
  reply_all_default as ReplyAll,
  rewind_default as Rewind,
  rocket_default as Rocket,
  rocking_chair_default as RockingChair,
  rotate_ccw_default as RotateCcw,
  rotate_cw_default as RotateCw,
  rss_default as Rss,
  ruler_default as Ruler,
  russian_ruble_default as RussianRuble,
  save_default as Save,
  scale_default as Scale,
  scan_default as Scan,
  scan_line_default as ScanLine,
  scissors_default as Scissors,
  screen_share_default as ScreenShare,
  screen_share_off_default as ScreenShareOff,
  search_default as Search,
  send_default as Send,
  separator_horizontal_default as SeparatorHorizontal,
  separator_vertical_default as SeparatorVertical,
  server_default as Server,
  server_crash_default as ServerCrash,
  server_off_default as ServerOff,
  settings_default as Settings,
  settings_2_default as Settings2,
  share_default as Share,
  share_2_default as Share2,
  sheet_default as Sheet,
  shield_default as Shield,
  shield_alert_default as ShieldAlert,
  shield_check_default as ShieldCheck,
  shield_close_default as ShieldClose,
  shield_off_default as ShieldOff,
  shirt_default as Shirt,
  shopping_bag_default as ShoppingBag,
  shopping_cart_default as ShoppingCart,
  shovel_default as Shovel,
  shrink_default as Shrink,
  shuffle_default as Shuffle,
  sidebar_default as Sidebar,
  sidebar_close_default as SidebarClose,
  sidebar_open_default as SidebarOpen,
  sigma_default as Sigma,
  signal_default as Signal,
  signal_high_default as SignalHigh,
  signal_low_default as SignalLow,
  signal_medium_default as SignalMedium,
  signal_zero_default as SignalZero,
  skip_back_default as SkipBack,
  skip_forward_default as SkipForward,
  skull_default as Skull,
  slack_default as Slack,
  slash_default as Slash,
  sliders_default as Sliders,
  smartphone_default as Smartphone,
  smartphone_charging_default as SmartphoneCharging,
  smile_default as Smile,
  snowflake_default as Snowflake,
  sort_asc_default as SortAsc,
  sort_desc_default as SortDesc,
  speaker_default as Speaker,
  sprout_default as Sprout,
  square_default as Square,
  star_default as Star,
  star_half_default as StarHalf,
  stop_circle_default as StopCircle,
  stretch_horizontal_default as StretchHorizontal,
  stretch_vertical_default as StretchVertical,
  strikethrough_default as Strikethrough,
  subscript_default as Subscript,
  sun_default as Sun,
  sunrise_default as Sunrise,
  sunset_default as Sunset,
  superscript_default as Superscript,
  swiss_franc_default as SwissFranc,
  switch_camera_default as SwitchCamera,
  table_default as Table,
  tablet_default as Tablet,
  tag_default as Tag,
  target_default as Target,
  tent_default as Tent,
  terminal_default as Terminal,
  terminal_square_default as TerminalSquare,
  text_cursor_default as TextCursor,
  text_cursor_input_default as TextCursorInput,
  thermometer_default as Thermometer,
  thermometer_snowflake_default as ThermometerSnowflake,
  thermometer_sun_default as ThermometerSun,
  thumbs_down_default as ThumbsDown,
  thumbs_up_default as ThumbsUp,
  ticket_default as Ticket,
  timer_default as Timer,
  timer_off_default as TimerOff,
  timer_reset_default as TimerReset,
  toggle_left_default as ToggleLeft,
  toggle_right_default as ToggleRight,
  tornado_default as Tornado,
  trash_default as Trash,
  trash_2_default as Trash2,
  trello_default as Trello,
  trending_down_default as TrendingDown,
  trending_up_default as TrendingUp,
  triangle_default as Triangle,
  truck_default as Truck,
  tv_default as Tv,
  tv_2_default as Tv2,
  twitch_default as Twitch,
  twitter_default as Twitter,
  type_default as Type,
  umbrella_default as Umbrella,
  underline_default as Underline,
  undo_default as Undo,
  unlink_default as Unlink,
  unlink_2_default as Unlink2,
  unlock_default as Unlock,
  upload_default as Upload,
  upload_cloud_default as UploadCloud,
  user_default as User,
  user_check_default as UserCheck,
  user_minus_default as UserMinus,
  user_plus_default as UserPlus,
  user_x_default as UserX,
  users_default as Users,
  verified_default as Verified,
  vibrate_default as Vibrate,
  video_default as Video,
  video_off_default as VideoOff,
  view_default as View,
  voicemail_default as Voicemail,
  volume_default as Volume,
  volume_1_default as Volume1,
  volume_2_default as Volume2,
  volume_x_default as VolumeX,
  wallet_default as Wallet,
  wand_default as Wand,
  watch_default as Watch,
  waves_default as Waves,
  webcam_default as Webcam,
  wifi_default as Wifi,
  wifi_off_default as WifiOff,
  wind_default as Wind,
  wrap_text_default as WrapText,
  wrench_default as Wrench,
  x_default as X,
  x_circle_default as XCircle,
  x_octagon_default as XOctagon,
  x_square_default as XSquare,
  youtube_default as Youtube,
  zap_default as Zap,
  zap_off_default as ZapOff,
  zoom_in_default as ZoomIn,
  zoom_out_default as ZoomOut,
  createElement_default as createElement,
  createIcons,
  icons_exports as icons
};
//# sourceMappingURL=lucide.js.map
